#
# Extra Utilities to facilitate integration of .tcl and .adp files
# and other things
#
# by Ben Adida (ben@adida.net)
#

proc database_to_tcl_list_ns_set {db sql} {
    set selection [ns_db select $db $sql]

    set return_list [list]

    while {[ns_db getrow $db $selection]} {
	lappend return_list [ns_set copy $selection]
    }

    return $return_list
}

# Source a file using relative paths
proc util_source {filename} {
    source [ns_info pageroot]$filename
}

proc util_make_filename_safe {full_path} {
    # Do basic safety checking
    regsub -all {\.\.} $full_path {} new_path

    set last_forward_slash [string last "/" $new_path]
    set last_back_slash [string last "\\" $new_path]

    if {$last_forward_slash == -1 && $last_back_slash == -1} {
	set final_path $new_path
    }

    if {$last_forward_slash > $last_back_slash} {
	set final_path [string range $new_path [expr "$last_forward_slash + 1"] end]
    } else {
	set final_path [string range $new_path [expr "$last_back_slash + 1"] end]
    }

    return $final_path
}