
proc db_name {} {
    return "postgres"
}

proc db_postgres {} {
    return "postgres"
}

proc db_sysdate {} {
    return "sysdate()"
}

proc db_resultrows {db} {
    return [ns_pg ntuples $db]
}

proc db_sequence_nextval_sql {sequence_name} {
    return "nextval('$sequence_name')"
}

proc db_sequence_nextval {db sequence_name} {
    return [database_to_tcl_string $db "select [db_sequence_nextval_sql $sequence_name]"]
}

# This performs some simple operations on the SQL
# statement to convert it to the proper SQL syntax.
# Useful mostly for automatic DB porting of simple things.
proc db_sql_prep {sql} {
    
    # Take care of sequences
    regsub -all "(\[^ \]*)\\.nextval" $sql "nextval('\\1')" sql
    
    # Take care of sysdate calls
    regsub -all "sysdate(\[^\(_\])" $sql "sysdate\(\)\\1" sql

    return $sql
}

## Recreate the ns_table command for now
proc ns_table3 {command db data} {
    if {$command == "exists"} {
	# MAJOR HACK CHANGE THIS SOON
	# TODO: ben@adida.net
	return 1
    }
}
# Nulls
proc db_null_sql {str} {
    return [db_postgres_null_sql $str]
}

proc db_postgres_null_sql {str} {
    if {$str == ""} {
	return "NULL"
    } else {
	return "'$str'"
    }
}

# Nulls
proc db_postgres_doubleapos_null_sql {str} {
    if {$str == ""} {
	return "NULL"
    } else {
	return "'[DoubleApos $str]'"
    }
}

proc database_lob_to_tcl_string { db lob_id } {
    ns_log Debug "tcl: lob_id = $lob_id"
    set tmpfile [ns_mktemp "/tmp/.wm_blob_selectgXXXXXX"] 
    ns_pg blob_select_file $db $lob_id $tmpfile
    set fis [open $tmpfile r]
    set str [read $fis]
    close $fis
    ns_unlink -nocomplain $tmpfile
    return $str
}
