# 
# This is concerned with actually uploading files to the
# source code repository.
#

proc sdm_sourcecode_check_archive {filepath original_filename repository} {
    # get the extension
    set extension [file extension $original_filename]

    # find the procedure to handle the right extension
    if {[info commands sdm_sourcecode_list_archive_$extension] == ""} {
	return 0
    }

    set list_of_files [sdm_sourcecode_list_archive_$extension $filepath]

    foreach file $list_of_files {
	ns_log Notice "file: $file"
	if {![sdm_check_safe $file]} {
	    return 0
	}

	if {![regexp "^$repository/.*" $file all]} {
	    return 0
	}
    }

    return 1
}


# Actually unpack source code

proc sdm_sourcecode_unpack_archive {filepath original_filename repository} {
    # get the extension
    set extension [file extension $original_filename]

    # find the procedure to handle the right extension
    if {[info commands sdm_sourcecode_list_archive_$extension] == ""} {
	return 0
    }

    sdm_sourcecode_unpack_archive_$extension $filepath
}


# Tar-specific files
proc sdm_sourcecode_list_archive_.tar {filepath} {
    set list_txt [exec tar tf $filepath]

    return [split $list_txt "\n"]
}

proc sdm_sourcecode_unpack_archive_.tar {filepath} {
    cd [sdm_source_root]
    
    exec tar xf $filepath
}

# Zip-specific files
proc sdm_sourcecode_list_archive_.zip {filepath} {
    set list_txt [exec /usr/local/bin/unzip -l $filepath]

    set line_list [split $list_txt "\n"]

    set return_list [list]

    # Get the filename out of the complicated
    # zip file output
    foreach line $line_list {
	if {[regexp {.* +([^ ]+)} $line all filename]} {
	    lappend return_list $filename
	    // ns_log Notice "got a file in zip: $filename"
	}
    }

    return $return_list
}

proc sdm_sourcecode_unpack_archive_.zip {filepath} {
    cd [sdm_source_root]
    
    exec unzip $filepath
}
    
    