# teaching-defs.tcl,v 1.5.4.1 2000/02/03 09:17:48 ron Exp
# random procedures for the psets and other stuff underneath
# http://photo.net/teaching/

util_report_library_entry

proc teaching_footer {} {
    return "<hr>
Maintainer:  <a href=\"mailto:teadams@mit.edu\"><i>teadams@mit.edu</i></a>
</body>
</html>
"
}

# definitions for the Tcl manual

ns_register_adptag "codeexample" "/codeexample" tcl_adp_codeexample

proc tcl_adp_codeexample {string tagset} {
    return "<blockquote>
<code><pre>${string}</pre></code>
</blockquote>
"
}

proc tcl_title {} {
    return "Tcl for Web Nerds"
}

proc tcl_authors {} {
    return "
<a href=\"http://www-swiss.ai.mit.edu/~hal/hal.html\">Hal Abelson</a>,
<a href=\"http://photo.net/philg/\">Philip Greenspun</a>,
and
<a href=\"http://mit.edu/lsandon\">Lydia Sandon</a>
"
}

proc tcl_header {chapter_title} {
    return "
<html>
<head>
<title>$chapter_title</title>
<LINK REL=STYLESHEET HREF=\"tcl_manual.css\" TYPE=\"text/css\">
</head>
<body bgcolor=white text=black>

<h2>$chapter_title</h2>

part of <a href=\"index.adp\">[tcl_title]</a> 
by [tcl_authors]

<hr>
"
}

proc tcl_footer {} {
    set db [ns_db gethandle subquery]
    set comments_and_links [static_format_comments_and_links [static_get_comments_and_links $db [ns_conn url]]]
    ns_db releasehandle $db 
    return "
<hr>
Return to <a href=\"index.adp\">Table of Contents</a>
<br>
<br>
<address><a href=\"mailto:lsandon@mit.edu\">lsandon@mit.edu</a></address>

$comments_and_links

</body>
</html>
"
}

# we encapsulate this because we may want to cookie out the 
# user and redirect him or her to different versions of the language
# depending on which he or she is using; for the moment 
# let's just refer people out to 7.5
proc tcl_man_page_reference {command_name} {
    set scriptics_url "http://www.scriptics.com/man/tcl7.5/TclCmd/$command_name.n.html"
    return "<a href=\"$scriptics_url\">$scriptics_url</a>"
}

util_report_successful_library_load
