# category-edit.tcl,v 3.0 2000/02/06 03:08:59 ron Exp
set_the_usual_form_variables

# category, category_new


set exception_count 0
set exception_text ""

if { ![info exists category_new] || [empty_string_p $category_new] } {
    incr exception_count
    append exception_text "<li>Please enter a category."
}


if {$exception_count > 0} { 
    ad_return_complaint $exception_count $exception_text
    return
}


if { $category == $category_new } {
    ns_returnredirect "category-one.tcl?category=[ns_urlencode $category_new]"
    return
}

set db [ns_db gethandle]

if [catch { ns_db dml $db "begin transaction" 

    # add the new category
    ns_db dml $db "insert into calendar_categories (category) select '$QQcategory_new' from dual where 0 = (select count(category) from calendar_categories where category='$QQcategory_new')"


    # if a new row was not inserted, make sure that the exisitng entry is enabled
    if { [ns_pg ntuples $db] == 0 } {
	ns_db dml $db "update calendar_categories set enabled_p = 't' where category = '$QQcategory_new'"
    } 

    # update all the postings
    ns_db dml $db "update calendar set category='$QQcategory_new' where category='$QQcategory'"
   
    # delete the old category       
    ns_db dml $db "delete from calendar_categories where category = '$QQcategory'"

    ns_db dml $db "end transaction" } errmsg] {

    # there was some other error with the category
    ad_return_error "Error updating category" "We couldn't update your category. Here is what the database returned:
<p>
<blockquote>
<pre>
$errmsg
</pre>
</blockquote>
"
return
}


ns_returnredirect "category-one.tcl?category=[ns_urlencode $category_new]"


