# domain-add-3.tcl,v 3.1 2000/03/11 00:45:11 curtisg Exp
set_the_usual_form_variables

# domain_id, domain, insert_form_fragments, default_expiration_days, 
# wtb_common_p, auction_p, geocentric_p
# submit

# user error checking

set exception_text ""
set exception_count 0

if { [info exists insert_for_fragments] && [string length $insert_form_fragments] > 4000 } {
    incr exception_count
    append exception_text "<li>Please limit you form fragment for ad parameters to 4000 characters."
}

if { $exception_count > 0 } { 
  ad_return_complaint $exception_count $exception_text
  return
}

set db [ns_db gethandle]

ns_set delkey [ns_conn form] submit


set sql_statement  [util_prepare_update $db ad_domains domain_id $domain_id [ns_getform]]


if [catch { ns_db dml $db $sql_statement } errmsg] {
	    ad_return_error "Failure to update domain information" "The database rejected the attempt:
	    <blockquote>
<pre>
$errmsg
</pre>
</blockquote>
"
    return
}

ns_returnredirect "index.tcl"
