# term-approve.tcl,v 3.0 2000/02/06 03:23:52 ron Exp
if {[ad_read_only_p]} {
    ad_return_read_only_maintenance_message
    return
}

set user_id [ad_verify_and_get_user_id]
if { $user_id == 0 } {
    ns_returnredirect "/register/index.tcl"
    return
}

set_the_usual_form_variables

# term

set exception_count 0
set exception_text ""

set db [ns_db gethandle]

if { ![info exists term] || [empty_string_p $QQterm]} {
    incr exception_count
    append exception_text "<li>You somehow got here without specifying a term to approve."
}

if {$exception_count > 0} { 
    ad_return_complaint $exception_count $exception_text
    return
}

if [catch { ns_db dml $db "update glossary 
set approved_p = 't'
where term = '$QQterm'" } errmsg] {
    # update failed
    ad_return_error "Insert Failed" "The Database did not like what you typed.  This is probably a bug in our code.  Here's what the database said:
<blockquote>
<pre>
$errmsg
</pre>
</blockquote>
"
    return
}

ns_returnredirect "index.tcl"
