# group-add-2.tcl,v 1.1.4.1 2000/02/03 09:29:45 ron Exp
# UI for selecting a particular role once a group has been selected

ad_page_variables {
    permissions_id
    group_id
    {orderby {}}
    {dim {}}
}

set db [ns_db gethandle]

# first check to see if we need to do roles
set multi_role_p [database_to_tcl_string $db "select multi_role_p from user_groups
                                              where group_id = $group_id"]

if { $multi_role_p == "f" } {
    ns_returnredirect "group-add-3.tcl?[export_url_vars permissions_id group_id orderby dim]"
}

# first, check to see if the "all" role  has been added
set null_role_p [database_to_tcl_string_or_null $db "select 1 from permissions_ug_map
                                                     where permissions_id = $permissions_id
                                                     and group_id = $group_id
                                                     and role is null"]

# get all roles for a particular group that aren't in pum
set selection [ns_db select $db "select * from user_group_roles ugr
                                 where group_id = $group_id
                                 and not exists (select 1 from permissions_ug_map pum
                                                 where permissions_id = $permissions_id
                                                 and ugr.role = pum.role
                                                 and pum.group_id = $group_id)"]

if { $selection == "" && $null_role_p == 1 } {
    ns_returnredirect "group-add-3.tcl?[export_url_vars permissions_id group_id orderby dim]"
}

# show the UI. we have roles we want the user to choose.

set edit_perm_url edit-page-permissions.tcl?[export_url_vars permissions_id orderby dim]
set group_edit_url group-add.tcl?[export_url_vars permissions_id orderby dim]

set navbar [ad_admin_context_bar [list "/admin/gp/" "General Permissions"] [list "/admin/gp/group-add.tcl?[export_url_vars permissions_id orderby dim]" "Add a Group"] "Choose a Role"]

ReturnHeaders
ns_write "
[ad_header "Choose a Role"]

<h2>Choose a Role</h2>
$navbar
<hr>
Choose a role:
<ul>
"

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    ns_write "<li><a href=\"group-add-3.tcl?[export_url_vars permissions_id group_id role orderby dim]\">$role</a>"
}

# if we want to give permissions to all roles, we don't pass role
if { $null_role_p == "" } {
    ns_write "<li><a href=\"group-add-3.tcl?[export_url_vars permissions_id group_id orderby dim]\">all</a>"
}

ns_write "
</ul>
[ad_admin_footer]"
