# group-add.tcl,v 1.1.4.1 2000/02/03 09:29:47 ron Exp
ad_page_variables {
    permissions_id
    {orderby {}}
    {dim {}}
}

set db [ns_db gethandle]

set navbar [ad_admin_context_bar [list "/admin/gp/" "General Permissions"] "Add a Group"]

ReturnHeaders

ns_write "
[ad_header "Add a Group"]

<h2>Add a Group</h2>
$navbar
<hr>
"

set selection [ns_db select $db "select ug.group_id, ug.group_name, ugt.pretty_plural
from user_groups ug, user_group_types ugt
where ug.group_type = ugt.group_type
and existence_public_p = 't'
and approved_p = 't'
and exists 
    ((select role from user_group_roles ugr where ugr.group_id = ug.group_id union select null from dual)
    EXCEPT 
    (select role from permissions_ug_map pum where pum.group_id = ug.group_id and permissions_id = $permissions_id))
order by upper(ug.group_type)"]

set count 0
set last_pretty_plural ""

set groups_list "Please choose a group to add:\n<ul>"

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    
    if { $last_pretty_plural != $pretty_plural } {
	append groups_list "<h4>$pretty_plural</h4>\n"
	set last_pretty_plural $pretty_plural
    }

    append groups_list "<li><a href=\"group-add-2.tcl?[export_url_vars group_id permissions_id orderby dim]\">$group_name</a>\n"
    incr count
}



if { $count == 0 } {
    set groups_list "<blockquote>Sorry, no groups are available to be added.</blockquote>"
} else {
    append groups_list "</ul>"
}

ns_write "
$groups_list

[ad_admin_footer]
"
