# delete-newsletter-group.tcl,v 1.1.4.1 2000/02/03 09:33:51 ron Exp
# delete-newsletter-group.tcl
#
# hqm@arsdigita.com
#
# Delete a user group of type newsletter

set_the_usual_form_variables

# form vars:
# gid   group id to delete
#

set db [ns_db gethandle] 

# let's double check it's a newsletter group

set newsletter_p [database_to_tcl_string $db "select count(group_id) 
from user_groups where lower(group_type) = 'newsletter'
and group_id = $gid"]

if {$newsletter_p == 0} {
    ad_return_complaint 1 "Group id $gid is not a newsletter group type, you may not delete it."
    return
}

with_transaction $db {
    set group_name [database_to_tcl_string $db "select group_name from user_groups where group_id = $gid"]

    # get the user class associated with this group
    set class_id [database_to_tcl_string $db "select user_class_id from user_classes where lower(sql_description) = 'members of [DourbleApos $group_name] group'"]

    # delete references to user class from the spam_history table (constraint violation otherwise)
    ns_db dml $db "delete from spam_history where user_class_id = $class_id"

    # remove the user class associated with this group
    ns_db dml $db "delete from user_classes where group_id = $gid"

    # remove the group aux table info for the group
    ns_db dml $db "delete from newsletter_info where group_id = $gid"

    # remove the group itself
    ns_db dml $db "delete from user_groups where group_id = $gid"
} {
    ad_return_error  "Error deleting group" $errmsg
    return
}

set msg "Group $group_name deleted"
ns_returnredirect "view-modify-newsletters.tcl?[export_url_vars msg]"