# view-modify-newsletters.tcl,v 1.1.4.1 2000/02/03 09:34:07 ron Exp
# view-modify-newsletters.tcl
#
# hqm@arsdigita.com
#
# List all newsletter groups, sorted by category, and offer button to
# delete them (the ACS user-groups admin page has no options to delete a group).

ReturnHeaders

append pagebody "[ad_admin_header "List Newsletter Groups"]

<h2>List Newsletter Groups</h2>

[ad_admin_context_bar [list "index.tcl" "Spam"] "List Newsletter Groups"]

<hr>
<p>
Below is a list of all groups of type Newsletter, sorted by category. 
<p>

"

set db_conns [ns_db gethandle [philg_server_default_pool] 1]
set db [lindex $db_conns 0]

append pagebody "<table border=1>
<tr>
<th>Category</th>
<th>Group Name</th>
<th># Members</th>
<th>Short Description</th>
<th>Long Description</th>
<th>Modify</th>
<th>Delete</th></tr>
"
 
set selection [ns_db select $db "select newsletter_info.*, user_groups.*, 
(select count(user_id) from user_group_map where user_group_map.group_id = user_groups.group_id) as nmembers
  from user_groups, newsletter_info 
 where lower(group_type) = 'newsletter'
and newsletter_info.group_id = user_groups.group_id"]

set iter 0

while { [ns_db getrow $db $selection] } { 
    set_variables_after_query
    if {($iter % 2) == 0} {
	set bgcolor "bgcolor=\#ECECEC"
    } else {
	set bgcolor ""
    }
	
    append pagebody "
<tr $bgcolor>
<td valign=top>$category</td>
<td valign=top>$group_name</td>
<td valign=top>$nmembers</td>
<td valign=top>$short_description</td>
<td valign=top>$long_description</td>
<td valign=top><a href=\"/admin/ug/group.tcl?group_id=$group_id\">edit</a></td>
<td valign=top><a href=\"delete-newsletter-group.tcl?gid=$group_id\">delete</a></td>
</tr>
"
    incr iter
}

append pagebody "
</table>
"


append pagebody "
<p>
<ul>
<li><a href=\"https://greentravel-dev.arsdigita.com/ug/group-new-2.tcl?group_type=newsletter\">Create a new newsletter group</a>
</ul>
[ad_admin_footer]"

ns_write $pagebody