set_form_variables 0

# deleted_msg_id [optional]

set user_id [ad_verify_and_get_user_id]
set db [ticket_getdbhandle]

ReturnHeaders

ns_write "[ad_admin_header "Delete Ticket(s)"]

<h2>Delete Tickets</h2>

[ad_admin_context_bar [list "/admin/ticket/index.tcl" "Ticket Tracker Admin"] "Delete Ticket(s)"]

<hr>
<h3>Delete Tickets</h3>
<b>Note:</b> deleting a ticket will cause it to be completely removed from the database.
You should think twice about doing this. It is really only appropriate for
bogus tickets, such as those created during debugging.
<p>
"

if {[info exists deleted_msg_id] && ![empty_string_p $deleted_msg_id]} {
    ns_write "<font color=red><b>Deleted ticket <code>#$deleted_msg_id</code></b></font><p>"
}

set selection [ns_db select $db "select ticket_issues.msg_id, one_line, 
ticket_priorities.name as priority_name, deadline, close_date, status, title
from ticket_issues, ticket_priorities, ticket_projects
where ticket_projects.project_id = ticket_issues.project_id
and ticket_priorities.priority = ticket_issues.priority
order by ticket_projects.title, ticket_issues.msg_id"]

set count 0
set title ""
set last_title ""
while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    if {$title != $last_title} {
	ns_write "<h4>$title</h4>"
	set last_title $title
    }
    ns_write "<li> #<code>$msg_id</code> <a href=\"/ticket/issue-view.tcl?msg_id=$msg_id\"> "
    ns_write "[clean_up_html $one_line]"
    if { $deadline != "" } {
        ns_write " ($deadline)"
    }
    ns_write "</a>"
    if { $close_date != "" } {
        ns_write " \[closed\]"
    }

    if { [string compare $status "fixed waiting approval"] == 0 } {
	ns_write "&nbsp; &nbsp; <font color=red>(fixed waiting approval)</font>"
    }
	    
    if { [string compare $status "need clarification"] == 0 } {
	ns_write "&nbsp; &nbsp; <font color=green>(need clarification)</font>"
    }

    ns_write " <code><a href=\"delete-ticket-2.tcl?msg_id=$msg_id\">delete</a></code>"
    ns_write "\n"
    incr count
}

if { $count == 0 } {
    ns_write "No issues<p>"   
}


ns_write "
[ad_admin_footer]
"
