set_form_variables
# project_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

if { [ticket_user_admin_p $db] != 1} {
    ns_returnredirect "index.tcl"
    return
}    

# If there are any tickets, then we must refuse to delete the project

ReturnHeaders

set project_title [database_to_tcl_string $db "select title
from ticket_projects where project_id = $project_id"]

ns_write "[ad_admin_header "Delete Project $project_title"]
<h2>Delete Project $project_title</h2>
"

ns_write "[ad_context_bar_ws_or_index  "/pvt/home/index.tcl" [list "/admin/ticket/index.tcl" "Ticket Tracker"]  $project_title]"

ns_write "<hr>"
set selection [ns_db select $db "select ticket_issues.msg_id, one_line, 
ticket_priorities.name as priority_name, deadline, close_date, status
from ticket_issues, ticket_priorities
where
ticket_issues.project_id = $project_id
and ticket_priorities.priority = ticket_issues.priority 
order by ticket_priorities.priority desc , posting_time"]

set target "/admin/ticket/project-delete.tcl"

set count 0
set last_priority ""

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    if { $priority_name != $last_priority } {
        if { $last_priority != "starting" } {
            ns_write "</ul>\n"
        }
        set last_priority $priority_name
        ns_write "<h4>$priority_name</h4>\n<ul>\n"
    }
    ns_write "<li> #<code>$msg_id</code> <a href=\"issue-view.tcl?msg_id=$msg_id\">"
    ns_write "[clean_up_html $one_line]"
    if { $deadline != "" } {
        ns_write " ($deadline)"
    }
    ns_write "</a>"
    if { $close_date != "" } {
        ns_write " \[closed\]"
    }

    if { [string compare $status "fixed waiting approval"] == 0 } {
	ns_write "&nbsp; &nbsp; <font color=red>(fixed waiting approval)</font>"
    }
	    
    if { [string compare $status "need clarification"] == 0 } {
	ns_write "&nbsp; &nbsp; <font color=green>(need clarification)</font>"
    }

    ns_write "\n"
    incr count
}


ns_write "
<hr>
<font color=red>Warning: If you delete this project, all of the tickets which belong to
it will be deleted as well!  </font>

 <center>
<form action=project-delete-2.tcl?project_id=$project_id method=post>
<input type=submit value=\"Confirm Delete Project\">
</form>
</center>
"

ns_write "
[ad_admin_footer]
"
