# field-delete-2.tcl,v 3.0 2000/02/06 03:28:37 ron Exp
set_the_usual_form_variables

# group_type, column_name

#DRB Yuck.  In Postgres, we can't drop columns from a table.
#I've come up with a gross kludge - generate a dummy name
#and rename the "deleted" column to that.  Since it's deleted
#from user_group_type_fields the user won't be able to make
#use of it.  As long as inserts explicitly names the columns
#to be inserted, this should work, though it's ugly.

#We could write a script to create a temp copy, then drop the
#table and rebuild it without the deleted columns if people care.

#This has to be done stand-alone and after a dump, though, because
#drop table can't be rolled back and a crash would leave it missing.

set db [ns_db gethandle]

set table_name [ad_user_group_helper_table_name $group_type]

set new_name "%"
append new_name [database_to_tcl_string $db "\
    select nextval('user_group_deleted_seq')"]

with_transaction $db {
    ns_db dml $db "delete from user_group_type_fields
where group_type = '$QQgroup_type'
and column_name = '$QQcolumn_name'"
    ns_db dml $db "alter table $table_name
                   rename $column_name to \"$new_name\""
} {
    ad_return_error "Deletion Failed" "We were unable to pseudo-drop the column $column_name from user group type $group_type due to a database error:
<pre>
$errmsg
</pre>
"
    return
}

ns_return 200 text/html "[ad_admin_header "Field Removed"]

<h2>Field Removed</h2>

from <a href=\"group-type.tcl?[export_url_vars group_type]\">the $group_type group type</a>

<hr>

The following action has been taken:

<ul>

<li>the column \"$column_name\" was removed from the table
$table_name.
<li>a row was removed from the table user_group_type_fields.
</ul>

[ad_admin_footer]
"
