# group-type-member-field-swap.tcl,v 3.0 2000/02/06 03:29:16 ron Exp
# Swaps two sort keys for group_type, sort_key and sort_key + 1.

set_the_usual_form_variables
# group_type, sort_key

set db [ns_db gethandle]

set next_sort_key [expr $sort_key + 1]

with_catch errmsg {
    ns_db dml $db "update user_group_type_member_fields
set sort_key =
    case when sort_key = $sort_key then $next_sort_key
         when sort_key = $next_sort_key then $sort_key
    end
where group_type = '$QQgroup_type'
and sort_key in ($sort_key, $next_sort_key)"

    ns_returnredirect "group-type.tcl?group_type=[ns_urlencode $group_type]"
} {
    ad_return_error "Database error" "A database error occured while trying
to swap your user group fields. Here's the error:
<pre>
$errmsg
</pre>
"
}
