# delete-dead-links.tcl,v 3.0 2000/02/06 03:35:20 ron Exp
# delete-dead-links.tcl
#
# deletes all occurrences of bookmarks with a dead url
#
# by aure@arsdigita.com

set_the_usual_form_variables 

# deleteable_link

set user_id [ad_verify_and_get_user_id]
ad_maybe_redirect_for_registration

# get the deleteable links from the form
if {[exists_and_not_null deleteable_link]} {
    catch {nmc_GetCheckboxValues [ns_conn form] {deleteable_link}} deleteable_link
    # deleteable_link is a list
    set QQdeleteable_link [list]
    foreach link $deleteable_link {
	lappend QQdeleteable_link [ns_dbquotevalue $link]
    }
    
    set QQdeleteable_link_string [join $QQdeleteable_link ","]
} else {
    ad_return_complaint 1 "You forgot to check off any links."
    return
}

set db [ns_db gethandle]

set sql_delete "
    delete from bm_list
    where owner_id = $user_id
    and url_id in ($QQdeleteable_link_string)"

# Note: This may break with a huge deleteable_link list, but it is somewhat
# unlikely that someone will have that many dead links and even more unlikely
# that they will check that many checkboxes on the previous page 

if [catch {ns_db dml $db $sql_delete} errmsg] {
    ns_return 200 text/html "<title>Error</title>
    <h1>Error</h1>
    <hr>
    We encountered an error while trying to process this DELETE:
    <pre>$errmsg</pre>
    [bm_footer]
    "
    return
}

ns_returnredirect $return_url
