
-- Create the basic groups for intranet
select user_group_add ('intranet', 'Customers', 'customer', 'f'); 
select user_group_add ('intranet', 'Projects', 'project', 'f'); 
select user_group_add ('intranet', 'Offices', 'office', 'f'); 
select user_group_add ('intranet', 'Employees', 'employee', 'f'); 
select user_group_add ('intranet', 'Procedure', 'procedure', 'f'); 
select user_group_add ('intranet', 'Partners', 'partner', 'f'); 
select user_group_add ('intranet', 'Authorized Users', 'authorized_users', 'f'); 


-- Set up the project types
insert into im_project_types
(project_type_id, project_type, display_order) 
values
(nextval('im_project_types_id_seq'), 'Client', 1);

insert into im_project_types
(project_type_id, project_type, display_order) 
values
(nextval('im_project_types_id_seq'), 'Sales', 2);

insert into im_project_types
(project_type_id, project_type, display_order) 
values
(nextval('im_project_types_id_seq'), 'Internal', 3);

insert into im_project_types
(project_type_id, project_type, display_order) 
values
(nextval('im_project_types_id_seq'), 'Toolkit', 4);

-- set up the project status
insert into im_project_status 
(project_status_id, project_status, display_order) 
values
(nextval('im_project_status_id_seq'), 'Open', 1);

insert into im_project_status 
(project_status_id, project_status, display_order) 
values
(nextval('im_project_status_id_seq'), 'Future', 2);

insert into im_project_status 
(project_status_id, project_status, display_order) 
values
(nextval('im_project_status_id_seq'), 'Inactive', 3);

insert into im_project_status 
(project_status_id, project_status, display_order) 
values
(nextval('im_project_status_id_seq'), 'Closed', 4);

insert into im_project_status 
(project_status_id, project_status, display_order) 
values
(nextval('im_project_status_id_seq'), 'Deleted', 5);



-- set up the types of urls we ask for
insert into im_url_types
(url_type_id, url_type, to_ask, to_display, display_order)
values 
(nextval('im_url_types_type_id_seq'), 'website', 'Service URL', 'URL', 1);

insert into im_url_types
(url_type_id, url_type, to_ask, to_display, display_order)
values 
(nextval('im_url_types_type_id_seq'), 'staff', 'Staff URL', 'Staff Server', 2);

insert into im_url_types
(url_type_id, url_type, to_ask, to_display, display_order)
values 
(nextval('im_url_types_type_id_seq'), 'development', 'Development URL', 'Development Server', 3);

insert into im_url_types
(url_type_id, url_type, to_ask, to_display, display_order)
values 
(nextval('im_url_types_type_id_seq'), 'staging', 'Staging URL', 'Staging Server', 4);

insert into im_url_types
(url_type_id, url_type, to_ask, to_display, display_order)
values 
(nextval('im_url_types_type_id_seq'), 'glassroom', 'Glassroom URL', 'Glassroom', 5);


insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Current', 1);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Inquiries', 2);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Creating Bid', 3);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Bid out', 4);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Bid and Lost', 5);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Past', 6);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Declined', 7);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Non-converted', 8);

insert into im_customer_status
(customer_status_id, customer_status, display_order)
values
(nextval('im_customer_status_seq'), 'Potential', 9);

-- now for the different types a partner can have
insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Usability', 1);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Graphics', 2);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Strategy', 3);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Supplier', 4);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Sys-admin', 5);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Hosting', 6);

insert into im_partner_types
(partner_type_id, partner_type,display_order)
values
(nextval('im_partner_types_seq'), 'Systems Integrator', 7);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'Targeted', 1);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'In Discussion', 2);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'Active', 3);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'Announced', 4);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'Dormant', 5);

insert into im_partner_status 
(partner_status_id, partner_status, display_order)
values
(nextval('im_partner_status_id_seq'), 'Dead', 6);


-- \i start-blocks.sql
