# group-add.tcl,v 1.2.4.1 2000/02/03 09:53:40 ron Exp
ad_page_variables {
    permissions_id
    {page_url {}}
    {page_name {}}
    {return_url {}}
    {return_name {}}
}

validate_integer permissions_id

set local_user_id [ad_verify_and_get_user_id]
set local_group_id [ad_get_group_id]
set db [ns_db gethandle]

# check permissions
if { ![ad_g_owner_p $db $permissions_id $local_user_id $local_group_id] } {
    ad_return_error "Unauthorized" "You are not authorized to edit the permissions for this page.<p>"
    return
}

set edit_perm_url edit-page-permissions.tcl?[export_url_vars permissions_id page_url page_name return_url return_name]

# if we don't have all the info we need for return_name
if { [info exists return_name] && ![empty_string_p $return_name] && [info exists return_url] && ![empty_string_p $return_url] } {
    set navbar "[ad_context_bar_ws_or_index [list "$return_url" "$return_name"] [list "$edit_perm_url" "Edit Permissions"] "Add a Group"]"
} else { 
    set navbar "[ad_context_bar_ws_or_index [list "$page_url" "$page_name"] [list "$edit_perm_url" "Edit Permissions"] "Add a Group"]"
}

ReturnHeaders

ns_write "
[ad_header "Add a Group"]

<h2>Add a Group</h2>
$navbar
<hr>
"

# we show all user groups that do not have user-group-role mappings
set selection [ns_db select $db "select ug.group_id, ug.group_name, ugt.pretty_plural
from user_groups ug, user_group_types ugt
where ug.group_type = ugt.group_type
and existence_public_p = 't'
and approved_p = 't'
and exists 
    ((select role from user_group_roles ugr where ugr.group_id = ug.group_id union select null from dual)
    EXCEPT
    (select role from permissions_ug_map pum where pum.group_id = ug.group_id and permissions_id = $permissions_id))
order by upper(ug.group_type)"]

set count 0
set last_pretty_plural ""

set groups_list "Please choose a group to add:\n<ul>"

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    
    if { $last_pretty_plural != $pretty_plural } {
	append groups_list "<h4>$pretty_plural</h4>\n"
	set last_pretty_plural $pretty_plural
    }

    append groups_list "<li><a href=\"group-add-2.tcl?[export_url_vars group_id permissions_id page_url page_name return_url]\">$group_name</a>\n"
    incr count
}



if { $count == 0 } {
    set groups_list "<blockquote>Sorry, no groups are available to be added.</blockquote>"
} else {
    append groups_list "</ul>"
}

ns_write "
$groups_list

[ad_footer]
"
