# public-comment-toggle.tcl,v 1.1.4.1 2000/02/03 09:53:44 ron Exp
# requires: permissions_id
# optional: page_url, page_name, return_url, return_name

ad_page_variables {
    permissions_id
    {user_id {}}
    {group_id {}}
    {role {}}
    {page_url {}}
    {page_name {}}
    {return_url {}}
    {return_name {}}
}

validate_integer permissions_id $permissions_id
validate_integer_or_null user_id $user_id
validate_integer_or_null group_id $group_id

set local_user_id [ad_verify_and_get_user_id]
set local_group_id [ad_get_group_id]
set db [ns_db gethandle]

# check permissions
if { ![ad_g_owner_p $db $permissions_id $local_user_id $local_group_id] } {
    ad_return_error "Unauthorized" "You are not authorized to edit the permissions for this page.<p>"
    return
}

ns_db dml $db "update general_permissions
               set public_comment_p = logical_negation(public_comment_p)
               where permissions_id = $permissions_id"

ns_returnredirect "edit-page-permissions.tcl?[export_url_vars permissions_id page_url page_name return_url return_name]"


