# user-add-2.tcl,v 1.1.4.1 2000/02/03 09:53:52 ron Exp
# requires: users_to_be_added, permissions_id
# optional: return_url, page_url, page_name

ad_page_variables {
    permissions_id
    {page_url {}}
    {page_name {}}
    {return_url {}}
    {return_name {}}
    {user_id_from_search {}}
    {first_names_from_search {}}
    {last_name_from_search {}}
    {email_from_search {}}
}

validate_integer permissions_id $permissions_id
validate_integer_or_null user_id_from_search $user_id_from_search

set local_user_id [ad_verify_and_get_user_id]
set local_group_id [ad_get_group_id]
set db [ns_db gethandle]

# check permissions
if { ![ad_g_owner_p $db $permissions_id $local_user_id $local_group_id] } {
    ad_return_error "Unauthorized" "You are not authorized to edit the permissions for this page.<p>"
    return
}

if { [info exists user_id_from_search] && ![empty_string_p $user_id_from_search] } {
    ns_db dml $db "insert into permissions_ug_map
    (permissions_id, user_id)
    values
    ($permissions_id, $user_id_from_search)"
} else {
    set add_users_list [util_GetCheckboxValues [ns_conn form] users_to_be_added]
    
    if {[llength $add_users_list] > 0 && $add_users_list != 0} {
	ns_db dml $db "begin transaction"
	
	foreach user_id $add_users_list {
	    ns_db dml $db "insert into permissions_ug_map
	    (permissions_id, user_id)
	    values
	    ($permissions_id, $user_id)"
	}
	
	ns_db dml $db "end transaction"
    }
}

ns_returnredirect "edit-page-permissions.tcl?[export_url_vars permissions_id page_url page_name return_url return_name]"

