# user-add.tcl,v 1.2.4.1 2000/02/03 09:53:53 ron Exp
# requires: permissions_id
# optional: page_url, page_name, return_url

ad_page_variables {
    permissions_id
    {page_url {}}
    {page_name {}}
    {return_url {}}
    {return_name {}}
}

validate_integer permissions_id $permissions_id

set user_id [ad_verify_and_get_user_id]
set group_id [ad_get_group_id]
set db [ns_db gethandle]

if { ![ad_g_owner_p $db $permissions_id $user_id $group_id] } {
    ad_return_error "Unauthorized" "You are not authorized to edit the permissions for this page.<p>"
    return
}

set count 0

if { [ad_parameter ShowUsersP gp] } {
    set user_list_info "<table>
    <tr>
    <td> </td>
    <th align=left>User</th>
    <th align=left>Email</th>
    </tr>
    "

    set selection [ns_db select $db "select users.user_id, first_names, last_name, email
                                     from users
                                     where not exists
                                     (select 1 from permissions_ug_map
                                     where permissions_id = $permissions_id
                                     and users.user_id = permissions_ug_map.user_id)
                                     order by last_name, first_names"]

    while { [ns_db getrow $db $selection] } {
	set_variables_after_query
	append user_list_info "
	<tr>
	<td><input type=checkbox name=users_to_be_added value=$user_id></td>
	<td>$last_name, $first_names</td>
	<td>$email</td>
	</tr>"
	
	incr count
    }
}

set edit_perm_url "edit-page-permissions.tcl?[export_url_vars permissions_id page_url page_name return_url return_name]"

if { [info exists return_name] && ![empty_string_p $return_name] && [info exists return_url] && ![empty_string_p $return_url] } {
    set navbar "[ad_context_bar_ws_or_index [list "$return_url" "$return_name"] [list "$edit_perm_url" "Edit Permissions"] "Add a User"]"
} else { 
    set navbar "[ad_context_bar_ws_or_index [list "$page_url" "$page_name"] [list "$edit_perm_url" "Edit Permissions"] "Add a User"]"
}

ReturnHeaders 

ns_write "
[ad_header "Add a User"]

<h2>Add a User</h2>
$navbar
<hr>

"



if { [ad_parameter ShowUsersP gp] } {
    if { $count == 0 }  {
	
	ns_write "
	No users are available to be added.
	"
	
    } else {
	append user_list_info "</table>"
	
	ns_write "
	<form method=get action=\"user-add-2.tcl\">
	
	[export_entire_form]
	<input type=hidden name=target value=\"/gp/user-add-2.tcl\">
	
	$user_list_info

	<p>
	
	<input type=submit value=\"Add Selected User(s)\">
	</form>
	"
    }
}

ns_write "
<form action=search.tcl method=post>
[export_entire_form]
<input type=hidden name=target value=\"/gp/user-add-2.tcl\">
<input type=hidden name=passthrough value=\"permissions_id page_url page_name return_url return_name\">
<table border=0>
<tr><td>Email address:<td><input type=text name=email size=40></tr>
<tr><td colspan=2>or by</tr>
<tr><td>Last name:<td><input type=text name=last_name size=40></tr>
</table>

<p>

<center>
<input type=submit value=\"Search\">
</center>
</form>

[ad_footer]
"
