<%= [openacs_header OpenACS.org] %>
<center><img src=openacs_logo_large.gif></center>
<p>
<%= [openacs_menu] %>
<p>

<table border=0 cellspacing=5 cellpadding=15 width=100%>
<tr>
<td valign=top width=70%>
<h3>What is OpenACS?</h3>
OpenACS (Open ArsDigita Community System) is an advanced toolkit for
building scalable, community-oriented web applications. It relies on <a
href=http://www.aolserver.com>AOLserver</a>, a web/application server, and <a
href=http://www.postgresql.org>PostgreSQL</a>, a true ACID-compliant
RDBMS. These are two high-quality products available
for free under <a href=http://www.opensource.org>open-source</a>
licenses. <font size=-1><a href=/about/what-is-openacs.adp>(read more)</a></font>


<p>

<h3>How can I use OpenACS?</h3> 
OpenACS is available under the <a href=http://www.gnu.org>GNU General
Public License</a>, which makes it open-source. This means you can use
it and modify it in any way you want. If you choose to redistribute
OpenACS, you must do so under the terms of the GNU license. In fact,
this is how OpenACS came to be: it is the redistributed, modified
version of <a href=http://software.arsdigita.com>the ACS</a>, built by
<a href=http://www.arsdigita.com>ArsDigita</a>.
<p>
<i>You are thus free to use OpenACS for commercial and non-commercial
use</i>. For professional help, you should contact <a href=http://www.civilution.com>Civilution</a>, <a
href=http://www.furfly.net>Furfly</a>, 
<a href=http://www.museatech.net>Musea Technologies</a>,
<a href=http://www.openforce.net>OpenForce</a>, or <a
href=http://www.ybos.net>Ybos</a>.

<p>
<h3>Is there more information?</h3>
Check out, in order, our <a href=/doc/openacs>documentation</a>, our
<a href=/faq>FAQs</a>, and our <a href=/bboard>forums</a>.<br>
You can also check out <a href=/sites.html>sites that run on OpenACS</a>.
</td>
<td valign=top bgcolor=#cccccc>

<h3>News</h3>

<ul>
<%

set db [ns_db gethandle]

# Create a clause for returning the postings for relevant groups
set newsgroup_clause "(newsgroup_id = [join [news_newsgroup_id_list $db 0 0] " or newsgroup_id = "])"
	
set query "
 select news_item_id, title, release_date, body, html_p
 from news_items
 where sysdate() between release_date and expiration_date
 and release_date-sysdate() < '2 weeks'::reltime
 and $newsgroup_clause
 and approval_state = 'approved'
 order by release_date desc, creation_date desc"

set selection [ns_db select $db $query]

set counter 0

while {[ns_db getrow $db $selection]} {
	set_variables_after_query
	incr counter
	ns_puts "<li> [util_AnsiDatetoPrettyDate $release_date]: <a href=/news/item.tcl?[export_url_vars news_item_id]>$title</a>"
}

if {$counter == 0} {
	ns_puts "No news items"
}
%>
</ul>

<p><hr><p>
<h3>Statistics</h3>

<%

set num_total_users [database_to_tcl_string $db "select count(*) from users"]
set num_downloads_rpm [database_to_tcl_string $db "select count(*) from package_release_downloads where package_id=8"]
set num_downloads_324 [database_to_tcl_string $db "select count(*) from package_release_downloads where package_id=1 and release_id=12"]

%>

<b><%= $num_total_users %></b> registered users.<p>
<b><%= $num_downloads_324 %></b> downloads of OpenACS 3.2.4.<br>
<b><%= $num_downloads_rpm %></b> downloads of OpenACS Apache RPMs.

<p>
</td>
</tr>
<tr><td colspan=2>
<center><font size=-1>
The OpenACS team would like to thank <a href=http://www.arsdigita.com>ArsDigita</a> for providing the hardware and co-location resources needed to run this site.
</font></center>
</td></tr>
</table>
<p>
<%= [openacs_footer] %>