# update-supervisor-2.tcl,v 3.0.4.1 2000/03/17 07:26:10 mbryzek Exp
#
# File: /www/intranet/employees/admin/update-supervisor-2.tcl
#
# Author: mbryzek@arsdigita.com, Jan 2000
#
# writes employee's supervisor to db
# 

set db [ns_db gethandle]

set_the_usual_form_variables
# user_id, supervisor_id (dp variables)

validate_integer user_id $dp.im_employee_info.user_id
validate_integer supervisor_id $dp.im_employee_info.supervisor_id

# We use data pipeline to not worry about updates vs inserts

if { ![exists_and_not_null dp.im_employee_info.user_id] } {
    ad_return_error "Browser broken" "Your browser is broken or our code is.  We didn't see a user_id for the user you're trying to update."
    return
}

with_transaction $db {

    dp_process -db $db -where_clause "user_id=${dp.im_employee_info.user_id}"
} { ns_log Error "transaction failed" }

if { [exists_and_not_null return_url] } {
    ns_returnredirect $return_url
} else {
    ns_returnredirect index.tcl
}
