# ae.tcl,v 3.1.4.1 2000/03/17 08:22:56 mbryzek Exp
# File: /www/intranet/hours/ae.tcl
#
# Author: mbryzek@arsdigita.com, Jan 2000
#
# Displays form to let user enter hours
#

set_the_usual_form_variables
# on_which_table
# julian_date (defaults to today)
# on_what_id (optional)

set db [ns_db gethandle]

if { ![exists_and_not_null on_which_table] } {
    set on_which_table im_projects
    set QQon_which_table im_projects
}

if { ![exists_and_not_null julian_date] } {
    set julian_date [database_to_tcl_string $db \
	    "select to_char(sysdate(),'J') from dual"]

}

set user_id [ad_verify_and_get_user_id]
ad_maybe_redirect_for_registration

set selection [ns_db 1row $db \
	"select first_names || ' ' || last_name as user_name,
                to_char(date_from_julian($julian_date), 'FMDay FMMonth FMDD, YYYY') as pretty_date
           from users
          where user_id = $user_id"]    

set_variables_after_query

## Ben's attempt
if { [exists_and_not_null on_what_id] } {

    validate_integer on_what_id $on_what_id

    set one_project_only_p 1
    set selection [ns_db select $db \
	    "select g.group_name, g.group_id,
    h.hours, h.note, h.billing_rate
    from user_groups g, im_hours h
    where g.group_id = $on_what_id
    and g.group_id = h.on_what_id
    and '$QQon_which_table' = h.on_which_table
    and h.user_id = $user_id
    and date_from_julian($julian_date) = h.day
    union
    select g.group_name, g.group_id,
    h.hours, h.note, h.billing_rate
    from user_groups g, im_hours_null h
    where g.group_id = $on_what_id
    and 0=(select count(*) from im_hours where 
    g.group_id= im_hours.on_what_id and
    '$QQon_which_table' = im_hours.on_which_table and
    im_hours.user_id= $user_id and
    date_from_julian($julian_date) = im_hours.day)
    order by upper(group_name)"]
} else {
    set one_project_only_p 0

   set selection [ns_db select $db \
	   "select g.group_name, g.group_id,
    h.hours, h.note, h.billing_rate
    from user_groups g, im_hours h, im_projects p
    where h.day = date_from_julian($julian_date)
    and g.group_id=p.group_id
    and h.user_id = $user_id
    and g.group_id = h.on_what_id
    and '$QQon_which_table' = h.on_which_table
    and p.project_status_id in (select project_status_id
    from im_project_status
    where upper(project_status) in ('OPEN','FUTURE'))
    and im_hours_group_id_valid_p(p.group_id, $user_id, '$QQon_which_table', $julian_date)='t'
    union
    select g.group_name, g.group_id,
    h.hours, h.note, h.billing_rate
    from user_groups g, im_hours_null h, im_projects p
    where g.group_id = p.group_id
    and 0=(select count(*) from im_hours where 
    g.group_id= im_hours.on_what_id and
    '$QQon_which_table' = im_hours.on_which_table and
    im_hours.user_id= $user_id and
    date_from_julian($julian_date) = im_hours.day)
    and p.project_status_id in (select project_status_id
    from im_project_status
    where upper(project_status) in ('OPEN','FUTURE'))
    and im_hours_group_id_valid_p(p.group_id, $user_id, '$QQon_which_table', $julian_date)='t'
    order by upper(group_name)"]
}


# if { [exists_and_not_null on_what_id] } {

#     set one_project_only_p 1
#     set selection [ns_db select $db \
# 	    "select g.group_name, g.group_id,
# 	            h.hours, h.note, h.billing_rate
#                from user_groups g, im_hours h
#               where g.group_id = $on_what_id
#                 and g.group_id = h.on_what_id(+)
#                 and '$QQon_which_table' = h.on_which_table(+)
#                 and h.user_id(+) = $user_id
#                 and to_date($julian_date, 'J') = h.day(+)
#               order by upper(group_name)"]

# } else {
#     set one_project_only_p 0

#     set selection [ns_db select $db \
# 	    "select g.group_name, g.group_id,
# 	            h.hours, h.note, h.billing_rate
#                from user_groups g, im_hours h, im_projects p
#               where h.day(+) = to_date($julian_date, 'J')
#                 and g.group_id=p.group_id
#                 and h.user_id(+) = $user_id
#                 and g.group_id = h.on_what_id(+)
#                 and '$QQon_which_table' = h.on_which_table(+)
#                 and p.project_status_id in (select project_status_id
#                                               from im_project_status
#                                              where upper(project_status) in ('OPEN','FUTURE'))
#                 and p.group_id in (select map.group_id 
#                                      from user_group_map map
#                                     where map.user_id = $user_id
#                                     UNION
#                                    select h.on_what_id
#                                      from im_hours h
#                                     where h.user_id = $user_id
#                                       and on_which_table = '$QQon_which_table'
#                                       and (h.hours is not null
#                                            OR h.note is not null)
#                                       and h.day = to_date($julian_date, 'J'))
#             order by upper(group_name)"]

# }

#  set where_clause1 [list "g.group_id = h.on_what_id" "not exists (select 1 from im_hours where on_what_id = g.group_id)"]
#  set where_clause2 [list "'$QQon_which_table' = h.on_which_table" "not exists (select 1 from im_hours where on_which_table = '$QQon_which_table')"]
#  set where_clause3 [list "h.user_id = $user_id" "not exists (select 1 from im_hours where user_id = $user_id)"]
#  set where_clause4 [list "date(date_from_julian($julian_date)) = date(h.day)" "not exists (select 1 where date(date_from_julian($julian_date)) = date(day))"]

#  if { [exists_and_not_null on_what_id] } {

#      set one_project_only_p 1
#      set sql_select_clause "select g.group_name, g.group_id,
#  	            %s
#                 from user_groups g %s
#                where g.group_id = $on_what_id
#                  and %s
#                  and %s
#                  and %s
#                  and %s"

#      set sub_clause ""
#      set sub_sql    ""

#  } else {
#      set one_project_only_p 0     
#      set sql_select_clause "select g.group_name, g.group_id,
#  	            %s
#                 from user_groups g, im_projects p %s
#                where g.group_id=p.group_id
#                  and %s
#                  and %s
#                  and %s
#                  and %s
#                  and p.project_status_id in (select project_status_id
#                                                from im_project_status
#                                               where upper(project_status) in ('OPEN','FUTURE'))"

#      set sub_clause "and p.group_id in"
#      set sub_sql    "select map.group_id 
#                        from user_group_map map
#                       where map.user_id = $user_id
#                       UNION
#                      select h.on_what_id
#                        from im_hours h
#                       where h.user_id = $user_id
#                         and on_which_table = '$QQon_which_table'
#                         and (h.hours is not null
#                              OR h.note is not null)
#                         and date(h.day) = date(date_from_julian($julian_date))"
#  }


set page_title "Hours for $pretty_date"
set context_bar [ad_context_bar [list "/" Home] [list "../index.tcl" Intranet] [list index.tcl?[export_url_vars on_which_table] "Hours"] "Add hours"]

set page_body "
<form method=post action=ae-2.tcl>
[export_form_vars julian_date return_url on_which_table]

"

set results ""

# Warning - Major hack in progress.  Postgres 6.5 doesn't support unions in subqueries.  Perform subquery
# and use result to from main query.  Wrap the whole thing in a transaction to maintain ACID.

#  set sql_list [list]

#  for {set i 0} {$i < 16} {incr i} {

#      set bit0 [expr $i & 1]
#      set bit1 [expr ($i >> 1) & 1]
#      set bit2 [expr ($i >> 2) & 1]
#      set bit3 [expr ($i >> 3) & 1]

#      if {$bit0 && $bit1 && $bit2 && $bit3} {
#          set im_hours_selects " 0.0 as hours, '' as note, 0.0 as billing_rate "
#          set hours_table ", im_hours h"
#      } else {
#          set hours_table ", im_hours h"
#          set im_hours_selects " h.hours, h.note, h.billing_rate "
#      }

#      lappend sql_list [format $sql_select_clause $im_hours_selects $hours_table [lindex $where_clause1 $bit0] [lindex $where_clause2 $bit1] [lindex $where_clause3 $bit2] [lindex $where_clause4 $bit3]]

#  }

#  ns_db dml $db "begin transaction"

#  if { $sub_sql != "" } {
#    set sub_list [database_to_tcl_list $db $sub_sql]
#  } else {
#      set sub_list [list]
#  }

#  if { [llength $sub_list] > 0 } {
#      set sub_query_values "$sub_clause ([join $sub_list ","])"
#  } else {
#      set sub_query_values ""
#  }

#  set sql "[join $sql_list " $sub_query_values \nunion\n"] $sub_query_values\norder by upper(group_name)"

# set selection [ns_db select $db $sql]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    append results "

<tr>
<td bgcolor=#d0d0d0 COLSPAN=2><B>$group_name</B></TD></TR>
<tr VALIGN=top bgcolor=#efefef>
<td ALIGN=right bgcolor=#efefef>Hours:</TD>
<td><INPUT NAME=hours_${group_id}.hours size=5 MAXLENGTH=5 [export_form_value hours]></TD>
</TR>
<tr VALIGN=top bgcolor=#efefef>
<td>Work done:</TD>
<td><TEXTAREA NAME=hours_${group_id}.note WRAP=SOFT COLS=50 ROWS=6>[ns_quotehtml [value_if_exists note]]</TEXTAREA>
</TD>
</TR>
<tr bgcolor=#efefef>
<td ALIGN=right bgcolor=#efefef>Billing Rate:</TD>
<td>\$<INPUT NAME=hours_${group_id}.billing_rate size=6 MAXLENGTH=6 [export_form_value billing_rate]> 
<FONT size=-1>(Leave blank if not billing hourly)</FONT></TD>
</TR>


"
}

# ns_db dml $db "end transaction"


if { [empty_string_p $results] } {
    append page_body "
<b>You currently do not belong to any projects</b>

<p><a href=other-projects.tcl?[export_url_vars on_which_table julian_date]>Add hours on other projects</A>
"
} else {
    set page_body "
$page_body
<center>
<table border=0 cellpadding=4 cellspacing=2>
$results 
"
    if {! $one_project_only_p} {
	append page_body "
<tr>
<td COLSPAN=2 bgcolor=#d0d0d0>
<a href=other-projects.tcl?[export_url_vars on_which_table julian_date]>Add hours on other projects</A>
</TD>
</TR>
"
    }

    append page_body "
</table>

<p><INPUT TYPE=Submit VALUE=\" Add hours \">
</form>
</center>
"
}


ns_return 200 text/html [ad_partner_return_template]
