# ae-2.tcl,v 3.2.2.1 2000/03/17 08:23:05 mbryzek Exp
# File: /www/intranet/partners/ae-2.tcl
#
# Author: mbryzek@arsdigita.com, Jan 2000
# 
# Purpose: Stores partner info in db
#
set user_id [ad_verify_and_get_user_id]
ad_maybe_redirect_for_registration

set_form_variables
# Bunch of stuff for dp

validate_integer group_id $group_id

set required_vars [list \
	[list "dp_ug.user_groups.group_name" "You must specify the partner's name"]]

set errors [im_verify_form_variables $required_vars]

set exception_count 0
if { ![empty_string_p $errors] } {
    incr exception_count
}

set db [ns_db gethandle]

# Make sure partner name is unique
set exists_p [database_to_tcl_string $db \
	"select (case when count(1) = 0 then 0 else 1 end) 
           from user_groups 
          where short_name='[DoubleApos ${dp_ug.user_groups.short_name}]'
            and group_id != $group_id"]

if { $exists_p } {
    incr exception_count
    append errors "  <li> The specified short name already exists. Either choose a new name or go back to the partner's page to edit the existing record\n"
}

if { ![empty_string_p $errors] } {
    ad_return_complaint $exception_count "<ul>$errors</ul>"
    return
}

set form_setid [ns_getform]

# Create/update the user group frst since projects reference it
# Note: group_name, creation_user, creation_date are all set in ae.tcl
ns_set put $form_setid "dp_ug.user_groups.group_id" $group_id
ns_set put $form_setid "dp_ug.user_groups.group_type" [ad_parameter IntranetGroupType intranet]
ns_set put $form_setid "dp_ug.user_groups.approved_p" "t"
ns_set put $form_setid "dp_ug.user_groups.new_member_policy" "closed"
ns_set put $form_setid "dp_ug.user_groups.parent_group_id" [im_partner_group_id]


# Log the modification date
ns_set put $form_setid "dp_ug.user_groups.modification_date.expr" "sysdate()"
ns_set put $form_setid "dp_ug.user_groups.modifying_user" $user_id


# Put the group_id into projects
ns_set put $form_setid "dp.im_partners.group_id" $group_id

with_transaction $db {

    # Update user_groups
    dp_process -db $db -form_index "_ug" -where_clause "group_id=$group_id"

    # ns_log Notice "process user groups" 

    # Now update im_projects
    dp_process -db $db -where_clause "group_id=$group_id"

    # ns_log Notice "oh yeah IM"
} { ns_log Error "transaction failed" }

if { ![exists_and_not_null return_url] } {
    set return_url [im_url_stub]/partners/view.tcl?[export_url_vars group_id]
}

if { [exists_and_not_null dp_ug.user_groups.creation_user] } {
    # add the creating current user to the group
    ns_returnredirect "/groups/member-add-3.tcl?[export_url_vars group_id return_url]&user_id_from_search=$user_id&role=administrator"
} else {
    ns_returnredirect $return_url
}
