set user_id [ad_verify_and_get_user_id]

set db [ns_db gethandle]

if { $user_id == 0 } {
    # not a logged-in user 
    set selection [ns_db select $db "select category_id, category
from categories 
where enabled_p = 't'
order by upper(category)"]
    set category_items ""
    while { [ns_db getrow $db $selection] } {
	set_variables_after_query
	append category_items "<li><a href=\"one.tcl?[export_url_vars category_id]\">$category</a>\n"
    }
    if ![empty_string_p $category_items] {
	set options $category_items
    } else {
	set options "The publisher of [ad_system_name] hasn't set up any interest or content categories."
    }
} else {
    # this person is already logged in, let's just give them a subset of their workspace
    set selection [ns_db select $db "select c.category, c.category_id, decode(ui.category_id,NULL,NULL,'t') as selected_p
from categories c, (select * from users_interests where user_id = $user_id) ui
where c.enabled_p = 't' 
and c.category_id = ui.category_id(+)"]

    set interest_items ""
    while { [ns_db getrow $db $selection] } {
	set_variables_after_query
	set hyperlinked_category "<a href=\"one.tcl?[export_url_vars category_id]\">$category</a>"
	if { $selected_p == "t" } {
	    append interest_items "<input name=category_id type=checkbox value=\"$category_id\" CHECKED> $hyperlinked_category<br>\n"
	} else {
	    append interest_items "<input name=category_id type=checkbox value=\"$category_id\"> $hyperlinked_category<br>\n"
	}
    }
    if ![empty_string_p $interest_items] {
	set options "

<form method=POST action=\"/pvt/interests-update.tcl\">
<blockquote>
$interest_items
<br>
<br>
<input type=submit value=\"Update Interests\">
</blockquote>
</form>
"
    } else {
	set options "The publisher of [ad_system_name] hasn't set up any interest or content categories."
    }

}


ns_db releasehandle $db 

ns_return 200 text/html "
[ad_admin_header "Mailing List"]

[ad_decorate_top "
<h2>Mailing List</h2>

[ad_context_bar_ws_or_index "Mailing List"]
" [ad_parameter IndexPageDecoration mailing-list]]

<hr>

If you tell us what your interests are, we'll send you periodic
updates of what's new at [ad_system_name].

<ul>

$options

</ul>

If you're going on vacation for awhile or changing your email address, 
go to [ad_pvt_home_link] and update our database.

[ad_admin_footer]
"
