set_the_usual_form_variables

# category_id

validate_integer category_id $category_id

set user_id [ad_verify_and_get_user_id]

set db [ns_db gethandle]

set selection [ns_db 0or1row $db "select * from categories where category_id = $category_id"]

if { $selection == "" } {
    ad_return_error "Could not find category" "We couldn't find a category with id $category_id"
    return
}

set_variables_after_query

if { $user_id == 0 } {
    set sign_up_instructions "If you'd like to sign up for this mailing list, please
<a href=\"/register/index.tcl?return_url=[ns_urlencode "/mailing-list/one.tcl?category_id=$category_id"]\">register as a user of [ad_system_name]</a> (or log in if you're already registered) 
and then you'll be bounced back to this page."
} else {
    # this is a user but we don't know if he or she is already signed up 
    if { [database_to_tcl_string $db "select count(*) from users_interests where user_id = $user_id and category_id = $category_id"] > 0 } {
	set sign_up_instructions "You're currently subscribed to this mailing list.  If you're 
unhappy, you can <a href=\"unsubscribe.tcl?[export_url_vars category_id]\">unsubscribe</a>."
    } else {
	set sign_up_instructions "You're not currently subscribed to this mailing list.  You can <a href=\"subscribe.tcl?[export_url_vars category_id]\">subscribe if you wish</a>."
    }
}

ns_return 200 text/html "[ad_header "$category"]

<h2>$category</h2>

[ad_context_bar_ws_or_index [list "index.tcl" "Mailing List"] "One Category"]

<hr>

Here's what we say to expect if you sign up for the mailing list in
this category:

<blockquote>
$mailing_list_info
</blockquote>

$sign_up_instructions

[ad_footer]
"
