# Ticket tracker user home page
#
# index.tcl by hqm@arsdigita.com June 1999
# 
set_form_variables 0

# form vars:
# 
# (these are all optional args which have defaults)
#
# filter conditions
#
# Assignments:
# view_assignment    { user unassigned all }

# Status
# view_status  { open closed deferred created_by_you }
#
# Creation time
# view_created { last_24 last_week last_month all}
#
#
# order_by       column name to sort table by 

set ctrlvars {view_assignment view_status view_created}

set db [ticket_getdbhandle]

set user_id [ad_get_user_id]


##
## if there is only one project this person is assigned to, redirect to it.
##
set list_of_projects [database_to_tcl_list_list $db "select project_id,title from ticket_projects where ticket_user_can_see_project_p($user_id, project_id)='t'"]

if {[llength $list_of_projects] == 0} {
    ns_returnredirect "/team"
    return
}

if {[llength $list_of_projects] == 1} {
    ns_returnredirect "project-top.tcl?project_id=[lindex [lindex $list_of_projects 0] 0]"
    return
}

ReturnHeaders

ns_write "[ad_header "[ticket_system_name] Home"]

<h2>[ticket_system_name]</h2>

[ad_context_bar_ws_or_index "Ticket Tracker"]

<hr>
<p>
<FORM method=GET action=project-top.tcl>Projects: 
"

#  foreach project $list_of_projects {
#      ns_write "<a href=project-top.tcl?project_id=[lindex $project 0]>[lindex $project 1]</a> | "
#  }

ns_write " [make_html_select project_id $list_of_projects] <INPUT TYPE=submit value=go></FORM><p>"

ns_write "<p>"
# List of form vars used to select tickets to display

# Assignment filter conditions
#

append results "[ticket_filter_bar $db $user_id "" index.tcl]"

################################################################


set query "select 
 ticket_issues.msg_id,
 ticket_issues.ticket_type, 
 ticket_issues.one_line,
 ticket_issues.status,
 ticket_issues.severity,
 ticket_issues.posting_time,
 users.email,
 ticket_assignees(msg_id) as ticket_assignees,
 ticket_projects.title as project_title,
 ticket_projects.project_id,
 ticket_issues.priority, 
 to_char(ticket_issues.modification_time, 'MM/DD/YY') as modification_time_pretty,
 to_char(ticket_issues.posting_time, 'MM/DD/YY') as creation_time_pretty,
 to_char(ticket_issues.close_date, 'MM/DD/YY') as close_date_pretty,
 to_char(ticket_issues.deadline, 'MM/DD/YY') as deadline_pretty,
 case when deadline < sysdate() then 1 else -1 end as pastdue,
 ticket_issues.public_p
from $issue_table ticket_issues, ticket_projects, users
where
ticket_user_can_see_project_p($user_id, ticket_projects.project_id)='t'
and users.user_id = ticket_issues.user_id
and ticket_projects.project_id = ticket_issues.project_id
$assignment_filter
$status_filter
$date_filter
order by $order_by, ticket_issues.priority, ticket_issues.posting_time"

# set vars and generate the summary
set this_url "index.tcl"
set display_project_p 1
append results [ticket_summary_display]

ns_write  "
$results
<ul>
<li>Summarize by 
    <a href=\"project-summary.tcl\">project</a> |
    <a href=\"user-summary.tcl\">user</a> |
    <a href=\"by-creation-user.tcl\">creator</a>
   

<p>

<li>Add new 
   <a href=\"issue-new.tcl\">issue</a>

<p>

<FORM method=get action=issue-view.tcl>
<li>Search by Ticket # <INPUT TYPE=text name=msg_id> <input type=submit value=search></form>

</ul>



</blockquote>

[ad_footer]
"
