set_the_usual_form_variables

# msg_id, assignee_id, project_id

validate_integer msg_id $msg_id
validate_integer assignee_id $assignee_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

if {![info exists assignee_id] || [empty_string_p $assignee_id]} {
    ad_return_complaint 1 "<li>You did not specify a user to assign to this ticket.\n"
    return
}

if {![ticket_user_can_edit_issues_p $user_id $msg_id $db]} {
    ticket_deny_access
    return
}


if {[database_to_tcl_string $db  "select count(*) from ticket_issue_assignments where user_id=$assignee_id and msg_id=$msg_id"] > 0} {
    # do nothing, ticket is already assigned (this should not happen unless
    # someone resubmits a page by accident
} else {
    ns_db dml $db "insert into ticket_issue_assignments (msg_id, user_id, active_p) VALUES  ($msg_id, $assignee_id, 't')"


    if {[catch {
	# notify user of assignment to an issue
	ticket_notify_user $db $assignee_id $msg_id 1
    } errmsg]} {
	ad_return_warning "Email Server Not Responding" "<b>Important</b>: your specified email server is not responding, thus the user you just assigned did not receive email notification that he/she was assigned this issue. The assignment <b>has been made</b> however, and will show up in that user's workspace. You can now <a href=issue-view.tcl?[export_url_vars msg_id]>continue editing the issue</a>."
	return
    }
}

ns_returnredirect "issue-view.tcl?msg_id=$msg_id"
