# This page is for viewing issue change history as a privileged user - 
# 
# form vars: msg_id, one_line
#
#
# Most data fields are modifiable

set_form_variables

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

# check perms
set project_id [database_to_tcl_string $db "select project_id from ticket_issues where msg_id=$msg_id"]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ReturnHeaders

set selection [ns_db 1row  $db "select ticket_type, one_line, ticket_issues.project_id, ticket_projects.title from ticket_issues, ticket_projects
where msg_id = $msg_id
and ticket_issues.project_id = ticket_projects.project_id"]
set_variables_after_query

ns_write "[ad_header [clean_up_html $one_line]]"

ns_write "
<h2>$ticket_type \#$msg_id: [clean_up_html $one_line]</h2>
[ad_context_bar_ws_or_index [list "[ticket_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?project_id=$project_id" $title] [list "issue-view.tcl?msg_id=$msg_id" "Ticket \#$msg_id"] "View Change History"]

<hr>
"



set selection [ns_db select $db "select 
first_names as who_first_names, last_name as who_last_name, who, what, old_value, new_value , 
modification_date
from  ticket_changes , users
where msg_id = $msg_id
and ticket_changes.who=users.user_id::varchar"]

ns_write "
<table border=1>
<tr>
<th>Who</th>
<th>What</th>
<th>Old Value</th>
<th>New Value</th>
<th>When</th>
</tr>
"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    ns_write "<tr>
<td>$who_first_names $who_last_name</td>
<td>$what</td>
<td>$old_value</td>
<td>$new_value</td>
<td>$modification_date</td>
</tr>"
} 

ns_write "</table>"

ns_write "
<p>
<a href=issue-view.tcl?msg_id=$msg_id>View issue</a>
<p>
"

ns_write "
[ad_footer]"



