# Ask for a comment from user when status is being modified
set_form_variables
# msg_id, status

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

# check perms
set project_id [database_to_tcl_string $db "select project_id from ticket_issues where msg_id=$msg_id"]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set selection [ns_db 1row $db "select one_line, 
ticket_issues.project_id, ticket_projects.title
from ticket_issues, ticket_projects
where msg_id = $msg_id
and ticket_projects.project_id = ticket_issues.project_id"]
set_variables_after_query

ReturnHeaders

ns_write "[ad_header "Changing Issue Status To $status"]
<h2>Change Issue Status To $status</h2>
<a href=\"issue-view.tcl?msg_id=$msg_id\">[clean_up_html $one_line]</a>
for project <a href=\"project-top.tcl?project_id=$project_id\">$title</a>
in <a href=\"index.tcl\">[ticket_system_name]</a>
<hr>
Please say why you are changing the status of this issue to $status.
<form action=\"issue-changed-status-2.tcl\" method=get>
[export_form_vars msg_id status]
<textarea name=message rows=10 cols=70 wrap=physical></textarea>
<p><input type=checkbox name=public_p checked value=t>Make this response publicly readable?
<p><input type=checkbox name=notify_creator_p value=t>Send email notification to this ticket's creator?
<p><input type=checkbox name=preformat value=yes> Preserve fixed text formatting?
<center><input type=submit value=Submit></center>
</form>
[ad_footer]
"
