set_the_usual_form_variables
# msg_id, assignee_id

validate_integer msg_id $msg_id
validate_integer assignee_id $assignee_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

# permissions
if {![ticket_user_can_edit_issues_p $user_id $msg_id $db]} {
    ticket_deny_access
    return
}

ns_db dml $db "delete from ticket_issue_assignments 
WHERE user_id=$assignee_id AND msg_id=$msg_id"

if {[catch {
    # notify user of assignment to an issue
    ticket_notify_user $db $assignee_id $msg_id 0
} errmsg]} {
    ad_return_warning "Email Server Not Responding" "<b>Important</b>: your specified email server is not responding, thus the user you just deassigned did not receive email notification that he/she was deassigned from this issue. The deassignment <b>has been performed</b> however, and will no longer show up in that user's workspace. You can now <a href=issue-view.tcl?[export_url_vars msg_id]>continue editing the issue</a>."
    return
}

ns_returnredirect "issue-view.tcl?msg_id=$msg_id"
