set_the_usual_form_variables

# msg_id, deadline, status, one_line, ticket_type
# privacy
#
# prev_priority prev_status 

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

# check perms
set project_id [database_to_tcl_string $db "select project_id from ticket_issues where msg_id=$msg_id"]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set formdata [ns_set copy [ns_conn form]]

if {[empty_string_p [set ColValue.deadline.month]] && [empty_string_p [set ColValue.deadline.day]]} {
    ns_set update $formdata ColValue.deadline.year ""
}

if [catch {ns_dbformvalue $formdata deadline date deadline} error] {
    ad_return_complaint 1 "<li>Error parsing the deadline date: $error
<br>Please specify a month, day, and four digit year for the deadline.\n"
    return
}

ns_db dml $db "begin transaction"

update_last_modified_info $db $msg_id 

if {$deadline == ""} {
    set deadline_sql "NULL"
} else {
    set deadline_sql "'$deadline'"
}

ns_db dml $db "update ticket_issues set deadline = $deadline_sql, 
one_line = '$QQone_line',
severity = '$severity',
status='$QQstatus',
ticket_type='$QQticket_type', 
privacy = [db_null_sql $privacy],
project_id= '$project_id',
release_id= '$release_id'
where
msg_id = $msg_id"

foreach custom_field [ticket_custom_field_get_project_fields $project_id] {
    if {[info exists [ticket_custom_field_varname [lindex $custom_field 1]]]} {
	ns_db dml $db "update ticket_projects_field_vals 
	set field_val= '[DoubleApos [set [ticket_custom_field_varname [lindex $custom_field 1]]]]'
	where
	project_id= $project_id and 
	field_id= [lindex $custom_field 0] and 
	issue_id= $msg_id"

	set n_rows [db_resultrows $db]
    } else {
	set n_rows 0
    }

    if {$n_rows == 0} {
	ns_db dml $db "insert into ticket_projects_field_vals (project_id, field_id, issue_id, field_val) values ($project_id, [lindex $custom_field 0], $msg_id, '')"
    }
}

ns_db dml $db "end transaction"


#  foreach field [ticket_picklist_field_names] {
#      if {[info exists $field]} {
#  	set entry [ticket_picklist_field_info $field]
#  	set column_name [ticket_picklist_entry_column_name $entry]
#  	ns_db dml $db "update ticket_issues set $column_name = '[DoubleApos [set $field]]' 
#  	where
#  	msg_id = $msg_id"
#      }
#  }

if { [string compare $prev_status $status] != 0} {
    ns_returnredirect "issue-changed-status.tcl?[export_url_vars msg_id status]"
} else {
    ns_returnredirect "issue-view.tcl?[export_url_vars msg_id]"
}
