set_form_variables
# msg_id

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]

set db [ticket_getdbhandle]

# check perms
set project_id [database_to_tcl_string $db "select project_id from ticket_issues where msg_id=$msg_id"]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set selection [ns_db 1row $db "select one_line, 
ticket_issues.project_id, project_full_name(ticket_projects.project_id) as title, fixed_release_id
from ticket_issues, ticket_projects
where msg_id = $msg_id
and ticket_projects.project_id = ticket_issues.project_id"]
set_variables_after_query

ReturnHeaders

set return_url "issue-fix.tcl?[export_url_vars msg_id]"
set return_pretty_name "Fix Issue #$msg_id: $one_line"

ns_write "[ad_header "Fix Issue"]
<h2>Fix Issue</h2>
<a href=\"issue-view.tcl?msg_id=$msg_id\">[clean_up_html $one_line]</a>
for project <a href=\"project-top.tcl?project_id=$project_id\">$title</a>
in <a href=\"index.tcl\">[ticket_system_name]</a>
<hr>
Please say why are changing the status of this issue.
<form action=\"issue-fix-2.tcl\" method=get>
[export_form_vars msg_id]
<textarea name=message rows=10 cols=70 wrap=physical></textarea>
<p>
Release of Fix:  [ticket_release_select $project_id fixed_release_id $fixed_release_id $db] (<a href=releases.tcl?[export_url_vars project_id return_url return_pretty_name]>manage releases</a>)<p>
<p><input type=checkbox CHECKED name=public_p value=t>Make this response publicly readable?
<center><input type=submit value=Submit></center>
</form>
[ad_footer]
"
