set_form_variables 0
# project_id

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ticket_getdbhandle]

set default_assignee ""

# Permission Check
if {![ticket_user_can_add_issues $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set raw_project_title [database_to_tcl_string $db "select project_full_name(project_id) as title 
from ticket_projects
where project_id = $project_id"]
set project_title "for $raw_project_title, "

# Get list of default user info
set selection [ns_db 1row $db "select email, users.first_names || ' ' || users.last_name as pretty_name
 from users
 where  users.user_id = $user_id"]

set_variables_after_query

# Admin users get to choose project. 
# Normal users are assigned automatially to "Tech Support" project

ReturnHeaders

append page "[ad_header "Create New Issue"]

<h2>Create new issue</h2>

[ad_context_bar_ws_or_index [list "[ticket_admin_url_stub]/index.tcl" "Ticket Tracker"]  "Create Ticket"]

<hr>

<blockquote>
<form action=\"issue-new-2.tcl\" method=get>
[export_form_vars project_id]

<table border=0>"


append page "<tr><th align=left>Subject:<td><input type=text name=one_line size=50</tr>"

append page "<tr>
<th valign=top align=left>Ticket Type:</th><td><select name=ticket_type>[ticket_html_select_ticket_type]</select>
"

if {[ticket_privacy_enabled_p]} {
    append page "&nbsp;&nbsp;&nbsp; Privacy Level: [make_html_select privacy {{"" "(not set)"} 1 2 3 4 5}]"
} else {
    append page "[philg_hidden_input privacy ""]"
}

append page "</td></tr>"

append page "
<tr><th align=left>Project:
    <td>$raw_project_title
    </td></tr>
"

append page "
<tr><td align=left><b>Severity:</b><td>
<select name=severity>
[ad_generic_optionlist [ticket_severity_types] [ticket_severity_types] normal]
</select></td></tr>
"


append page "<tr><th align=left>Deadline:</th><td>[ticket_dateentrywidget_with_nulls deadline [export_var deadline [database_to_tcl_string $db "select date_part('year',sysdate()) from dual"]]]</td></tr>

"


## System-wide custom fields are stupid (ben@mit.edu)
## We now have project-specific things
#  foreach field [ticket_picklist_field_names] { 
#      append page "<tr>[ticket_picklist_html_fragment $field]</tr>\n"
#  }
set selection [ns_db select $db "select field_name, field_pretty_name, field_type, field_vals from ticket_projects_fields where project_id=$project_id"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    append page "<tr><th align=left>$field_pretty_name</th><td>[ticket_custom_field_entry_form $field_type $field_name $field_vals]</td></tr>"
}

append page "<tr><th align=left>Release:</th>
<td>[ticket_release_select $project_id release_id "" $db]</td></tr>\n"

append page "
<tr><th valign=top  align=left>Notify Project Members<br>(via email)</th>
    <td valign=top><input type=radio name=notify_p value=t> Yes
        <input type=radio name=notify_p value=f CHECKED> No</tr>
"



append page "<tr><th align=left>Message<td></tr>
</table>
<textarea name=message rows=10 cols=64 wrap=hard></textarea>
<br>
<b>Preserve fixed formatting of message?</b> <input type=checkbox checked name=preformat value=yes>
<br>
<center><input type=submit value=Submit></center>
</form>
</blockquote>
[ad_footer]
"

ns_write $page
