set_the_usual_form_variables
# msg_id, notify
# maybe return_url

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

# check perms
set project_id [database_to_tcl_string $db "select project_id from ticket_issues where msg_id=$msg_id"]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

if { $notify == "f" } {
    set sql "update ticket_issues set notify_p = 'f' where msg_id = $msg_id"
} else {
    set sql "update ticket_issues set notify_p = 't' where msg_id = $msg_id"
}

if { [catch {ns_db dml $db $sql} errmsg] } {
    ns_return 200 text/html "[ad_header "Setting Notification Failed"]
<h2>Setting Notification Failed</h2>
Send email to [ad_system_owner].
Here was the message:
<pre>
$errmsg
</pre>
Which resulted from the following SQL:
<code>
$sql
</code>
[ad_footer]
"
} elseif { [info exists return_url] } {
    ns_returnredirect $return_url
} elseif { $notify == "t" } {
    ns_return 200 text/html "[ad_header "Setting Notification Succeeded"]
<h2>Setting Notification Succeeded</h2>
Project members will get notification messages for this issue.
[ad_footer]
"
} else {
    ns_return 200 text/html "[ad_header "Setting Notification Succeeded"]
<h2>Setting Notification Succeeded</h2>
Project members will no longer get notification messages for this issue.
[ad_footer]
"
}
