set_the_usual_form_variables
# project_id release_id return_url return_pretty_name

validate_integer project_id $project_id
validate_integer release_id $release_id

set user_id [ad_get_user_id]
set db [ns_db gethandle]

# permissions
if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set selection [ns_db 0or1row $db "select project_full_name(ticket_projects.project_id) as title, release, build_file from ticket_projects, ticket_project_releases where ticket_project_releases.project_id=project_root_project_id(ticket_projects.project_id) and ticket_projects.project_id=$project_id and release_id='$release_id'"]

if {$selection == ""} {
    ad_return_error "no such release!" "no such release!"
    return
}

set_variables_after_query

ReturnHeaders

ns_write "[ad_header "One Release of $title"]
<h2>$title: $release</h2>
[ad_context_bar_ws_or_index [list "[ticket_admin_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?[export_url_vars project_id]" $title] [list "releases.tcl?[export_url_vars project_id return_url return_pretty_name]" "Releases"] "One Release"]
<hr><p>

<FORM METHOD=post action=release-edit.tcl>
[export_form_vars project_id release_id return_url return_pretty_name]
Release Name: <INPUT TYPE=text name=release value=\"$release\" size=50> <INPUT TYPE=submit value=edit></FORM>
<p>
<ul>
<li> <a href=release-delete.tcl?[export_url_vars project_id release_id return_url return_pretty_name]>delete</a> release.
"

if {$build_file != ""} {
    ns_write "<li> <a href=release-download.tcl?[export_url_vars project_id release_id]>download release build</a> (or <a href=release-upload-build.tcl?[export_url_vars project_id release_id return_url return_pretty_name]>upload</a> a new file for this build)\n"
} else {
    ns_write "<li> <a href=release-upload-build.tcl?[export_url_vars project_id release_id return_url return_pretty_name]>upload release build</a>\n"
}


ns_write "</ul>
<p>

[ad_footer]
"