set_the_usual_form_variables
# project_id privacy

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![ticket_user_can_admin_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set msg_id_subquery_sql "(select msg_id from ticket_issues where privacy > $privacy)"
set msg_id_sql "msg_id in $msg_id_subquery_sql"

ns_db dml $db "begin transaction"

# First remove the custom field vals
ns_db dml $db "delete from ticket_projects_field_vals where project_id=$project_id and issue_id in $msg_id_subquery_sql"

ns_db dml $db "delete from ticket_issue_user_interest_map where $msg_id_sql"

# Remove all the attachments
ns_db dml $db "delete from ticket_issues_attachments where $msg_id_sql"

ns_db dml $db "delete from ticket_issue_assignments where $msg_id_sql"

ns_db dml $db "delete from ticket_xrefs where from_ticket in $msg_id_subquery_sql"
ns_db dml $db "delete from ticket_xrefs where to_ticket in $msg_id_subquery_sql"

ns_db dml $db "delete from ticket_issue_responses where response_to in $msg_id_subquery_sql"

ns_db dml $db "delete from ticket_issue_notifications where $msg_id_sql"

ns_db dml $db "delete from ticket_issues where privacy > $privacy"


# Update all leftover fields
ns_db dml $db "update ticket_issues set privacy= NULL"

ns_db dml $db "end transaction"

ns_returnredirect "project-top.tcl?[export_url_vars project_id]"
