# Makes a user the "default assignee" for new ticket
set_the_usual_form_variables
#  project_id, default_assignee

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ticket_getdbhandle]

if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}


if {[info exists default_assignee] && $default_assignee != ""} {
    validate_integer default_assignee $default_assignee
    ns_db dml $db "update ticket_projects set default_assignee = $default_assignee where project_id = $project_id"
} elseif {[info exists default_assignee] && [empty_string_p $default_assignee]} {
    ns_db dml $db "update ticket_projects set default_assignee = null where project_id = $project_id"
} else {
    # this should not happen unless someone resubmits a page or something.
    # They are already assigned, so do nothing.
}


ns_returnredirect "project-top.tcl?[export_url_vars project_id]"
    
