# View tickets in project
#
# project-top.tcl  by hqm@arsdigita.com June 1999
#
# form vars:

set_form_variables
# form vars:
# project_id
# 
# (these are all optional args which have defaults)
#
# filter conditions
#
# Assignments:
# view_assignment    { user unassigned all }

# Status
# view_status  { open closed deferred created_by_you }
#
# Creation time
# view_created { last_24 last_week last_month all}
#
#
# order_by       column name to sort table by 

validate_integer project_id $project_id

set db [ticket_getdbhandle]

set user_id [ad_get_user_id]

if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set ctrlvars {view_assignment view_status view_created view_type project_id}

ReturnHeaders

set page_title "[database_to_tcl_string $db "select title
from ticket_projects where project_id = $project_id"] Tickets"
set navbar "[ad_context_bar_ws_or_index [list "[ticket_url_stub]/index.tcl" "Ticket Tracker"]  "One Project"]"

append page "[ad_header $page_title]

<h2>$page_title</h2>

$navbar

<hr>
"

append page [ticket_filter_bar $db $user_id $project_id project-top.tcl]

################################################################

set custom_fields [database_to_tcl_list_list $db "select field_id, field_name, field_pretty_name from ticket_projects_fields where project_id=$project_id and view_in_list='t'"]

set extra_sql_fields ""

foreach custom_field $custom_fields {
    append extra_sql_fields "ticket_fetch_custom_field(ticket_issues.msg_id, ticket_issues.project_id, '[DoubleApos [lindex $custom_field 1]]') as field_[lindex $custom_field 0], "
}

set query "select
 ticket_issues.msg_id,
 ticket_issues.ticket_type, 
 ticket_issues.one_line,
 ticket_issues.status,
 ticket_issues.severity,
 ticket_issues.posting_time,
 users.email,
 project_full_name(ticket_projects.project_id) as project_title,
 ticket_projects.project_id,
 ticket_issues.priority, 
 to_char(ticket_issues.modification_time, 'MM/DD/YY') as modification_time_pretty,
 to_char(ticket_issues.posting_time, 'MM/DD/YY') as creation_time_pretty,
 to_char(ticket_issues.close_date, 'MM/DD/YY') as close_date_pretty,
 to_char(ticket_issues.deadline, 'MM/DD/YY') as deadline_pretty,
 case when deadline < sysdate() then 1 else -1 end as pastdue,
 ticket_issues.public_p,
 $extra_sql_fields
 ticket_assignees(ticket_issues.msg_id) as ticket_assignees
from $issue_table ticket_issues, ticket_projects, users
where
users.user_id = ticket_issues.user_id
and ticket_projects.project_id = ticket_issues.project_id
and parent_project_p($project_id, ticket_issues.project_id)='t'
$assignment_filter
$status_filter
$date_filter
order by $order_by, ticket_issues.priority, ticket_issues.posting_time"


# This does an uplevel and expects a number of things
set this_url project-top.tcl
set display_project_p 0
append page [ticket_summary_display]


append page "<ul>
<p>
<li><a href=\"issue-new.tcl?project_id=$project_id\">Add a new issue.</a>
<p>

<li>Summarize by: <a href=user-summary.tcl>user</a> | <a href=by-creation-user.tcl>creator</a>
<p>

<li><a href=\"releases.tcl?[export_url_vars project_id]\">Releases</a>
<li><a href=\"reports/index.tcl?[export_url_vars project_id]\">Reports</a><p>
"

# Look up owner of project
set selection [ns_db 1row $db  "select title, case when start_date is null then null else start_date::date end as start_date,
case when end_date is null then null else end_date::date end as end_date, default_assignee,
users.first_names || ' ' || users.last_name as name from 
ticket_projects, users
where project_id=$project_id AND 
users.user_id=ticket_projects.customer_id
"]

set_variables_after_query

if {[ticket_user_can_admin_project_p $user_id $project_id $db]} {
    append page "<li> <a href=\"project-fields.tcl?[export_url_vars project_id]\">Custom Fields</a>\n"

    if {[ticket_privacy_enabled_p]} {
	append page "<li> <a href=project-cleanse.tcl?[export_url_vars project_id]>Cleanse Project</a>"
    }
}

if {![empty_string_p $end_date]} {
    append page "<a href=\"project-reopen.tcl?project_id=$project_id\"> (reopen)</a>"
}

append page "
<FORM method=get action=issue-view.tcl>
<li>Search by Ticket # <INPUT TYPE=number name=msg_id size=6> <input type=submit value=search></form>
"

if {[ticket_user_can_admin_project_p $user_id $project_id $db]} {
    set list_of_team_members [database_to_tcl_list_list $db "select user_id, email from users where ticket_user_can_edit_project_p(user_id, $project_id)='t'"]
    lappend list_of_team_members [list "" "(no one)"]

    append page "<FORM METHOD=POST action=project-set-default-assignee.tcl>
[export_form_vars project_id]
<li> Default Assignee: [make_html_select default_assignee $list_of_team_members $default_assignee]
<INPUT TYPE=submit value=edit>
</FORM>
"
}

append page "</ul>"

append page "</td></tr>
</table>
</blockquote>
<p>
[ad_footer]
"
ns_write $page