set_the_usual_form_variables
# release_id project_id return_url return_pretty_name

validate_integer release_id $release_id
validate_integer project_id $project_id

set user_id [ad_get_user_id]
set db [ns_db gethandle]

# permissions
if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ns_db dml $db "begin transaction"

# This prevents rows from being inserted after we check the count
# of issues
ns_db dml $db "lock table ticket_issues in exclusive mode"

# Check if there are issues that point to this
# release, and if so ask for confirmation
if {[database_to_tcl_string $db "select count(*) from ticket_issues where root_project_id=project_root_project_id($project_id) and release_id=$release_id"] == 0} {

    ns_db dml $db "delete from ticket_project_releases where release_id=$release_id and project_id=project_root_project_id($project_id)"

    ns_db dml $db "end transaction"

    ns_returnredirect "releases.tcl?[export_url_vars project_id release_id return_url return_pretty_name]"
    return
}

ns_db dml $db "end transaction"

set selection [ns_db 0or1row $db "select title, release from ticket_projects, ticket_project_releases where ticket_project_releases.project_id=project_root_project_id(ticket_projects.project_id) and ticket_projects.project_id=$project_id and release_id='$release_id'"]

if {$selection == ""} {
    ad_return_error "no such release!" "no such release!"
    return
}

set_variables_after_query

ns_return 200 text/html "
[ad_header "Confirm Delete"]
<h2>Confirm Delete</h2>
[ad_context_bar_ws_or_index [list "[ticket_admin_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?[export_url_vars project_id]" $title] [list "releases.tcl?[export_url_vars project_id return_url return_pretty_name]" "Releases"] "One Release"]
<hr><p>

<font color=red>WARNING:</font> This release has issues associated with it. If you choose to delete
it, the corresponding issues will no longer be assigned to a particular release.
<p>

<center>
<FORM method=post action= release-delete-2.tcl>
[export_form_vars release_id project_id return_url return_pretty_name]
<INPUT TYPE=submit value=\"really delete\">
</FORM>
</center>
<p>
[ad_footer]
"
