# set_the_usual_form_variables
# project_id release_id
# build_file
set project_id [ns_queryget project_id]
set release_id [ns_queryget release_id]
set build_file [ns_queryget build_file]
set tmpfile [ns_queryget build_file.tmpfile]

validate_integer project_id $project_id
validate_integer release_id $release_id

set user_id [ad_get_user_id]
set db [ns_db gethandle]

# permissions
if {![ticket_user_can_edit_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set selection [ns_db 0or1row $db "select project_full_name(ticket_projects.project_id) as title, release from ticket_projects, ticket_project_releases where ticket_project_releases.project_id=project_root_project_id(ticket_projects.project_id) and ticket_projects.project_id=$project_id and release_id='$release_id'"]

if {$selection == ""} {
    ad_return_error "no such release!" "no such release!"
    return
}

set_variables_after_query

# Get the filename for this project and release
set filename [project_generate_filename $project_id $release_id $build_file]
set path [project_build_path]

# Copy the release
ns_cp $tmpfile "$path/$filename"

# update the db
ns_db dml $db "update ticket_project_releases set build_file='$filename' where project_id=$project_id and release_id=$release_id"

# Return a success page
ReturnHeaders

ns_write "[ad_header "Upload of release"]
<h2>Upload Successful</h2>
[ad_context_bar_ws_or_index [list "[ticket_admin_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?[export_url_vars project_id]" $title] [list "releases.tcl?[export_url_vars project_id return_url return_pretty_name]" "Releases"] "One Release"]
<hr><p>

The upload the release file was successful.
<p>
[ad_footer]
"
