set_the_usual_form_variables
# project_id return_url return_pretty_name

validate_integer project_id $project_id

set user_id [ad_get_user_id]
set db [ns_db gethandle]

# permissions
if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

set selection [ns_db 1row $db "select project_full_name(project_id) as title from ticket_projects where project_id=$project_id"]
set_variables_after_query

ReturnHeaders

ns_write "[ad_header "Releases"]
<h2>Releases</h2>
[ad_context_bar_ws_or_index [list "[ticket_admin_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?[export_url_vars project_id]" $title] "Releases"]
<hr><p>

<ul>
"

set selection [ns_db select $db "select release, release_id from ticket_project_releases where project_id=project_root_project_id($project_id)"]

set counter 0

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    incr counter

    ns_write "<li> <a href=one-release.tcl?[export_url_vars project_id release_id return_url return_pretty_name]>$release</a>\n"
}

if {$counter == 0} {
    ns_write "no releases"
}

if {[ticket_user_can_edit_project_p $user_id $project_id $db]} {
ns_write "<p>
<FORM method=post action=new-release.tcl>
[export_form_vars project_id return_url return_pretty_name]
<li> New Release: <input type=text name=release size=50> <input type=submit value=add></form>
</ul>

<p>
"
}

if {[info exists return_url]} {
    ns_write "
You may return to <a href=\"$return_url\">$return_pretty_name</a>.
<p>
"
}

ns_write "
[ad_footer]
"