set_the_usual_form_variables
# project_id

validate_integer project_id $project_id

if {[info exists target]} {
    set other_target_html "target=_top"
    set bug_target_html "target=one"
} else {
    set other_target_html ""
    set bug_target_html ""
}

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check Permissions
if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select project_full_name(project_id) as title from ticket_projects where project_id=$project_id"]
set_variables_after_query

ns_write "[ad_header "Closed Issues"]
<h2>Closed Issues</h2>
[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] [list ../project-top.tcl?[export_url_vars project_id] "$title"] [list index.tcl?[export_url_vars project_id] "Reports"] "Closed Issues"]
<hr><p>

"

set selection [ns_db select $db "
select 
msg_id, project_full_name(ticket_issues.project_id) as project_title, ticket_issues.project_id as project_id, 
one_line, ticket_release_name(fixed_release_id) as release, release_id,
first_names as fixer_first_names, last_name as fixer_last_name,
users.email as fixer_email, fix_date, severity
from
ticket_issues, users
where
ticket_issues.close_date is not NULL and
ticket_issues.fixed_by= users.user_id and
parent_project_p($project_id, ticket_issues.project_id)='t' and
ticket_issues.status='closed'
order by release, [ticket_severity_decode_sql] desc"]

ns_write "
<table noborder>
<tr>
<th align=left>Issue #</th><th align=left>Project</th><th align=left>Fixed By</th><th align=left>Fix Release</th><th align=left>Summary</th>
</tr>
"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<tr>
<td><a $bug_target_html href=../issue-view.tcl?[export_url_vars msg_id]>$msg_id</a></td>
<td><a $other_target_html href=../project-top.tcl?[export_url_vars project_id]>$project_title</a></td>
<td>$fixer_first_names $fixer_last_name</td>
<td>$release</td>
<td>$one_line</td>
</tr>\n"
}

ns_write "</table>
<p>

[ad_footer]
"