set_form_variables 0
# project_id

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {[info exists project_id]} {
    if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
	ticket_deny_access
	return
    }
}

ReturnHeaders

ns_write "[ad_header "Reports"]
<h2>Reports</h2>
"

if {![info exists project_id]} {
    ns_write "[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] Reports]"
} else {
    set selection [ns_db 1row $db "select title from ticket_projects where project_id=$project_id"]
    set_variables_after_query
    ns_write "[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] [list ../project-top.tcl?[export_url_vars project_id] "$title"] Reports]"
}

ns_write "<hr><p>"

if {[info exists project_id]} {
    ns_write "<ul>
<li> <a href=frame-report.tcl?report=new-issues.tcl&[export_url_vars project_id]>New Issues</a> - Currently Unassigned
<li> <a href=frame-report.tcl?report=fixed-issues.tcl&[export_url_vars project_id]>Issues Fixed</a> but Not Yet Approved
<li> <a href=frame-report.tcl?report=urgent-issues.tcl&[export_url_vars project_id]>Issues With Looming Deadline</a>
<p>
<li> <a href=frame-report.tcl?report=less-urgent-issues.tcl&[export_url_vars project_id]>Not So Urgent Issues</a>
<li> <a href=frame-report.tcl?report=closed-issues.tcl&[export_url_vars project_id]>Closed Issues</a>
<p>
<li> <a href=statistics.tcl?[export_url_vars project_id]>Statistics</a>
</ul>"
} else {
    ns_write "
<form method=get action=index.tcl>
[ticket_project_select project_id "" $db]
<p>
<INPUT TYPE=submit value=go>
</form>
"
}

ns_write "<p>

[ad_footer]"