set_the_usual_form_variables
# project_id

validate_integer project_id $project_id

if {[info exists target]} {
    set other_target_html "target=_top"
    set bug_target_html "target=one"
} else {
    set other_target_html ""
    set bug_target_html ""
}

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check Permissions
if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select project_full_name(project_id) as title from ticket_projects where project_id=$project_id"]
set_variables_after_query

ns_write "[ad_header "New Issues"]
<h2>New Issues</h2>
[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] [list ../project-top.tcl?[export_url_vars project_id] "$title"] [list index.tcl?[export_url_vars project_id] "Reports"] "New Issues"]
<hr><p>
"

set selection [ns_db select $db "
select 
msg_id, project_full_name(ticket_issues.project_id) as project_title, ticket_issues.project_id as project_id, 
one_line, ticket_release_name(ticket_issues.release_id) as release, ticket_issues.release_id as release_id,
first_names as creator_first_names, last_name as creator_last_name,
users.email as creator_email, severity
from
ticket_issues, users
where
ticket_issues.fix_date is NULL and
ticket_issues.close_date is NULL and
ticket_issues.last_modified_by= users.user_id and
parent_project_p($project_id, ticket_issues.project_id)='t' and
ticket_n_assigned(ticket_issues.msg_id)=0
order by [ticket_severity_decode_sql] desc"]

##POSTGRES HACK ABOVE because views too short


ns_write "
<table noborder>
<tr>
<th align=left>Issue #</th><th align=left>Project</th><th align=left>Entered By</th><th align=left>Severity</th><th align=left>Summary</th>
</tr>
"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<tr>
<td><a $bug_target_html href=../issue-view.tcl?[export_url_vars msg_id]>$msg_id</a></td>
<td><a $other_target_html href=../project-top.tcl?[export_url_vars project_id]>$project_title</a></td>
<td>$creator_first_names $creator_last_name</td>
<td>$severity</td>
<td>$one_line</td>
</tr>\n"
}

ns_write "</table>
<p>

[ad_footer]
"