set_the_usual_form_variables
# project_id

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check Permissions
if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return

}
ReturnHeaders

set selection [ns_db 1row $db "select project_full_name(project_id) as title from ticket_projects where project_id=$project_id"]
set_variables_after_query

ns_write "[ad_header "Statistics"]
<h2>Statistics</h2>
[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] [list ../project-top.tcl?[export_url_vars project_id] "$title"] [list index.tcl?[export_url_vars project_id] "Reports"] "Statistics"]
<hr><p>

<table cellspacing=2 cellpadding=3>
<tr bgcolor=lightgrey>
<th>Severity</th>
<th>New</th>
<th>Assigned</th>
<th>Fixed</th>
<th>Closed</th>
</tr>
"

set selection [ns_db select $db "
select severity, 
sum(case when ticket_n_assigned(msg_id)=0 then case when status='open' then 1 else 0 end else 0 end) as n_new,
sum(case when ticket_n_assigned(msg_id)=0 then 0 else case when fix_date is NULL then 1 else 0 end end) as n_assigned,
sum(case when ticket_n_assigned(msg_id)=0 then 0 else case when fix_date is NULL then 0 else case when close_date is NULL then 1 else 0 end end end) as n_fixed,
sum(case when ticket_n_assigned(msg_id)=0 then 0 else case when fix_date is NULL then 0 else case when close_date is NULL then 0 else 1 end end end) as n_closed
from ticket_issues
where parent_project_p($project_id, project_id)='t'
group by severity"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<tr><td>$severity</td><td align=right>$n_new</td><td align=right>$n_assigned</td><td align=right>$n_fixed</td><td align=right>$n_closed</td></tr>\n"
}

ns_write "</table>"

#  ns_write "
#  <table cellspacing=2 cellpadding=3>
#  <tr bgcolor=lightgrey>
#  <th>Test Cycle</th>
#  <th>New</th>
#  <th>Assigned</th>
#  <th>Fixed</th>
#  <th>Closed</th>
#  </tr>
#  "


ns_write "
<p>

[ad_footer]
"
