set_the_usual_form_variables
# project_id

validate_integer project_id $project_id

if {[info exists target]} {
    set other_target_html "target=_top"
    set bug_target_html "target=one"
} else {
    set other_target_html ""
    set bug_target_html ""
}

set user_id [ad_get_user_id]

set dbs [ns_db gethandle main 2]
set db [lindex $dbs 0]
set db_sub [lindex $dbs 1]

# Check Permissions
if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select project_full_name(project_id) as title from ticket_projects where project_id=$project_id"]
set_variables_after_query

ns_write "[ad_header "Urgent Issues"]
<h2>Urgent Issues</h2>
[ad_context_bar_ws_or_index [list [ticket_admin_url_stub]/index.tcl "Ticket Tracker"] [list ../project-top.tcl?[export_url_vars project_id] "$title"] [list index.tcl?[export_url_vars project_id] "Reports"] "Urgent Issues"]
<hr><p>
"

set selection [ns_db select $db "
select 
msg_id, project_full_name(ticket_issues.project_id) as project_title, ticket_issues.project_id as project_id, 
one_line, ticket_release_name(release_id), release_id, deadline, severity
from
ticket_issues
where
ticket_issues.close_date is NULL and
ticket_issues.fix_date is NULL and
deadline < (sysdate() + '3 days'::reltime) and 
parent_project_p($project_id, ticket_issues.project_id)='t' and 0 <
(select count(*) from ticket_issue_assignments where msg_id=ticket_issues.msg_id)
order by [ticket_severity_decode_sql] desc"]

ns_write "
<table noborder>
<tr>
<th align=left>Issue #</th><th align=left>Project</th><th align=left>Deadline</th><th align=left>Assigned To</th><th align=left>Summary</th>
</tr>
"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    set list_of_names [database_to_tcl_list $db_sub "select first_names || ' ' || last_name as full_name from users where user_id in (select user_id from ticket_issue_assignments where msg_id=$msg_id)"]
    
    ns_write "<tr>
<td><a $bug_target_html href=../issue-view.tcl?[export_url_vars msg_id]>$msg_id</a></td>
<td><a $other_target_html href=../project-top.tcl?[export_url_vars project_id]>$project_title</a></td>
<td>[util_AnsiDatetoPrettyDate $deadline]</td>
<td>[join $list_of_names ","]</td>
<td>$one_line</td>
</tr>\n"
}

ns_write "</table>
<p>

[ad_footer]
"