# Summarize projects status
#

set db_list [ns_db gethandle main 2]
set db   [lindex $db_list 0]
set db2   [lindex $db_list 1]
set user_id [ad_get_user_id]

set list_of_projects [database_to_tcl_list_list $db "select project_id,title from ticket_projects where ticket_user_can_see_project_p($user_id, project_id)='t'"]

set sql "select 
  users.user_id,
  users.first_names || ' ' || users.last_name as name
from users, ticket_issues ti, ticket_issue_assignments tia
where users.user_id = tia.user_id
and ticket_user_can_see_project_p($user_id, ti.project_id)='t'
and ti.msg_id = tia.msg_id
group by users.user_id,  last_name, first_names
order by upper(last_name)"

set list_of_users [database_to_tcl_list_list $db $sql]

ReturnHeaders
ns_write "[ad_header "Project Status"]
<h2>User Status Summary</h2>

[ad_context_bar_ws_or_index [list "[ticket_url_stub]/index.tcl" "Ticket Tracker"]  "User Summaries"]

<hr>

<blockquote>
<table border=0>
<tr>
<th>User
<th>Total 
<th>Active
<th>Closed
<th>Deferred
<th>Last Mod
<th>Oldest Active
</tr>
"

set i 0


set selection [ns_db select $db "
select 
  users.user_id as summary_user_id, 
  users.first_names || ' ' || users.last_name as name, 
  count(tia.msg_id) as total,
  sum(case when status='closed' then 1 else 0 end) as closed,
  sum(case when status='closed' then 0 when status='deferred' then 0 when status is NULL then 0 else 1 end) as open,
  sum(case when status= 'deferred' then 1 else 0 end) as deferred,
  max(modification_time) as lastmod,
  min(posting_time) as oldest,
  sum(ticket_one_if_high_priority(priority, status)) as high_pri,
  sum(ticket_one_if_blocker(severity, status)) as blocker
from users, ticket_issues ti, ticket_issue_assignments tia
where users.user_id = tia.user_id
and ticket_user_can_see_project_p($user_id, ti.project_id)='t'
and ti.msg_id = tia.msg_id
group by users.user_id,  last_name, first_names
order by upper(last_name)
"]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query

    # show summaries of ticket stats
    # total #
    # open
    # closed
    # deferred
    # last modified (max)
    # 

    if {($i % 2) == 0} {
	set bgcolor "bgcolor=\#ECECEC"
    } else {
	set bgcolor ""
    }

    ns_write "
<tr>
  <td $bgcolor><a href=\"user-top.tcl?[export_url_vars summary_user_id]\">$name
  <td $bgcolor align=right>[blank_zero $total]&nbsp;
  <td $bgcolor align=right>[blank_zero $open]&nbsp;
  <td $bgcolor align=right>[blank_zero $closed]&nbsp;
  <td $bgcolor align=right>[blank_zero $deferred]&nbsp;
  <td $bgcolor align=right>$lastmod&nbsp;
  <td $bgcolor align=right>$oldest&nbsp;
</tr>
"
   incr i
}

ns_write "</table>
</blockquote>
<hr>
<p>
<h3>View by User Creation:</h3>
<FORM method=GET action=by-creation-user.tcl>Project: 
[make_html_select project_id $list_of_projects] 
User: 
[make_html_select user_id $list_of_users]
<INPUT TYPE=submit value=go></FORM><p><p>
<hr>
<ul>
<li>Add new <a href=\"issue-new.tcl\">issue</a>
</ul>

[ad_footer]
"
