set_form_variables 0


# form vars:
# 
# summary_user_id - user_id this page is for
#
# filter conditions
#

validate_integer summary_user_id $summary_user_id

# Status
# view_status  { open closed deferred created_by_you }
#
# Creation time
# view_created { last_24 last_week last_month all}
#
#
# order_by       column name to sort table by 

set ctrlvars {view_assignment view_status view_created summary_user_id}

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

set name [database_to_tcl_string $db "select first_names || ' ' || last_name 
from users where user_id = $summary_user_id"]

ReturnHeaders

ns_write "[ad_header "[ticket_system_name] Home"]

<h2>Summary for $name</h2>

[ad_context_bar_ws_or_index [list "index.tcl" "Ticket Tracker"] "User summary"]

<hr>
"

# List of form vars used to select tickets to display

# Assignment filter conditions
#

if {![info exists view_assignment]} {
    # default to show issues assigned to $user_id
    set view_assignment user
}

# default to only your own assigned issues
if {![info exists view_status]} {
    set view_status open
}

# default to all time
if {![info exists view_created]} {
    set view_created all
}



#  set assignment_filter "and (exists 
#  (select msg_id from ticket_issue_assignments 
#  where ticket_issue_assignments.msg_id = ticket_issues.msg_id
#  and ticket_issue_assignments.user_id = $summary_user_id
#  )) " 

set assignment_filter ""


switch $view_status {
    "open" {set status_filter "and ((status <> 'closed') and (status <> 'deferred')) " }
    "deferred" {set status_filter "and ((status <> 'closed') or (status = 'deferred')) " }
    "closed" {set status_filter "" } # shows everything
}

switch $view_created {
   "last_24"   { set date_filter "and (posting_time > (sysdate() - 1))" } 
   "last_week" { set date_filter "and (posting_time > (sysdate() - 7)) " } 
   "last_month" { set date_filter "and (posting_time > (sysdate() - 30)) " }
   "all" { set date_filter "" }
}

# Sort order of tickets by
if {![info exists order_by]} {
    set order_by "ticket_issues.msg_id"
} elseif {[string match "project*" $order_by]} {
    set order_by "project_title"
}


################################################################
# GUI ticket filter controls

# List of all the state vars we need to pass through these toggle switches
set filter_vars {view_assignment view_status view_created order_by summary_user_id}


append results "<table border=0 cellspacing=0 cellpadding=0 width=100%>
<tr>
<th bgcolor=#ECECEC>Status</th>
<th bgcolor=#ECECEC>Creation Time</th></tr>"


#### Assignment flags
# Show assigned to you 
append results "<tr>
<td align=center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\["

# Show open issues
append results [ticket_control_vars view_status open $filter_vars "active" "user-top.tcl"]
append results " | "
# Show deferred issues
append results [ticket_control_vars view_status deferred $filter_vars "+deferred" "user-top.tcl"]
append results " | "
# Show closed issues
append results [ticket_control_vars view_status closed $filter_vars "+closed" "user-top.tcl"]


#### Creation time filter
append results "\]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>\n<td align=center>\["

append results [ticket_control_vars view_created last_24 $filter_vars "last 24 hrs" "user-top.tcl"]
append results " | "
append results [ticket_control_vars view_created last_week $filter_vars "last week" "user-top.tcl"]
append results " | "
append results [ticket_control_vars view_created last_month $filter_vars "last month" "user-top.tcl"]
append results " | "
append results [ticket_control_vars view_created all $filter_vars "all" "user-top.tcl"]

append results "\]</td></tr></table><p>"

################################################################



set last_priority "starting"

set count 0

append results "<table border=0>
<tr>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order ticket_issues.msg_id $order_by]&[eval export_url_vars $ctrlvars]\">ID#</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order priority $order_by]&[eval export_url_vars $ctrlvars]\">Pri</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order ticket_type $order_by]&[eval export_url_vars $ctrlvars]\">Typ</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order email $order_by]&[eval export_url_vars $ctrlvars]\">Creator</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order status $order_by]&[eval export_url_vars $ctrlvars]\">Stat</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order severity $order_by]&[eval export_url_vars $ctrlvars]\">Sever</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order posting_time $order_by]&[eval export_url_vars $ctrlvars]\">Creat</a></th>
<th align=left><a href=\"user-top.tcl?order_by=[toggle_order modification_time $order_by]&[eval export_url_vars $ctrlvars]\">Mod</a></th>"

if {$view_assignment != "user"} {
    append results "<th align=left><a href=\"user_top.tcl?order_by=[toggle_order assigned_p $order_by]&[eval export_url_vars $ctrlvars]\">Asgn?</a></th>
"
}

if { $view_status == "closed" } {
    append results "<th align=left><a href=\"user-top.tcl?order_by=[toggle_order close_date $order_by]&[eval export_url_vars $ctrlvars]\">Closed</a></th>"
} else {
    append results "<th align=left><a href=\"user-top.tcl?order_by=[toggle_order deadline $order_by]&[eval export_url_vars $ctrlvars]\">Deadline</a></th>"
}

append results "<th align=left><a href=\"user-top.tcl?order_by=[toggle_order one_line $order_by]&[eval export_url_vars $ctrlvars]\">Synopsis</a></th>
"
if {![string match "project_title" $order_by]} {
    append results "<th align=left><a href=\"user-top.tcl?order_by=[toggle_order project_id $order_by]&[eval export_url_vars $ctrlvars]\">Project</a></th>
"    
}
append results "</tr>\n"

set last_project_title ""

set query "select distinct
 ticket_issues.msg_id,
 ticket_issues.ticket_type, 
 ticket_issues.one_line,
 ticket_issues.status,
 ticket_issues.severity,
 ticket_issues.posting_time,
 users.email,
 ticket_projects.title as project_title,
 ticket_projects.project_id,
 ticket_issues.priority, 
 to_char(ticket_issues.modification_time, 'MM/DD/YY') as modification_time,
 to_char(ticket_issues.posting_time, 'MM/DD/YY') as creation_time,
 to_char(ticket_issues.close_date, 'MM/DD/YY') as close_date,
 to_char(ticket_issues.deadline, 'MM/DD/YY') as deadline,
 sysdate() - deadline as pastdue,
 ticket_issue_assignments.active_p as assigned_p,
 ticket_issues.public_p
from ticket_issues, ticket_projects, users, ticket_issue_assignments
where ticket_user_can_see_project_p($user_id, ticket_projects.project_id)='t'
and users.user_id = ticket_issues.user_id
and ticket_projects.project_id = ticket_issues.project_id
and ticket_issues.msg_id = ticket_issue_assignments.msg_id
and ticket_issue_assignments.user_id= $summary_user_id 
$assignment_filter
$status_filter
$date_filter
order by $order_by, ticket_issues.priority, ticket_issues.posting_time"

set selection [ns_db select $db $query]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    set cols {}
    lappend cols "<a href=\"issue-view.tcl?msg_id=$msg_id\">$msg_id</a>"
    lappend cols "P$priority"
    lappend cols "[string range $ticket_type 0 3]"
    regsub "@.*" $email "" email
    lappend cols "$email"
    if { [string compare $status "fixed waiting approval"] == 0 } {
	lappend cols "<font color=#00ff00>(w approv)</font>"
    } elseif { [string compare $status "need clarification"] == 0 } {
	lappend cols "<font color=#ff0000>nd clar</font>"
    } else {
	lappend cols $status
    }
    lappend cols "$severity"
    lappend cols "$creation_time"
    lappend cols "$modification_time"

    if {$view_assignment != "user"} {
	if {$assigned_p == "t"} {
	    lappend cols "<img src=/graphics/checkmark.gif>"
	} else {
	    lappend cols " - "
	}
    }
    
    if {[info exists closed] && $view_closed == 1} {
	lappend cols "$close_date" 
    } else {
	if {$pastdue > 0} {
	    lappend cols "<font color=red>$deadline</font>"
	} else {
	    lappend cols "$deadline"
	}
    }
    
    lappend cols "<a href=\"issue-view.tcl?msg_id=$msg_id\">[clean_up_html $one_line]</a>"
    
    # show project title if we are not sorting by project
    if {![string match "project_title" $order_by]} {
	lappend cols "<a href=project-top.tcl?project_id=$project_id>[string range $project_title 0 12]</a>"	
    }
    
    if {[string match "project_title" $order_by] && $last_project_title != $project_title} {
	append results "<tr><th colspan=10 align=left><a href=project-top.tcl?project_id=$project_id>$project_title</a></th></tr>\n"
	set last_project_title $project_title
    }
    
    incr count
    if {($count % 2) == 0} {
	set bgcolor "bgcolor=\#ECECEC"
    } else {
	set bgcolor ""
    }
    
    append results "<tr $bgcolor>"
    foreach col $cols {
	append results "<td>$col&nbsp;</td>\n"
    }
    append results "</tr>"    
}

if { $count == 0 } {
    append results "<tr><td colspan=10 align=center>-- No issues --</td></tr>"   
}

append results "</table>\n<p>"


ns_write  "$results

<ul>
<li>Add new <a href=\"issue-new.tcl\">issue</a>
</ul>
[ad_footer]
"

