set_the_usual_form_variables
# project_id (optional)
#
# target -- url to return to when done
# msg_id
# 
# standard ticket search form variables

validate_integer msg_id $msg_id

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

set selection [ns_db 1row $db "select one_line, ticket_projects.project_id as project_id, title from ticket_issues,ticket_projects where msg_id=$msg_id and ticket_issues.project_id=ticket_projects.project_id"]
set_variables_after_query

# we ask for all the top level messages

ReturnHeaders

ns_write "[ad_header "Search Results"]
<h2>Tickets matching query</h2>
[ad_context_bar_ws_or_index [list "[ticket_url_stub]/index.tcl" "Ticket Tracker"] [list "project-top.tcl?project_id=$project_id" $title] [list "issue-view.tcl?[export_url_vars msg_id]" "One Ticket"] "Cross-Reference"]
<hr><p>

Click on a link below to add that ticket as a cross-reference.
"



# Check input.

set exception_text ""
set exception_count 0

ticket_search_combine_and_build_error_list


if { $exception_count > 0 } {
    ad_return_complaint $exception_count $exception_text
    return
}

# This looks at a bunch of form vars, and builds a list of search
# clauses in search_clause_list
ticket_search_build_where_clause_and_description


set search_clause [join $search_clause_list " and "]
if {![empty_string_p $search_clause]} {
    set search_clause " and $search_clause"
}

if ![info exists search_clause_list] {
    ad_return_complaint 1 "<li>Please specify at least some search criteria.\n"
    return
}


ns_write "



<p>
Search criteria:

<ul>
<li>[join $search_description_items "<li>"]
</ul>


<p>

Search results:
"




set display_title "Ticket search"

set selection [ns_db select $db "select ticket_issues.one_line,
ticket_issues.msg_id as xmsg_id,
ticket_projects.title as project_title, 
users.first_names,
users.last_name,
to_char(posting_time, 'mm/dd/yyyy') as creation_date
from ticket_issues, ticket_projects, users where
users.user_id = ticket_issues.user_id 
and ticket_projects.project_id = ticket_issues.project_id
and ticket_issues.msg_id != $msg_id
and ticket_user_can_see_project_p($user_id, ticket_projects.project_id)='t'
 $search_clause
order by ticket_issues.project_id, xmsg_id"]

set counter 0

set last_title ""
ns_write "<ul>"
set pmsg_id $msg_id

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr counter
    if {$project_title != $last_title} {
	ns_write "</ul><b>$project_title</b><ul>"
    }
    set last_title $project_title
    set msg_id $xmsg_id
    ns_write "<li>\[ <a target=other href=\"issue-view.tcl?[export_url_vars msg_id]\">View</a> \] \[ <a href=\"add-xref-2.tcl?[export_url_vars target xmsg_id pmsg_id]\">Link</a> \]  [clean_up_html $one_line]\n"
}

ns_write "</ul>"

if { $counter == 0 } {
    set search_items "messages"
    ns_write "No matching items found.<p>
    <a href=\"$target?[export_url_vars target msg_id xmsg_id]\">Back to ticket #$msg_id</a>"
}
ns_write "
</ul>
[ad_footer]
"













