ad_maybe_redirect_for_registration

# Target program for /admin/reserve/reports/index.tcl

set_the_usual_form_variables

# import variable: proposal_id, title

validate_integer proposal_id $proposal_id

ReturnHeaders
ns_write "
[ad_header "Details Of Proposal \"$title\""]
<h2>$title</h2>

[ad_context_bar_ws_or_index [list "index.tcl" "Proposal Administration"] "One Proposal"]

<hr>
"

set sql_query "
SELECT *
FROM proposals
WHERE proposal_id = $proposal_id
"
append reservations_table "</table>"

set db [ns_db gethandle]

set selection [ns_db select $db $sql_query]

set counter 0

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr counter
}

set exception_count 0
set exception_text ""

if {$counter == 0} {
    incr exception_count
    append exception_text "Proposal Not In Database"
}

if {$exception_count>0} {
    ad_return_complaint $exception_count $exception_text
    return
}

if { $deleted_p == "f" } {
    set delete_or_undelete_form "<form method=post action=\"delete-or-undelete.tcl\"><input type=submit value=\"Delete\">[export_form_vars proposal_id title deleted_p]</form>"
} else {
    set delete_or_undelete_form "<form method=post action=\"delete-or-undelete.tcl\"><input type=submit value=\"Undelete\">[export_form_vars proposal_id title deleted_p]</form>"
}

ns_write "
<ul>

<li> <b>Purpose:</b> $purpose

<li> <b>Title:</b> $title

<li> <b>User Classes:</b> <pre>$user_classes</pre>

<li> <b>Significant New Capabilities:</b> <pre>$significant_new_capabilities</pre>

<li> <b>Complete Feature List:</b> <pre>$feature_list_complete</pre>

<li> <b>Feature List Ranking:</b> <pre>$feature_list_ranking</pre>

<li> <b>Dependencies:</b> <pre>$dependencies</pre>

<li> <b>Minimum Launchable Feature Set:</b> <pre>$minimum_launchable_feature_set</pre>

<li> <b>Promotion:</b> <pre>$promotion</pre>

<li> <b>Name:</b> $name

<li> <b>Email:</b> <a href=\"mailto:$email\">$email</a>

<li> <b>Phone:</b> $phone

<li> <b>Date Submitted:</b> $date_submitted

</ul>

$delete_or_undelete_form

[ad_general_comments_list $db $proposal_id proposals $title intranet]

[ad_footer]

"












