ad_maybe_redirect_for_registration

# Presents a list of proposal names, linked to more detailed reports.

ReturnHeaders
ns_write "
[ad_header "Proposals List"]
<h2>Proposals List</h2>

<hr>
"


set sql_query "
select proposal_id, title, to_char(date_submitted,'Mon DD, YYYY') as pretty_date_submitted
from proposals
where deleted_p = 'f'
order by upper(title)
"

set db [ns_db gethandle]
set selection [ns_db select $db $sql_query]

set counter 0
set proposal_list "<ul>"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr counter

    append proposal_list "<li><a href=\"details.tcl?[export_url_vars proposal_id title]\">$title</a> ($pretty_date_submitted)"
}

append proposal_list "</ul>"

if {$counter == 0} {
    set proposal_list "<ul><li>No proposals in database.</ul>"
}

ns_write "
$proposal_list
<br>
"

set sql_query "
select 1
from proposals
where deleted_p = 't'
"
set selection [ns_db select $db $sql_query]

set counter 0

while {[ns_db getrow $db $selection]} {
    incr counter
}

ns_db releasehandle $db

if {$counter} {
ns_write "
<a href=\"index-delete.tcl\">View deleted proposals</a>
"
}

ns_write "
[ad_footer]
"
