<% 
set_the_usual_form_variables 0

proc new_adp_textarea {var_name {n_rows 5}} {
     return "<blockquote><textarea name=$var_name cols=70 rows=$n_rows wrap=soft>\n</textarea></blockquote>"
}

set db [ns_db gethandle]

set proposal_id [database_to_tcl_string $db "select proposal_id_sequence.nextval from dual"]

%>

<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <title>Proposal Form for a Web Project atArsDigita</title>
</head>
<body bgcolor="#ffffff">
<font size=2 face="verdana, arial, helvetica">

<img src="/graphics/ad_logo_big.gif" height=88 width=95 vspace=10> 
<br>
<a href="/index.adp">Home</a>&nbsp;&nbsp;&gt;&nbsp;&nbsp;Proposal form
<blockquote>
<h3>Proposal Form for a Web Project at ArsDigita </h3>

<form method=POST action="new-2.tcl">
<%=[export_form_vars proposal_id]%>

This is a proposal for 

<select name=purpose>
<%=[html_select_options [list ArsDigita 6.916] [value_if_exists purpose]]%>
</select>

<p>

Proposal Title:  <input type=text size=60 name=title maxlength=100>

<h3>List the classes of users</h3>

Please list below all the classes of user that you expect to be
connecting to this Web service.

<%= [new_adp_textarea "user_classes"] %>

<bodynote>

In a community site for American owners of Honda cars, the anticipated
user classes would be (1) Honda owners, (2) Honda dealers, and (3)
employees of American Honda.

</bodynote>

<h3>Say what they will be able to do</h3>

For each class of user that you identified above, please list the
significant new capabilities that those users will have in virtue of our
having built this site:


<%= [new_adp_textarea "significant_new_capabilities" 15] %>

<bodynote>
See <a href="significant-new-capabilities-example.adp">this example of
what we'd write for the Honda owners service</a>.


</bodynote>

<h3>Set forth a comprehensive feature list</h3>

If you have a laundry list of features that you want that aren't
especially innovative but would be nice to have, include them here in a
complete list of desired site features.

<%= [new_adp_textarea "feature_list_complete" 15] %>


<bodynote>

For the Honda site, we'd tack on stuff like affinity email addresses, so
that a person could be "JoeAccordOwner@hondaowners.com" and pick up mail
via a Web interface.

</bodynote>


<h3>Say what is most valuable and why</h3>

For each important feature above, say what is valuable about the feature
to the users, to the service operator (i.e., you) and why.  Try to list
the features in order of most valuable first.

<%= [new_adp_textarea "feature_list_ranking" 15] %>


<h3>Identify Dependencies</h3>

If your Web service requires getting data from another company or
computer system, say something about that below.


<%= [new_adp_textarea "dependencies" 5] %>


<bodynote>

For the Honda service that we've sketched above, we won't be able to
launch unless we get cooperation from the folks who run the company's
mainframe systems.

</bodynote>

<h3>Minimum Launchable Feature Set</h3>

Any Web service tends to develop gradually over the years as the
publisher and the users develop better ideas.  Programmers can't work
at infinite speed.  So it is best to view the ultimate service
development as a continuous process.  Decide in advance what the
minimum launchable feature set is and then everyone will have a
target.

<%= [new_adp_textarea "minimum_launchable_feature_set" 5] %>


<bodynote>

For the Honda service that we've sketched above, the minimum
launchable feature set might be "email service reminders for owners;
owner can log in and see service history; owner can book an
appointment for additional service; dealer gets email or FAX alerts of
booked appointments."

</bodynote>

<h3>Promotion</h3>

It doesn't matter how good the site is if nobody uses it.  What's your
plan for reaching users?  Have you raised money?  Gotten powerful
partners to agree to promote the site?  Are you relying on word of
mouth?

<%= [new_adp_textarea "promotion" 5] %>


<bodynote>

Something like "American Honda already has the Snail Mail address of
every vehicle owner and has budgeted to mail a four-color flyer to
every owner in the US.  In addition we'll promote the URL in posters
to be displayed in dealer service departments."

</bodynote>

<h3>Contacting You</h3>

<ul>

<li>Your name:  <input type=text name=name size=30 maxlength=100>
<li>Your email address:  <input type=text name=email size=20 maxlength=100>
<li>Phone Number:  <input type=text name=phone1 size=3 maxlength=3>-<input type=text name=phone2 size=3 maxlength=3>-<input type=text name=phone3 size=4 maxlength=4>

</ul>


<center>
<input type=submit value="Submit Proposal">
</center>
</form>



</blockquote>
<hr><cite>&copy;1999-2000&nbsp;<a href="/pages/about.html">ArsDigita Corporation</a></cite>
</body>
</html>
