set_the_usual_form_variables
# baf_id

validate_integer baf_id $baf_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

set selection [ns_db 1row $db "select module_id, package_id, baf_status.baf_status as baf_status, baf_status_id, baf_type, description, entered_by, severity, insertion_date, expected_completion, completion from bugs_and_features, baf_status where bugs_and_features.baf_status=baf_status.baf_status_id and baf_id=$baf_id"]

set_variables_after_query

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {$module_id != "" && $module_id!=0 } {
    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
    set_simple_module_information $db $module_id
} else {
    set module_name ""
}

set_simple_package_information $db $package_id

if {$baf_status == "closed"} {
    set extra_menu [list "closed-bafs.tcl?[export_url_vars package_id]" "Closed Bugs and Features"]
} else {
    set extra_menu [list "open-bafs.tcl?[export_url_vars package_id]" "Open Bugs and Features"]
}

set admin_p [user_can_edit_package_p $db $user_id $package_id]

set selection [ns_db 1row $db "select baf_type from bugs_and_features where baf_id=$baf_id"]
set_variables_after_query

set list_of_assignments [database_to_tcl_list_list $db "
select users.user_id as user_id, first_names || ' ' || last_name as full_name, role 
from baf_assignments, users 
where 
users.user_id=baf_assignments.user_id and
baf_assignments.baf_id=$baf_id"]

ad_return_template
