set_the_usual_form_variables
# baf_id

validate_integer baf_id $baf_id

set db [ns_db gethandle]

set selection [ns_db 1row $db "select module_id, package_id, baf_status.baf_status as baf_status, baf_status_id, baf_type, description, entered_by, severity, insertion_date, expected_completion, completion from bugs_and_features, baf_status where bugs_and_features.baf_status=baf_status.baf_status_id and baf_id=$baf_id"]

set_variables_after_query

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {$module_id != "" && $module_id!=0 } {
    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
    set_simple_module_information $db $module_id
} else {
    set module_name ""
}

set_simple_package_information $db $package_id

if {$baf_status == "closed"} {
    set extra_menu [list "closed-bafs.tcl?[export_url_vars package_id]" "Closed Bugs and Features"]
} else {
    set extra_menu [list "open-bafs.tcl?[export_url_vars package_id]" "Open Bugs and Features"]
}

set audits [database_to_tcl_list_ns_set $db "select who, what, old_value, new_value, audit_date as when, null as who from baf_audit where baf_id= $baf_id order by audit_date desc"]

ad_return_template
