set_the_usual_form_variables
# baf_id

validate_integer baf_id $baf_id

set db [ns_db gethandle]

set selection [ns_db 1row $db "select package_id, module_id, baf_type, description, entered_by, severity, insertion_date, coalesce(expected_completion,0) as expected_completion, coalesce(completion,0) as completion from bugs_and_features where baf_id=$baf_id"]
set_variables_after_query

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

if {$module_id != "" && $module_id != 0} {
    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
    
    set_simple_module_information $db $module_id
}

ReturnHeaders

ns_write "[sdm_header "Add a comment on a $baf_type"]
<h2>Add a Comment</h2>
on <A href=one-baf.tcl?[export_url_vars baf_id]>$baf_type #$baf_id</a>, in <A href=one-package.tcl?[export_url_vars package_id]>$package_name</a>.
<hr><p>

<FORM METHOD=POST action=pvt/baf-comment-add-2.tcl>
[export_form_vars baf_id]
<TEXTAREA name=content COLS=60 ROWS=7 WRAP=soft>
</TEXTAREA><p>
<INPUT TYPE=submit value=add>
</FORM>
<p>

[sdm_footer]"