set_the_usual_form_variables
# package_id
# possibly current_entry
# old_release new_release

validate_integer package_id $package_id

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {![sdm_sourcecode_package_has_repository_p $db $package_id]} {
    ad_return_complaint 1 "Package does not have a repository"
    return
}

set_simple_package_information $db $package_id

set_simple_repository_information $db $package_id

if {![info exists current_entry]} {
    ns_returnredirect "package-repository.tcl?[export_url_vars package_id]"
    return
}

if {![sdm_sourcecode_entry_safe $current_entry $repository_name]} {
    ns_return 200 text/html "$current_entry"
    return
}

set cvsroot [cvs_get_cvsroot $package_id $db]

set diff [cvs_file_diff [sdm_source_root] [sdm_util_strip_leading_slash [sdm_sourcecode_entry_path $current_entry]]/[sdm_sourcecode_entry_name $current_entry] $cvsroot $old_release $new_release]

ad_return_template
