set_the_usual_form_variables
# baf_id

validate_integer baf_id $baf_id

set db [ns_db gethandle]

set selection [ns_db 1row $db "select package_id, module_id, baf_type, description, entered_by, severity, insertion_date, COALESCE(expected_completion,0) as expected_completion, COALESCE(completion,0) as completion from bugs_and_features where baf_id=$baf_id"]
set_variables_after_query

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

if {$module_id != "" && $module_id != 0} {
    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
    
    set_simple_module_information $db $module_id
}

ReturnHeaders

ns_write "[sdm_header "Comments on a $baf_type"]
<h2>Comments on <A href=one-baf.tcl?[export_url_vars baf_id]>$baf_type #$baf_id</a></h2>
in <A href=open-bafs.tcl?[export_url_vars package_id]>bugs and features</a> for <A href=one-package.tcl?[export_url_vars package_id]>$package_name</a>.
<hr><p>

<h3>Details</h3>
<blockquote>
[ns_quotehtml $description]
</blockquote>
<p>

<h3>Comments</h3>
"

set selection [ns_db select $db "select first_names, last_name, comment_date, content, html_p from baf_comments, users where baf_comments.user_id=users.user_id and on_what_id=$baf_id order by comment_date"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<blockquote>
[ns_quotehtml $content]
</blockquote>
by $first_names $last_name, on $comment_date
<p>
"
}

ns_write "<p>
<a href=baf-comment-add.tcl?[export_url_vars baf_id]>add a comment</a>
<p>
"
ns_write "[sdm_footer]"
