set_the_usual_form_variables
# module_id

validate_integer module_id $module_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![user_can_see_module_p $db $user_id $module_id]} {
    sdm_return_access_complaint
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select module_name, package_id, description, owner from modules where modules.module_id=$module_id"]
set_variables_after_query

set selection [ns_db 1row $db "select first_names, last_name, email from users where user_id=$owner"]
set_variables_after_query

set selection [ns_db 1row $db "select package_name from packages where package_id=$package_id"]
set_variables_after_query

ns_write "[sdm_header "$module_name"]
<h2>$module_name</h2>
[ad_context_bar_ws_or_index [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] $module_name]
<hr><p>

<blockquote>
[ns_quotehtml $description]
</blockquote>
<p>
<center>
<table border=2 cellpadding=4>
<tr>
<td><strong>Maintained By</strong></td>
<td>$first_names $last_name ($email)</td>
</tr>
</table></center>
<p>"

if {[user_can_edit_module_p $db $user_id $module_id]} {
    ns_write "
<ul>
<li> <a href=pvt/edit-module.tcl?[export_url_vars module_id]>Edit</a> this module
<li> <a href=pvt/module-users.tcl?[export_url_vars module_id]>Users</a> of this module
<li> <a href=pvt/module-delete.tcl?[export_url_vars module_id]>Delete</a> this module\n"

ns_write "
</ul>
"
}

ns_write "
<ul>
"

set n_open_bugs [database_to_tcl_string $db "select count(*) from bugs_and_features, baf_status where baf_type='bug' and bugs_and_features.baf_status=baf_status.baf_status_id and baf_status.baf_status='open' and module_id=$module_id"]
set n_open_features [database_to_tcl_string $db "select count(*) from bugs_and_features, baf_status where baf_type='feature' and bugs_and_features.baf_status=baf_status.baf_status_id and baf_status.baf_status='open' and module_id=$module_id"]


ns_write "
<li> <a href=open-bafs.tcl?[export_url_vars module_id package_id]>Open Bugs ($n_open_bugs) and Features ($n_open_features)</a> for this module
"

ns_write "</ul>
<p>
"


ns_write "<p>

[sdm_footer]
"