set_the_usual_form_variables
# package_id

validate_integer package_id $package_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check that this package can be accessed here
if {![user_can_see_package_p $db $user_id $package_id]} {
    ad_return_complaint "1" "the package doesn't belong to you!"
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select package_name, description, current_release as release_id from packages where packages.package_id=$package_id"]
set_variables_after_query

# Postgres outer join
if {$release_id != ""} {
    set selection [ns_db 1row $db "select manager as owner, release_name(major_version, minor_version, patch_version, beta_version) as release_name from package_releases where release_id=$release_id"]
    set_variables_after_query
} else {
    set release_name ""
    set owner ""
}

ns_write "[sdm_header "$package_name"]
<h2>$package_name</h2>
[ad_context_bar_ws_or_index [sdm_home_context_bar_item] "$package_name"]
<hr><p>"

if {$owner != ""} {
    set selection [ns_db 1row $db "select first_names, last_name, email from users where user_id=$owner"]
    set_variables_after_query
}

ns_write "

<center>
<table noborder>
<tr>
<th width=50% bgcolor=lightgrey>Package Information</th>
<th width=50% bgcolor=lightgrey>Community</th>
</tr>
<tr>
<td valign=top>
[ns_quotehtml $description]
<p>
</td>
"

# Community Stuff
ns_write "
<td rowspan=2 valign=top>
<center>
<FORM METHOD=GET ACTION=pvt/toggle-package-interest.tcl>
[export_form_vars package_id]"

if {![sdm_package_user_is_interested_p $package_id $user_id $db]} {
    ns_write "<INPUT TYPE=hidden name=interest value=1>
<INPUT TYPE=submit value=\"I'm Interested\">"
} else {
    ns_write "<INPUT TYPE=hidden name=interest value=0>
<INPUT TYPE=submit value=\"I'm not Interested\">"
}

ns_write "
<br>
([sdm_package_n_interested_users $package_id $db] interested users)
</FORM>
</center>
</td></tr>
<tr>
<td>
<font size=-1> <a href=open-bafs.tcl?[export_url_vars package_id]>Bugs/Features</a>  |  <a href=package-releases.tcl?[export_url_vars package_id]>Releases</a>
"

if {$release_id != ""} {
    ns_write " | <a href=one-package-release.tcl?[export_url_vars release_id]>Current Release is $release_name</a>"
}

ns_write "</font>
</td>
</tr>
</table>
</center>"

ns_write "<p><ul>"

## The SDM repository is not used for now
if {[sdm_sourcecode_package_has_repository_p $db $package_id]} {
    ns_write "<li> <a href=package-repository.tcl?[export_url_vars package_id]>Code Repository</a>"
} else {
    if {[user_can_edit_package_p $db $user_id $package_id]} {
	ns_write "<li> <a href=pvt/package-repository-create.tcl?[export_url_vars package_id]>Create Code Repository</a>"
    }
}


ns_write "
<li> <a href=package-patches.tcl?[export_url_vars package_id]>Patches</a>
</ul>
"

if {[user_can_edit_package_p $db $user_id $package_id]} {
    ns_write "
    [html_section_title "Administration"]
 <ul>
    <li> <a href=pvt/edit-package.tcl?[export_url_vars package_id]>Edit</a> this package.
    <li> <a href=pvt/package-admins.tcl?[export_url_vars package_id]>Admins</a> for this package.
    <li> <a href=pvt/package-cvs-edit.tcl?[export_url_vars package_id]>edit cvs</a> for this package.
    </ul>
"
}

ns_write "
<p>
[html_section_title "Modules"]
<ul>
"

if {[user_can_edit_package_p $db $user_id $package_id]} {
    ns_write "
<li> <a href=pvt/new-module.tcl?[export_url_vars package_id]>New</a> Module.<p>
"}

ns_write "<p>"

set selection [ns_db select $db "select module_id, module_name, description from modules where package_id=$package_id and user_can_see_module_p($user_id, module_id)='t' order by module_name"]

ns_write "<table>"

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<tr><td><a href=one-module.tcl?[export_url_vars module_id]>$module_name</a></td><td>[ns_quotehtml $description]</td></tr>\n"
}


ns_write "</table>
</ul>
<p>
[sdm_footer]
"

