set_the_usual_form_variables
# patch_id

validate_integer patch_id $patch_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

set package_id [database_to_tcl_string $db "select package_id from sdm_package_patches where patch_id=$patch_id"]

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

set selection [ns_db 1row $db "select patch_description, fetch_release_name(package_release_id) as release_name,
sdm_package_patch_rating(patch_id) as overall_rating, 
patch_file, user_full_name(user_id) as submitter_name, user_full_name(action_user) as action_name, 
submission_date, accepted_p, action_date, action_description from sdm_package_patches where patch_id=$patch_id"]

set_variables_after_query

set file [open [sdm_one_package_patch_file_path $package_id]/$patch_file r]
set patch_content [read $file]
close $file

switch $accepted_p {
    t {
	set action "accepted on [util_AnsiDatetoPrettyDate $action_date] by $action_name<br>$action_description"
    }
    f {
	set action "refused on [util_AnsiDatetoPrettyDate $action_date] by $action_name<br>$action_description"
    }
    default {
	set action ""
    }
}

set user_is_admin [user_can_edit_package_p $db $user_id $package_id]

set user_rating [database_to_tcl_string_or_null $db "select numeric_rating from sdm_package_patch_ratings where patch_id= $patch_id and user_id=$user_id"]

ad_return_template
