set_the_usual_form_variables
# package_id release_id

validate_integer package_id $package_id
validate_integer release_id $release_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

set selection [ns_db 1row $db "select release_name(major_version,minor_version,patch_version,beta_version) as release_name from package_releases where package_id=$package_id and release_id=$release_id"]
set_variables_after_query

set release_notes [database_to_tcl_string $db "select release_notes from package_releases where package_id=$package_id and release_id=$release_id"]

ReturnHeaders

ns_write "
[sdm_header "Release Notes"]
<h2>Release Notes</h2>
[ad_context_bar_ws_or_index [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] [list "one-package-release.tcl?[export_url_vars package_id release_id]" "Release $release_name"] "Release Notes"]
<hr><p>

<blockquote>
$release_notes
</blockquote>
"

if {[user_can_edit_package_p $db $user_id $package_id]} {
    ns_write "[html_section_title "Administration"]

<blockquote>
<ul>
<li> <a href=pvt/package-release-notes-edit.tcl?[export_url_vars package_id release_id]>Edit</a> release notes.
</ul>
</blockquote>
"
}

ns_write "<p>
[sdm_footer]"