set_the_usual_form_variables
# package_id

validate_integer package_id $package_id

set db [ns_db gethandle]

set_simple_user_information $db

# check access
if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $user_id

ReturnHeaders

ns_write "[sdm_header "Package Releases"]
<h2>Package Releases</h2>
[ad_context_bar_ws_or_index [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] Releases]
<hr><p>

<ul>
"

if {[user_can_edit_package_p $db $user_id $package_id]} {
    ns_write "
<li> <a href=pvt/package-release-new.tcl?[export_url_vars package_id]>Create</a> a new release.<p>
"
}

set selection [ns_db select $db "select release_id, general_description, release_name(major_version,minor_version,patch_version,beta_version) as release_name, anticipated_release_date, release_date, user_id as manager_user_id, first_names as manager_first_names, last_name as manager_last_name, email as manager_email, supported_platforms from package_releases,users where package_id=$package_id and package_releases.manager=users.user_id order by 3"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<li>
<strong><font size=+1><a href=one-package-release.tcl?[export_url_vars package_id release_id]>Release $release_name</a></font></strong><br>
$general_description<br>
<i>Manager</i>: <A href=one-user.tcl?user_id=$manager_user_id>$manager_first_names $manager_last_name</a> ($manager_email)<br>
<i>Anticipated Release Date</i>: $anticipated_release_date<br>
<i>Release Date</i>: $release_date<br>
<i>Supported Platforms</i>: $supported_platforms<br>
<p>
"
}

ns_write "</ul>
<p>
[sdm_footer]"

