set_the_usual_form_variables
# patch_id

validate_integer patch_id $patch_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

set selection [ns_db 1row $db "select sdm_package_patches.package_id, patch_file, repository_name from sdm_package_patches, package_repositories where patch_id=$patch_id and package_repositories.package_id=sdm_package_patches.package_id"]
set_variables_after_query

# Permission checking
if {![user_can_edit_package_p $db $user_id $package_id]} {
    ns_returnredirect "one-patch.tcl?[export_url_vars patch_id]"
    return
}

# Update the CVS data
set cvs_path [cvs_get_cvsroot $package_id $db]
cd [sdm_source_root]
cvs_checkout $repository_name $cvs_path
cd $repository_name

# apply patch
if {[catch {set result [exec patch -p0 < [sdm_one_package_patch_file_path $package_id]/$patch_file]} errmsg]} {
    set result $errmsg
}

cvs_commit $repository_name $cvs_path "patch #$patch_id committed"

ns_db dml $db "update sdm_package_patches set accepted_p='t', action_user=$user_id, action_date=sysdate() where patch_id=$patch_id"

ad_return_template



