set_the_usual_form_variables
# package_id release_id patch_file patch_file.tmpfile patch_description

validate_integer package_id $package_id
validate_integer release_id $release_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set safe_patch_filename [util_make_filename_safe $patch_file]

set patch_id [db_sequence_nextval $db sdm_patch_id_sequence]

set full_path [sdm_one_patch_file_full_path $package_id $patch_id $safe_patch_filename]

ns_cp ${patch_file.tmpfile} $full_path

ns_db dml $db "insert into sdm_package_patches (patch_id, user_id, package_id, package_release_id, submission_date, patch_file, patch_description) values ($patch_id, $user_id, $package_id, $release_id, [db_sysdate], '$safe_patch_filename', '[DoubleApos $patch_description]')"

ns_returnredirect "one-package.tcl?[export_url_vars package_id]"