set_the_usual_form_variables
# baf_id content

validate_integer baf_id $baf_id

set db [ns_db gethandle]

set selection [ns_db 1row $db "select package_id, module_id, baf_type, description, entered_by, severity, insertion_date, COALESCE(expected_completion,0) as expected_completion, COALESCE(completion,0) as completion from bugs_and_features where baf_id=$baf_id"]
set_variables_after_query

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {$module_id != "" && $module_id != 0} {
    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
}

# Break the abstraction here cause Postgres is too stupid
# to allow insertions into views
ns_db dml $db "insert into general_comments (comment_id, one_line_item_desc, on_what_id, on_which_table, user_id, ip_address, comment_date, content) VALUES (nextval('general_comment_id_sequence'), '$baf_type comment', $baf_id, 'bugs_and_features', $user_id, '[ns_conn peeraddr]', sysdate(), '$QQcontent')"

# Notify people
sdm_notify_users_baf $baf_id "new comment added by $first_names $last_name: 
$content
----------------------------" $db

ns_returnredirect "../one-baf-comments.tcl?[export_url_vars baf_id]"



