set_the_usual_form_variables
# baf_type module_id description package_id
# possibly old_baf_id
# if it's a bug: release_id

validate_integer package_id $package_id
validate_integer baf_id $baf_id

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_see_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {[info exists module_id] && $module_id != ""} {
    validate_integer module_id $module_id

    if {![user_can_see_module_p $db $user_id $module_id]} {
	sdm_return_access_complaint
	return
    }
    set_simple_module_information $db $module_id
} else {
    set module_id ""
}

set_simple_package_information $db $package_id

ns_db dml $db "begin transaction"

if {[catch {ns_db dml $db "insert into bugs_and_features (baf_id, baf_status, baf_type, package_id, module_id, entered_by, severity, insertion_date, description) VALUES ($baf_id, get_baf_status_id('open'), '$baf_type', $package_id, [db_null_sql $module_id] , $user_id, '[sdm_default_severity]', sysdate(), '$QQdescription')"} errmsg]} {
    # If there's an error, probably a double click, so 
    # get out of here
    ns_return 200 text/html "$errmsg"
    return

    ns_db dml $db "abort transaction"
    ns_returnredirect ../open-bafs.tcl?[export_url_vars module_id package_id]
    return
}

if {$baf_type == "bug" && [info exists release_id] && ![empty_string_p $release_id]} {
    validate_integer release_id $release_id
    ns_db dml $db "insert into bug_release_map (bug_id, release_id, discovery_date) VALUES ($baf_id, $release_id, sysdate())"
}

if {[info exists old_baf_id]} {
    validate_integer old_baf_id $old_baf_id

    ns_db dml $db "update bugs_and_features set old_baf_id=$old_baf_id where baf_id=$baf_id"
    ns_db dml $db "update bugs_and_features set baf_status=get_baf_status_id('reopened') where baf_id=$old_baf_id"
}

ns_db dml $db "end transaction"

ns_returnredirect "../open-bafs.tcl?[export_url_vars module_id package_id]"

