set_the_usual_form_variables
# package_id, release_id, user_id_from_search, supported_platforms, unsupported_platforms
# major_version, minor_version, patch_version, general_description

validate_integer package_id $package_id
validate_integer release_id $release_id
validate_integer user_id_from_search $user_id_from_search
validate_integer major_version $major_version
validate_integer minor_version $minor_version
validate_integer patch_version $patch_version
validate_integer beta_version $beta_version

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_edit_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

if {[catch {
    ns_db dml $db "update package_releases set
major_version=$major_version,
minor_version=$minor_version,
patch_version=$patch_version,
beta_version=$beta_version,
supported_platforms='$QQsupported_platforms',
manager=$user_id_from_search,
general_description='$QQgeneral_description'
where 
release_id=$release_id
and
package_id=$package_id
"
} errmsg]} {
    # We suspect that the release was already inserted,
    # so we do nothing and expect a redirect
}

ns_returnredirect "../one-package-release.tcl?[export_url_vars package_id release_id]"
