set_the_usual_form_variables
# package_id release_id

validate_integer package_id $package_id
validate_integer release_id $release_id

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_edit_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

set selection [ns_db 1row $db "select release_name(major_version,minor_version,patch_version,beta_version) as release_name, major_version, minor_version, patch_version, beta_version, general_description, user_id as manager_user_id, email as email, first_names as manager_first_names, last_name as manager_last_name, supported_platforms from package_releases, users where package_id=$package_id and release_id=$release_id and manager=user_id"]
set_variables_after_query

ReturnHeaders 

ns_write "[sdm_header "Edit Release"]
<h2>Edit Release</h2>
[ad_context_bar [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] [sdm_release_context_bar_item $release_id $release_name] "edit"]
<hr><p>
"

set form "
[make_html_form POST /user-search.tcl [list {target "" hidden "/sdm/pvt/package-release-edit-2.tcl"} \
	{passthrough "" hidden {package_id release_id major_version minor_version patch_version beta_version supported_platforms general_description}} \
	{custom_title "" hidden "Pick a Manager for your Edited Release"} \
	[list package_id {} hidden $package_id] \
	[list release_id {} hidden $release_id] \
	{major_version "Major Version" text} \
	{minor_version "Minor Version" text} \
	{patch_version "Patch Version" text} \
	{beta_version "Beta Version" text} \
	{email "Manager search: by email<br>or" text} \
	{last_name "by last name" text} \
	{supported_platforms "Supported Platforms" text} \
	{unsupported_platforms "Unsupported Platforms" text} \
	{general_description "General Description" textarea 50 5 soft}
	]]
"

ns_write "[bt_mergepiece $form $selection]
<p>

[sdm_footer]"