set_the_usual_form_variables
# package_id release_id release_tarfile

validate_integer package_id $package_id
validate_integer release_id $release_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check if the user is the manager for this release
set release_manager_user_id [database_to_tcl_string $db "select manager from package_releases where package_id=$package_id and release_id=$release_id"]

if {$user_id == $release_manager_user_id} {
    set user_is_manager_p 1
} else {
    set user_is_manager_p 0
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

set form [ns_getform]
set baf_ids [nmc_GetCheckboxValues $form completed_baf_id]

ns_db dml $db "begin transaction"

if {$baf_ids != 0} {
    foreach baf_id $baf_ids {
	ns_db dml $db "update bugs_and_features set completion=$release_id where baf_id=$baf_id and package_id=$package_id"
    }
}

# Download stuff
set release_filename [sdm_load_download_package $package_id $release_id]

ns_db dml $db "update package_releases set release_filename='$release_filename' where package_id=$package_id and release_id=$release_id"


ns_db dml $db "update package_releases set release_date=sysdate where package_id=$package_id and release_id=$release_id"

ns_db dml $db "update packages set current_release=$release_id where package_id=$package_id"

ns_db dml $db "end transaction"

ns_returnredirect "../one-package-release.tcl?[export_url_vars package_id release_id]"

