set_the_usual_form_variables
# package_id release_id

validate_integer package_id $package_id
validate_integer release_id $release_id

set db [ns_db gethandle]

set user_id [ad_get_user_id]

# Check if the user is the manager for this release
set release_manager_user_id [database_to_tcl_string $db "select manager from package_releases where package_id=$package_id and release_id=$release_id"]

if {$user_id == $release_manager_user_id} {
    set user_is_manager_p 1
} else {
    set user_is_manager_p 0
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

ReturnHeaders

set selection [ns_db 1row $db "select release_name(major_version,minor_version,patch_version,beta_version) as release_name, anticipated_release_date from package_releases where package_id=$package_id and release_id=$release_id"]
set_variables_after_query

ns_write "[sdm_header "Make a Release Live"]
<h2>Make Release $release_name live!</h2>
[ad_context_bar [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] [sdm_package_release_context_bar_item $release_id $release_name] "make live"]
<hr><p>

You are now about to make this release live. Please fill out the details below.
<p>"

ns_write "
<FORM ENCTYPE=multipart/form-data METHOD=post action=package-release-make-live-2.tcl>
[export_form_vars release_id package_id]
<INPUT TYPE=file name=release_filename><p>
"

ns_write "
<h3>Bugs and Features</h3>
These are the bugs and features that were expected to be fixed or implemented in this release, and that haven't yet been marked as completed. Please check off the ones that are completed.

<p>
"

set selection [ns_db select $db "select baf_id, baf_type, severity, substr(description, 0, 100) as short_description from open_bafs where package_id=$package_id and expected_completion=$release_id order by baf_type, severity"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<INPUT TYPE=checkbox name=completed_baf_id value=$baf_id> <a href=one-$baf_type.tcl?[export_url_vars baf_id]>$baf_type #$baf_id</a>: $short_description ...<br>"
}

ns_write "<p>
<INPUT TYPE=submit value=\"Make Live!\">
</FORM>
"

ns_write "
<p>
[sdm_footer]
"
