set_the_usual_form_variables
# package_id release_id new_release_id

validate_integer package_id $package_id
validate_integer release_id $release_id
validate_integer_or_null new_release_id $new_release_id

set user_id [ad_get_user_id]

set form [ns_getform]

set db [ns_db gethandle]

# Check if the user is the manager for this release
set release_manager_user_id [database_to_tcl_string $db "select manager from package_releases where package_id=$package_id and release_id=$release_id"]

if {$user_id == $release_manager_user_id} {
    set user_is_manager_p 1
} else {
    set user_is_manager_p 0
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

ns_db dml $db "begin transaction"

ns_db dml $db "update package_releases set release_date=NULL where package_id=$package_id and release_id=$release_id"

ns_db dml $db "delete from package_release_downloads where package_id=$package_id and release_id=$release_id"

if {$new_release_id != ""} {
    ns_db dml $db "update packages set current_release=$new_release_id where package_id=$package_id"
} else {
    ns_db dml $db "update packages set current_release=NULL where package_id=$package_id"
}

ns_db dml $db "end transaction"

ns_returnredirect "../one-package-release.tcl?[export_url_vars package_id release_id]"
