set_the_usual_form_variables
# package_id

validate_integer package_id $package_id

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_edit_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

set_simple_package_information $db $package_id

ReturnHeaders

ns_write "[sdm_header "New Package Release"]
<h2>New Release</h2>
[ad_context_bar [sdm_home_context_bar_item] [sdm_package_context_bar_item $package_id $package_name] [list ../package-releases.tcl?[export_url_vars package_id] Releases] "new"]
<hr><p>
"

set new_package_release_id [database_to_tcl_string $db "select package_release_id_sequence.nextval from dual"]

ns_write "
[make_html_form POST /user-search.tcl [list {target "" hidden "/sdm/pvt/package-release-new-2.tcl"} \
	{passthrough "" hidden {package_id release_id major_version minor_version patch_version beta_version supported_platforms unsupported_platforms general_description}} \
	{custom_title "" hidden "Pick a Manager for your New Release"} \
	[list package_id {} hidden $package_id] \
	[list release_id {} hidden $new_package_release_id] \
	{major_version "Major Version" text} \
	{minor_version "Minor Version" text} \
	{patch_version "Patch Version" text} \
	{beta_version "Beta Version" text} \
	{email "Manager search: by email<br>or" text} \
	{last_name "by last name" text} \
	{supported_platforms "Supported Platforms" text} \
	{general_description "General Description" textarea 50 5 soft}
	]]
"

ns_write "
<p>
[sdm_footer]
"