set_the_usual_form_variables
# package_id

validate_integer package_id $package_id

set exception_count 0
set exception_text ""

if {[string first " " $repository_name] != -1} {
    incr exception_count
    append exception_text "<li> There is a space in your repository name. Can't do that.\n"
}

if {$exception_count > 0} {
    ad_return_complaint $exception_count $exception_text
    return
}

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_edit_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

ns_db dml $db "begin transaction"

if {[catch {
    ns_db dml $db "insert into package_repositories (package_id, repository_name, file_glob_patterns) VALUES ($package_id, '$repository_name', '$file_glob_patterns')"
} errmsg]} {
}

if {[catch {sdm_sourcecode_create_repository $repository_name} errmsg]} {
    ns_return 200 text/html "an error happened, you probably don't have the right directory set up for storing source code repositories. Check it and the permissions on it: $errmsg"

    ns_db dml $db "abort transaction"
    return
}

ns_db dml $db "end transaction"

ns_returnredirect "../one-package.tcl?[export_url_vars package_id]"
