set_the_usual_form_variables
# package_id

validate_integer package_id $package_id

set exception_count 0
set exception_text ""

if {[string first " " $repository_name] != -1} {
    incr exception_count
    append exception_text "<li> There is a space in your repository name. Can't do that.\n"
}

if {$exception_count > 0} {
    ad_return_complaint $exception_count $exception_text
    return
}

set db [ns_db gethandle]

set_simple_user_information $db

if {![user_can_edit_package_p $db $user_id $package_id]} {
    sdm_return_access_complaint
    return
}

ns_db dml $db "begin transaction"

set old_repository_name [database_to_tcl_string $db "select repository_name from package_repositories where package_id=$package_id"]

if {[catch {
    ns_db dml $db "update package_repositories set 
    repository_name='$repository_name',
    file_glob_patterns='$file_glob_patterns'
    where
    package_id=$package_id"
} errmsg]} {
}

sdm_sourcecode_edit_repository $old_repository_name $repository_name

ns_db dml $db "end transaction"

ns_returnredirect "../one-package.tcl?[export_url_vars package_id]"
