set_the_usual_form_variables
# emails

set user_id [ad_get_user_id]
set db [ns_db gethandle]

if {![ad_administrator_p $db $user_id]} {
    ns_returnredirect "index.tcl"
    return
}

set main_email [database_to_tcl_string $db "select email from users where user_id=$user_id"]

ReturnHeaders

ns_write "[ad_header "Creating Project"]
<h2>Creating Project</h2>
<hr><p>
<ul>
"

ns_db dml $db "begin transaction"

# The Project
ns_write "
<li> Creating the Project ..."

set project_id [database_to_tcl_string $db "select ticket_project_id_sequence.nextval from dual"]
ns_db dml $db "insert into ticket_projects (project_id, customer_id, title, start_date) values ($project_id, $user_id, '$QQproject_name', sysdate())"

# Create the team
set team_id [team_new $project_name $db]

# Associate project with team
ns_db dml $db "insert into ticket_project_teams (project_id, team_id) values ($project_id, $team_id)"

ns_write "done!\n"

# The users
ns_write "<li> Users:
<ul>"

set internal_email_list [split $internal_emails "\n"]
set external_email_list [split $external_emails "\n"]

# Accumulate the todo lists to do sharing
# set todo_lists [list]
# set user_ids [list]
set list_of_emails_to_send [list]

# loop through all the users and create them if necessary

team_add_user $team_id $user_id administrator $db

# Internal Users
foreach email $internal_email_list {
    ns_write "<li> $email: "

    team_add_user_by_email $db $team_id $email internal

    # prepare the email
    lappend list_of_emails_to_send [email_new $email $main_email "new project: $project_name" "
You have been added to the $project_name management site.
Please visit [ad_url].
"]
}

# External users
foreach email $external_email_list {
    ns_write "<li> $email: "

    team_add_user_by_email $db $team_id $email external

    # prepare the email
    lappend list_of_emails_to_send [email_new $email $main_email "new project: $project_name" "
You have been added to the $project_name management site.
Please visit [ad_url].
"]
}

ns_write "</ul>
"

ns_write "<li>sending the emails ..."

if {[info exists send_email_p]} {
    email_send_list $list_of_emails_to_send
}

ns_write "done!<p>"

ns_write "</ul>
<p>
Go to <a href=/pvt/home.tcl>your workspace</a>.
<p>
[ad_footer]
"

ns_db dml $db "end transaction"
