set_the_usual_form_variables 
# project_id

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![ticket_user_can_see_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

ReturnHeaders

set selection [ns_db 1row $db "select project_full_name(project_id) as title, team_id from ticket_project_teams where project_id=$project_id"]
set_variables_after_query

ns_write "[ad_header "One Team"]
<h2>$title</h2>
[ad_context_bar_ws_or_index [list [team_url_stub] "Team Management"]  "One Team"]
<hr><p>
"

set admin_p [ticket_user_can_admin_project_p $user_id $project_id $db]

if {$admin_p} {
    ns_write "
<h3>Actions</h3>
<ul>
<li> <a href=new-member.tcl?[export_url_vars project_id]>new member</a>
<p>
<li> <a href=team-delete.tcl?[export_url_vars project_id]>delete this team</a>
</ul>
"
}

ns_write "

<h3>Members</h3>
<ul>
"

set selection [ns_db select $db "select users.user_id as team_user_id, first_names, last_name, email, role from users, user_group_map where users.user_id=user_group_map.user_id and user_group_map.group_id=$team_id order by role, last_name"]

set current_role ""

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    if {$current_role != $role} {
	ns_write "</ul>$role:<ul>"
	set current_role $role
    }

    ns_write "<li> "

    if {$admin_p} {
	ns_write "\[ <a href=remove-user.tcl?[export_url_vars team_id team_user_id]>remove</a> \] \[ <a href=member-change-role.tcl?[export_url_vars team_id team_user_id]>change role</a> \] "
    }

    ns_write "$last_name, $first_names (<A href=mailto:$email>$email</a>)\n"
}

ns_write "</ul>

<p>

[ad_footer]
"