set_the_usual_form_variables
# project_id

validate_integer project_id $project_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Check permission
if {![ticket_user_can_admin_project_p $user_id $project_id $db]} {
    ticket_deny_access
    return
}

# Get the group_id
set team_id [database_to_tcl_string $db "select team_id from ticket_project_teams where project_id=$project_id"]
set list_ids [database_to_tcl_list $db "select list_id from todo_list_user_group_map where user_group_id=$team_id"]

# Delete the todo items, lists
ns_db dml $db "begin transaction"

ns_db dml $db "delete from todo_items where list_id in (select list_id from todo_list_user_group_map where user_group_id=$team_id)"
ns_db dml $db "delete from todo_list_user_map where list_id in (select list_id from todo_list_user_group_map where user_group_id=$team_id)"
ns_db dml $db "delete from todo_items where list_id in (select list_id from todo_list_user_group_map where user_group_id=$team_id)"

ns_db dml $db "delete from todo_list_user_group_map where user_group_id=$team_id"
ns_db dml $db "delete from todo_lists where list_id in ([join $list_ids ","])"


# Delete the ticket-related stuff
ns_db dml $db "delete from ticket_issue_user_interest_map where msg_id in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_issues_attachments where msg_id in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_issue_assignments where msg_id in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_xrefs where from_ticket in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_xrefs where to_ticket in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_issue_responses where response_to in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_issue_notifications where msg_id in (select msg_id from ticket_issues where project_id=$project_id)"
ns_db dml $db "delete from ticket_projects_field_vals where project_id=$project_id"
ns_db dml $db "delete from ticket_projects_fields where project_id=$project_id"
ns_db dml $db "delete from ticket_issues where msg_id in (select msg_id from ticket_issues where project_id=$project_id)"



# user groups stuff
ns_db dml $db "delete from user_group_map where group_id=$team_id"
ns_db dml $db "delete from user_group_map_queue where group_id=$team_id"
ns_db dml $db "delete from user_group_roles where group_id=$team_id"
ns_db dml $db "delete from user_group_actions where group_id=$team_id"
ns_db dml $db "delete from user_group_action_role_map where group_id=$team_id"
ns_db dml $db "delete from administration_info where group_id=$team_id"
ns_db dml $db "delete from group_member_email_preferences where group_id=$team_id"
ns_db dml $db "delete from group_spam_history where group_id=$team_id"
ns_db dml $db "delete from user_group_member_fields where group_id=$team_id"
ns_db dml $db "delete from user_group_member_field_map where group_id=$team_id"

ns_db dml $db "delete from ticket_project_teams where project_id=$project_id"
ns_db dml $db "delete from ticket_projects where project_id=$project_id"
ns_db dml $db "delete from user_groups where group_id=$team_id"

ns_db dml $db "end transaction"



ns_returnredirect "index.tcl"