set_the_usual_form_variables
# thread_id

set user_id [ad_get_user_id]

set db [ns_db gethandle]

# Security Check
if {![threads_user_can_see_thread_p $db $user_id $thread_id]} {
    threads_deny_access
    return
}

set selection [ns_db 1row $db "select thread_name, description, priority, start_date, end_date, thread_state from threads where thread_id=$thread_id"]
set_variables_after_query

set list_of_collaborators [database_to_tcl_list_list $db "select user_id, first_names || ' ' || last_name as name from users where user_id in (select user_id from thread_user_map where thread_id=$thread_id) and user_id!=$user_id"]

set selection [ns_db select $db "
select note_id, notes.user_id as user_id, first_names, last_name, 
email, note_date, content
from notes, users
where 
notes.user_id= users.user_id and
thread_id= $thread_id
order by note_date desc
"]

set list_of_notes [list]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    set who "$first_names $last_name ($email)"
    lappend list_of_notes [list $content $who $note_date]
}

set current_date [database_to_tcl_string $db "select sysdate()::date"]

ns_db releasehandle $db


set target [threads_url_stub]/new-collaborator.tcl
set passthrough [list thread_id]
set custom_title "Choose a New Collaborator"


ad_return_template