#
# Add in a cross-reference to another ticket
# 
# xmsg_id  - the id of the xreferenced issue
# pmsg_id - the id of the parent isue
#
# target - the url we return to

set_form_variables

set db [ticket_getdbhandle]

# show a confirmation

set msg_id $xmsg_id

# msg_id
#
# This page is shown to unprivileged users - it does not
# allow any fields to be modified.

set user_id [ad_get_user_id]

set selection [ns_db 0or1row $db "select 
to_char(posting_time, [ticket_date_format]) as posting_date,
deadline, one_line, message, priority, ticket_type, first_names || ' ' || last_name as name, status
from ticket_issues, users
where msg_id = $msg_id
and users.user_id = ticket_issues.user_id"]

if { $selection == "" } {
    # message was probably deleted
    ns_return 200 text/html "Couldn't find message $msg_id.  Probably it was deleted by the forum maintainer."
    return
}

set_variables_after_query
set this_one_line $one_line


set selection [ns_db 1row $db "select 
 title, ticket_issues.project_id, notify_p,
 ticket_issues.data1, 
 ticket_issues.data2, 
 ticket_issues.data3, 
 ticket_issues.data4, 
 ticket_issues.data5, 
 ticket_issues.contact_name,  ticket_issues.contact_info1,
 to_char(close_date, [ticket_date_format]) close_date,  ticket_priorities.name  as priority_name, ticket_priorities.priority
from ticket_projects, ticket_issues, users, ticket_priorities
where ticket_projects.project_id = ticket_issues.project_id
and ticket_issues.msg_id = $msg_id
and users.user_id(+) = closed_by
and ticket_priorities.priority = ticket_issues.priority"]
set_variables_after_query

if { [empty_string_p $deadline] } {
    set deadline [ns_localsqltimestamp]
}

ReturnHeaders

ns_write "Confirm: link to this ticket as cross-reference from ticket \#$pmsg_id <a href=\"add-xref-2.tcl?[export_url_vars xmsg_id pmsg_id target]\">Yes</a> &nbsp;|&nbsp;<a href=\"$target?msg_id=$pmsg_id\">Cancel</a>
<p>"


ns_write "[ad_header $one_line]
Project: $title
<h2>$ticket_type \#$msg_id: [clean_up_html $one_line]</h2>"

ns_write "
<table border=0 cellspacing=3>
<tr><td align=left><b>Ticket Type:</b><td>$ticket_type</td></tr>
<tr><td align=left><b>Priority:</b><td>$priority</td></tr>
<tr><td align=left><b>Deadline:</b><td>$deadline</td></tr>
<tr><th align=left>Project:<td>$project_id</td></tr>
<tr><td align=left><b>Submitted By:</b><td>$name on $posting_date</tr>
<tr><td align=left><b>Status:</b><td>$status</td></tr>"


ns_write "<tr><th valign=top align=left>Contact Name:</th><td>$contact_name</td></tr>"

ns_write "<tr><th valign=top align=left>Contact Info:</th><td><pre>$contact_info1</pre></td></tr>"



foreach entry [ticket_picklist_data] { 
    # Get the name of the database column associated with each
    # picklist field
    set column_name [ticket_picklist_entry_column_name $entry]
    set current_value [set $column_name]
    set pretty_name  [ticket_picklist_entry_pretty_name $entry]
    ns_write "<tr><th align=left>$pretty_name:</th><td>$current_value</td></tr>\n"
}

if { $close_date != "" } {
    ns_write "<tr><td align=left><b>Closed On:</b><td>$close_date</tr>\n"
}

ns_write "

<tr><td colspan=2><hr></tr>
<tr><th valign=top align=left>Message:</th><td align=left>$message
</td></tr>
</table>"

# List xrefs
ns_write "<b>Related Issues</b>
<br>
"
set selection [ns_db select $db "select to_ticket, one_line xone_line, msg_id xmsg_id
 from ticket_xrefs, ticket_issues
where  to_ticket = ticket_issues.msg_id and 
from_ticket=$msg_id"]

ns_write "<ul>"
while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    ns_write "<li>\[$xmsg_id\] $xone_line"
}




ns_write "
<h3>Assignment</h3>
<table border=1 cellpadding=10>
<tr>
<th>Users assigned to this issue</th>
</tr>

"
# list assignments
ns_write "<tr valign=top><td><ul>
"

set selection [ns_db select $db "select first_names, last_name, users.user_id
from users, ticket_issue_assignments where 
users.user_id=ticket_issue_assignments.user_id 
and msg_id=$msg_id"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    ns_write "<li>  $first_names $last_name\n"
}

ns_write  "</ul>
</td></tr></table>
</ul>\n"

# List responses 
set selection [ns_db select $db "select 
 response_id, public_p,
 users.first_names || ' ' || users.last_name as name,
 to_char(posting_time, [ticket_date_format]) as posting_date,
 message
from ticket_issue_responses, users
where ticket_issue_responses.user_id = users.user_id
and ticket_issue_responses.response_to = $msg_id"] 

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    if {$public_p == "t"} {
	lappend responses "<blockquote>
	$message
	</blockquote>
	Submitted by $name on $posting_date
	"
    }
}


if { [info exists responses] } {
    ns_write "<h3>Comments</h3>
[join $responses "<hr width=300>"]
"
}


ns_write "[ad_footer]"




