set_the_usual_form_variables

# msg_id, deadline, priority, status, project_id, one_line, ticket_type
# public_p, data1, data2, data3, email
#
# contact_name, contact_email, contact_info
# prev_priority prev_status 

set db [ticket_getdbhandle]


set formdata [ns_set copy [ns_conn form]]

if {[empty_string_p [set ColValue.deadline.month]] && [empty_string_p [set ColValue.deadline.day]]} {
    ns_set update $formdata ColValue.deadline.year ""
}

if [catch {ns_dbformvalue $formdata deadline date deadline} error] {
    ad_return_complaint 1 "<li>Error parsing the deadline date: $error
<br>Please specify a month, day, and four digit year for the deadline.\n"
    return
}

update_last_modified_info $db $msg_id 

ns_db dml $db "update ticket_issues set deadline = '$deadline', 
priority = '$priority', one_line = '$QQone_line',
severity = '$severity',
status='$QQstatus', project_id=$project_id ,
ticket_type='$QQticket_type', 
contact_name='$QQcontact_name',
contact_email='$QQcontact_email',
contact_info1='$QQcontact_info',
public_p = '$public_p'
where
msg_id = $msg_id"

foreach field [ticket_picklist_field_names] {
    if {[info exists $field]} {
	set entry [ticket_picklist_field_info $field]
	set column_name [ticket_picklist_entry_column_name $entry]
	ns_db dml $db "update ticket_issues set $column_name = '[DoubleApos [set $field]]' 
	where
	msg_id = $msg_id"
    }
}

if { [string compare $prev_status $status] != 0} {
    ns_returnredirect "issue-changed-status.tcl?[export_url_vars msg_id status]"
} else {
    ns_returnredirect "issue-view.tcl?[export_url_vars msg_id]"
}
