set_the_usual_form_variables
# msg_id, message, public_p

set user_id [ad_get_user_id]
set db [ticket_getdbhandle]

set exception_text ""
set exception_count 0

if {[info exists preformat] && $preformat == "yes"} {
    set message_in_html "<pre>
[clean_up_html $message]
</pre>
" } else {
    set message_in_html [bboard_convert_plaintext_to_html $message]
}


if [catch { set n_previous [database_to_tcl_string $db "select count(*) 
from ticket_issue_responses
where response_to = $msg_id
and user_id = $user_id
and dbms_lob.instr(message,'[DoubleApos $message_in_html]') > 0"]} errmsg] {
    ns_log Notice "failed trying to look up previous posting: $errmsg"
} else {
    # lookup succeeded
    if { $n_previous > 0 } {
	incr exception_count
	append exception_text "<li>There are already $n_previous responses from you with the same body.
Perhaps you already posted this?
If you are sure that you also want to add this issue, 
back up and change at least one character in the subject 
or message area, then resubmit."
    }
}

if {$exception_count > 0} {
    ad_return_complaint $exception_count $exception_text
    return
}

# Default is for customer responses to be public, but staff responses
# to be private

if {![info exists public_p]} {
    set public_p "f"
}

if {![info exists notify_creator_p]} {
    set notify_creator_p "f"
}



set selection [ns_db 1row $db "select one_line, title, ticket_issues.project_id, notify_p
from ticket_issues, ticket_projects
where ticket_issues.project_id = ticket_projects.project_id
and msg_id = $msg_id"]
set_variables_after_query

with_transaction $db {
    set new_response_id [database_to_tcl_string $db "select ticket_response_id_sequence.nextval from dual"]
    ns_ora clob_dml $db "insert into ticket_issue_responses (response_id,response_to,user_id, public_p, message,posting_time) values ($new_response_id,$msg_id,$user_id, '$public_p', empty_clob(),sysdate) returning message into :1" $message_in_html

    ns_db dml $db "begin ticket_update_for_response($new_response_id); end;"
} {
    # something went a bit wrong during the insert
    ns_return 200 text/html "[ad_header "Error Adding a Response"]
<h3>Ouch!!</h3>
<hr>
We encountered a problem inserting your response.
Here was the bad news from the database:
<pre>
$errmsg
</pre>
[ad_footer]
"
    return
}



#send out the email
if { $notify_p == "t" } {
    send_ticket_change_notification $db $msg_id $message $user_id $notify_creator_p
}


ns_returnredirect "issue-view.tcl?msg_id=$msg_id"



