set_the_usual_form_variables

set db [ticket_getdbhandle]


# query_string, project_id (optional), accumulate_p (optional), fuzzy_p (optional)

if { ![info exists query_string] || $query_string == "" } {
    # probably using MSIE
    ns_return 200 text/html "[ad_header "Missing Query"]
<h2>Missing Query</h2>
<hr>
Either you didn't type a query string or you're using a quality Web
browser like Microsoft Internet Explorer 3.x (which neglects to 
pass user input up the server).
[ad_footer]
"
    return
}

set user_id [ad_get_user_id]

# we ask for all the top level messages

ReturnHeaders

ns_write "[ad_header "Search Results"]
<h2>Messages matching \"$query_string\"</h2>
in the <a href=\"index.tcl\">[ticket_system_name]</a>
<hr>
<ul>
"


# Non-admin users get their search restricted to tickets which
# belong to a common group.

set admin_group_member_p [ad_administration_group_member $db "ticket" "" $user_id]

set where_clause_list {" ticket_projects.project_id = ticket_issues.project_id"}

# If the user is not a staff member, only show other issues which
# were created by members of a common group.
if {$admin_group_member_p != 1} {
    # Get list of groups to which the user belongs
    set groups [database_to_tcl_list $db "select group_id from user_group_map where user_id = $user_id"]
    lappend where_clause_list "ticket_issues.group_id in ([join $groups " "])"
} 


#where pseudo_contains(dbms_lob.substr(indexed_stuff,4000)

#if [catch {
set selection [ns_db select $db "select msg_id, one_line, ticket_issues.project_id, ticket_projects.title from 
ticket_issues, ticket_projects 
where [join $where_clause_list " and "]
and upper(dbms_lob.substr(indexed_stuff,4000)) like upper('%$query_string%')
order by msg_id"]
#} errmsg] {
    
#    ns_write "[ad_return_context_error $errmsg]
#</ul>
#[ad_footer]"
    
#    return   
#}

set counter 0

while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    incr counter
    ns_write "<li>\[$msg_id\] <a href=\"issue-view.tcl?msg_id=$msg_id\">[clean_up_html $one_line]</a>\n"
}

if { $counter == 0 } {
    set search_items "messages"
    ns_write "No matching items found."
} 

ns_write "
</ul>
[ad_footer]
"













