#
# /ticket/admin/user-summary.tcl
# 
# by hqm@arsdigita.com
#

# Summarize ticket system usage by user
#

set db_list [ns_db gethandle main 2]
set db   [lindex $db_list 0]
set db2   [lindex $db_list 1]

ReturnHeaders
ns_write "[ad_header "Summary by User"]

<h2>User Status Summary</h2>

[ad_context_bar_ws_or_index [list "/ticket/admin/index.tcl" "Ticket Tracker"]  "User Summaries"]

<hr>

<blockquote>
<table border=0>
<tr>
<th>User
<th>Total 
<th>Active
<th>Closed
<th>Deferred
<th>Last Mod
<th>Oldest Active
<th>Pri=High
<th>Sev=Block
</tr>
"

set i 0

set selection [ns_db select $db "
select 
  users.user_id as summary_user_id, 
  users.first_names || ' ' || users.last_name as name, 
  count(tia.msg_id) as total,
  sum(decode(status,'closed',1,0)) as closed,
  sum(decode(status,'closed',0,'deferred',0,NULL,0,1)) as open,
  sum(decode(status,'deferred',1,0)) as deferred,
  max(modification_time) as lastmod,
  min(posting_time) as oldest,
  sum(ticket_one_if_high_priority(priority, status)) as high_pri,
  sum(ticket_one_if_blocker(severity, status)) as blocker
from users, ticket_issues ti, ticket_issue_assignments tia
where users.user_id = tia.user_id
and ti.msg_id = tia.msg_id
group by users.user_id,  last_name, first_names
order by upper(last_name)
"]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query

    # show summaries of ticket stats
    # total #
    # open
    # closed
    # deferred
    # last modified (max)
    # 

    if {($i % 2) == 0} {
	set bgcolor "bgcolor=\#ECECEC"
    } else {
	set bgcolor ""
    }

    ns_write "
<tr>
  <td $bgcolor><a href=\"user-top.tcl?[export_url_vars summary_user_id]\">$name
  <td $bgcolor align=right>[blank_zero $total]&nbsp;
  <td $bgcolor align=right>[blank_zero $open]&nbsp;
  <td $bgcolor align=right>[blank_zero $closed]&nbsp;
  <td $bgcolor align=right>[blank_zero $deferred]&nbsp;
  <td $bgcolor align=right>$lastmod&nbsp;
  <td $bgcolor align=right>$oldest&nbsp;
  <td $bgcolor align=right>[blank_zero $high_pri]&nbsp;
  <td $bgcolor align=right>[blank_zero $blocker]&nbsp;
</tr>
"
   incr i
}

ns_write "</table>
</blockquote>

<ul>
<li>Add new <a href=\"issue-new.tcl\">issue</a>
</ul>

[ad_footer]
"
