set_the_usual_form_variables
# project_id (optional)
#
# target -- url to return to when done
# msg_id
# 
# standard ticket search form variables


set db [ticket_getdbhandle]

# we ask for all the top level messages

ReturnHeaders

ns_write "[ad_header "Search Results"]
<h2>Tickets matching query</h2>
[ad_context_bar_ws_or_index [list "/ticket/admin/index.tcl" "Ticket Tracker"]  "Search Results"]


Click on a link below to add that ticket as a cross-reference.
<p>
<ul>
"



# Check input.

set exception_text ""
set exception_count 0

ticket_search_combine_and_build_error_list


if { $exception_count > 0 } {
    ad_return_complaint $exception_count $exception_text
    return
}

# This looks at a bunch of form vars, and builds a list of search
# clauses in search_clause_list
ticket_search_build_where_clause_and_description


set search_clause [join $search_clause_list " and "]

if ![info exists search_clause_list] {
    ad_return_complaint 1 "<li>Please specify at least some search criteria.\n"
    return
}


ns_write "



<hr>

Search criteria:

<ul>
<li>[join $search_description_items "<li>"]
</ul>


<p>

Search results:
"




set display_title "Ticket search"

set selection [ns_db select $db "select ticket_issues.one_line,
ticket_issues.msg_id xmsg_id,
ticket_priorities.name, 
ticket_projects.title as project_title, 
users.first_names,
users.last_name,
to_char(posting_time, 'mm/dd/yyyy') as creation_date
from ticket_issues, ticket_projects, ticket_priorities, users where
users.user_id = ticket_issues.user_id 
and ticket_issues.priority = ticket_priorities.priority
and ticket_projects.project_id = ticket_issues.project_id
and $search_clause
order by ticket_issues.project_id, msg_id"]

set counter 0

set last_title ""
ns_write "<ul>"
while {[ns_db getrow $db $selection]} {
    set_variables_after_query
    set pmsg_id $msg_id
    incr counter
    if {$project_title != $last_title} {
	ns_write "</ul><b>$project_title</b><ul>"
    }
    set last_title $project_title
    ns_write "<li><a href=\"add-xref.tcl?[export_url_vars target xmsg_id pmsg_id]\">\[$xmsg_id\] [clean_up_html $one_line]</a>\n"
}

ns_write "</ul>"

if { $counter == 0 } {
    set search_items "messages"
    ns_write "No matching items found.<p>
    <a href=\"$target?[export_url_vars target msg_id xmsg_id]\">Back to ticket #$msg_id</a>"
}
ns_write "
</ul>
[ad_footer]
"













