# List a set of tickets in a report 
#
# form vars:
# report_type = "msgs" | "msgs_and_responses"
# msg_ids  = tcl list of msg ids
#

set_form_variables

set db_list [ns_db gethandle main 2]
set db   [lindex $db_list 0]
set db2   [lindex $db_list 1]

set user_id [ad_get_user_id]

ReturnHeaders
ns_write "[ad_header "Ticket Report"]
<h2>Ticket Report</h2>

[ad_context_bar_ws_or_index [list "/ticket/index.tcl" "Ticket Tracker"]  "Report"]

<hr>
"

set i 0

foreach message_id $msg_ids {
    set selection [ns_db 1row $db "select ticket_issues.*, ticket_priorities.name, 
 ticket_projects.title as project_title, 
 users.first_names,
 users.last_name
from ticket_issues, ticket_projects, ticket_priorities, users where
users.user_id = ticket_issues.user_id 
and ticket_issues.priority = ticket_priorities.priority
and ticket_projects.project_id = ticket_issues.project_id
and msg_id = $message_id"]

    set_variables_after_query
    set msg_id $message_id
    set detail_list ""

    set item_list_list { {"posting_time" "Creation Date:"} {"priority" "Priority:"} {"source" "Source:"} {"data1" ""} {"data2" ""} }

    foreach item_list $item_list_list {
	set variable [lindex $item_list 0]
	set annotation [lindex $item_list 1]
	if ![empty_string_p [set $variable]] {
	    lappend detail_list "$annotation [set $variable]"
	}
    }

    append page "<br><b><a href=\"/ticket/issue-view.tcl?[export_url_vars msg_id]\">\#$message_id [clean_up_html $one_line]</a></b><br>"

    append page "Project: <b>$project_title</b> "
   if {[string tolower $status] == "closed"} {
       append page " <font color=green>Status: closed</font> "
   } else {
       append page " Status: $status "
   }

   append page [join $detail_list ", "]
   if {$report_type == "msgs_and_responses"} {
       append page "<br><blockquote>$message</blockquote>"
       set responses ""

       # show responses
       set sub_selection [ns_db select $db2 "select 
  response_id, public_p,
  users.first_names || ' ' || users.last_name as name,
  to_char(posting_time, [ticket_date_format]) as posting_date,
  ticket_issue_responses.message as followup_text
from ticket_issue_responses, users
where ticket_issue_responses.user_id = users.user_id
and ticket_issue_responses.response_to = $message_id
order by posting_time"] 
       
       while { [ns_db getrow $db2 $sub_selection] } {
	   set_variables_after_subquery
	   set text "$followup_text <br><i>Submitted by $name on $posting_date</i>"
	   lappend responses $text
       }
       
       if { ![empty_string_p $responses] } {
	   append page "<br>Comments
<blockquote>
[join $responses "<p>"]
</blockquote>
"
       }
   }
   incr i
}



ns_write "
$page
[ad_footer]
"
