set_form_variables 0
# maybe project_id

set db [ticket_getdbhandle]

set user_id [ad_get_user_id]

set authorized_p [ticket_customers_can_create_new_tickets]

# If the user is not in the ticket admin group, and the site
# disallows random users to create tickets, give them an error.
if {![ticket_user_admin_p $db] && ! $authorized_p} {
 	ad_return_error "User not authorized to perform this operation" "Sorry but you are not authorized to create new tickets on this system."
    return
}

set default_assignee ""


if {[info exists project_id]} {
    set project_title [database_to_tcl_string $db "select title 
    from ticket_projects
    where project_id = $project_id"]
    set project_title "for $project_title, "


} else {
    set project_title ""
    set project_id ""
}


# Get list of default user info
set selection [ns_db 1row $db "select email, users.first_names || ' ' || users.last_name as pretty_name
 from users
 where  users.user_id = $user_id"]

set_variables_after_query

ReturnHeaders

# ticekts from public users default to a source of external
set source "external"

append page "[ad_header "Create New Issue"]

<h2>Create new issue</h2>

[ad_context_bar_ws_or_index [list "/ticket/index.tcl" "Ticket Tracker"]  "Create Ticket"]

<hr>

<blockquote>
<form action=\"issue-new-2.tcl\" method=post>
[export_form_vars email source]

<table border=0>"


append page "<tr><th align=left>Subject:<td><input type=text name=one_line size=50</tr>"

append page "<tr>
<th valign=top align=left>Ticket Type:</th><td><select name=ticket_type>[ticket_html_select_ticket_type]</select>
&nbsp;&nbsp;&nbsp;<b>Public?</b>
<input type=radio name=public_p value=t CHECKED> Yes
<input type=radio name=public_p value=f> No
</td></tr>"

append page "
<tr><th align=left>Project:
    <td><select name=project_id>
    [ad_db_optionlist $db  "select title,
    project_id from ticket_projects
    order by title asc" $project_id]
    </select>
    </td></tr>
"

append page "
<tr><td align=left><b>Severity:</b><td>
<select name=severity>
[ad_generic_optionlist [ticket_severity_types] [ticket_severity_types] normal]
</select></td></tr>
"


append page "<tr><th align=left>Deadline:</th><td>[ticket_dateentrywidget_with_nulls deadline [export_var deadline [database_to_tcl_string $db "select to_char(sysdate, 'yyyy') from dual"]]]</td></tr>

"


append page "<tr><th align=left>Priority:
    <td><select name=priority>
[ad_db_optionlist $db  "select name, priority from ticket_priorities order by priority" 2]
</select></tr>
"

append page "
<tr><th align=left>Contact Name:</th><td><input type=text name=contact_name size=50 [export_form_value pretty_name]></tr>
<tr><th align=left>Contact Email:</th><td><input type=text name=contact_email size=50  [export_form_value email]></tr>

<tr><th align=left>Contact Info:</th><td><textarea rows=3 cols=40 name=contact_info></textarea></tr>
"

foreach field [ticket_picklist_field_names] { 
    append page "<tr>[ticket_picklist_html_fragment $field]</tr>\n"
}

append page "
<tr><th valign=top  align=left>Notify Project Members<br>(via email)</th>
    <td valign=top><input type=radio name=notify_p value=t CHECKED> Yes
        <input type=radio name=notify_p value=f> No</tr>
"



append page "<tr><th align=left>Message<td></tr>
</table>
<textarea name=message rows=10 cols=64 wrap=hard></textarea>
<br>
<b>Preserve fixed formatting of message?</b> <input type=checkbox checked name=preformat value=yes>
<br>
<center><input type=submit value=Submit></center>
</form>
</blockquote>
[ad_footer]
"

ns_write $page
