# List a set of tickets in a report 
#
# form vars:
# report_type = "Ticket Summaries" "Complete Ticket Reports"
# msg_ids  = semicolon separated list 
# search_items 
#

set_form_variables

set db_list [ns_db gethandle main 2]
set db   [lindex $db_list 0]
set db2   [lindex $db_list 1]

set user_id [ad_get_user_id]

ReturnHeaders
ns_write "[ad_header $report_type]
<h2>$report_type</h2>

[ad_context_bar_ws_or_index [list "/ticket/index.tcl" "Ticket Tracker"]  "Report"]

<hr>
<ul>
"

foreach item $search_items {
    ns_write "<li>$item
"
}
ns_write "
</ul>

<br>

"

# get multiple values of cgi var 'msg_id'

set msg_id_list {}
set form [ns_getform] 
set form_size [ns_set size $form]
set form_counter_i 0
while {$form_counter_i<$form_size} {
    set varname [ns_set key $form $form_counter_i]
    if {$varname == "msg_ids"} {
	lappend msg_id_list [ns_set value $form $form_counter_i]
    }
    incr form_counter_i
}



set selection [ns_db select $db "select ticket_issues.*, ticket_priorities.name, 
ticket_projects.title as project_title, 
users.first_names,
users.last_name
from ticket_issues, ticket_projects, ticket_priorities, users where
users.user_id = ticket_issues.user_id 
and ticket_issues.priority = ticket_priorities.priority
and ticket_projects.project_id = ticket_issues.project_id
and msg_id in ([join $msg_id_list ","])"]


set i 0
set msgs_displayed_already [list]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    if { [lsearch $msgs_displayed_already msg_id] != -1 } {
	continue
    } else {
	lappend msgs_displayed_already $msg_id
    }
    ns_log Notice [NsSettoTclString $selection]
    set detail_list ""

    set item_list_list { {"posting_time" "Creation Date:"} {"priority" "Priority:"} {"source" "Source:"} {"data1" ""} {"data2" ""} }

    foreach item_list $item_list_list {
	set variable [lindex $item_list 0]
	set annotation [lindex $item_list 1]
	if ![empty_string_p [set $variable]] {
	    lappend detail_list "$annotation [set $variable]"
	}
    }
    
    ns_write "<br><b><a href=\"/ticket/issue-view.tcl?[export_url_vars msg_id]\">\#$msg_id [clean_up_html $one_line]</a></b><br>"
   if {[string tolower $status] == "closed"} {
       ns_write " <font color=green>Status: closed</font> "
   } else {
       ns_write " Status: $status "
   }
   ns_write [join $detail_list " ; "]
   if {$report_type == "Complete Ticket Reports"} {
       ns_write "<br><b>Content:</b><blockquote>$message</blockquote>"
       set responses ""

       # show responses
       set sub_selection [ns_db select $db2 "select 
       response_id, public_p,
       users.first_names || ' ' || users.last_name as name,
       to_char(posting_time, [ticket_date_format]) as posting_date,
       ticket_issue_responses.message as followup_text
       from ticket_issue_responses, users
       where ticket_issue_responses.user_id = users.user_id
       and ticket_issue_responses.response_to = $msg_id
       order by posting_time"] 
       
       while { [ns_db getrow $db2 $sub_selection] } {
	   set_variables_after_subquery
	   set text "$followup_text <br>
	   <i>Submitted by $name on $posting_date</i>"
	   lappend responses $text
       }
       
       if { [info exists responses] } {
	   ns_write "<br><b>Comments</b>
	   <blockquote>
	   [join $responses "<p>"]
	   </blockquote>
	   "
       }
   }
   incr i
}


