# Summarize projects status
#

set db [ns_db gethandle]

ReturnHeaders
ns_write "[ad_header "Project Status"]
<h2>Project Status Summary</h2>

[ad_context_bar_ws_or_index [list "/ticket/index.tcl" "Ticket Tracker"]  "Project Summaries"]

<hr>

<blockquote>
<table border=0>
<tr>
<th>Title</th>
<th>Assigned</th>
<th>Total </th>
<th>Active</th>
<th>Closed</th>
<th>Deferred</th>
<th>Last Mod</th>
<th>Oldest Active</th>
<th>Pri=High</th>
<th>Sev=Block</th>
</tr>
"

set i 0

set selection [ns_db select $db "
select 
  tp.project_id, 
  tp.title, 
  count(msg_id) as total,
  sum(decode(status,'closed',1,0)) as closed,
  sum(decode(status,'closed',0,'deferred',0,NULL,0,1)) as open,
  sum(decode(status,'deferred',1,0)) as deferred,
  max(modification_time) as lastmod,
  min(posting_time) as oldest,
  sum(ticket_one_if_high_priority(priority, status)) as high_pri,
  sum(ticket_one_if_blocker(severity, status)) as blocker,
  min(users.email) as assigned
from ticket_projects tp, ticket_issues ti, users
where tp.project_id = ti.project_id(+)
and tp.default_assignee = users.user_id(+)
group by tp.project_id, tp.title
order by upper(title)
"]

while { [ns_db getrow $db $selection] } {
    set_variables_after_query

    # show summaries of ticket stats
    # total #
    # open
    # closed
    # deferred
    # last modified (max)
    # 

    if {($i % 2) == 0} {
	set bgcolor "bgcolor=\#ECECEC"
    } else {
	set bgcolor ""
    }


    regsub "@.*" $assigned "" assigned

    ns_write "
<tr>
  <td $bgcolor><a href=\"project-top.tcl?project_id=$project_id\">$title
  <td $bgcolor align=left>$assigned&nbsp;
  <td $bgcolor align=right>[blank_zero $total]&nbsp;
  <td $bgcolor align=right>[blank_zero $open]&nbsp;
  <td $bgcolor align=right>[blank_zero $closed]&nbsp;
  <td $bgcolor align=right>[blank_zero $deferred]&nbsp;
  <td $bgcolor align=right nowrap>$lastmod&nbsp;
  <td $bgcolor align=right nowrap>$oldest&nbsp;
  <td $bgcolor align=right>[blank_zero $high_pri]&nbsp;
  <td $bgcolor align=right>[blank_zero $blocker]&nbsp;
</tr>
"
   incr i
}

ns_write "</table>
</blockquote>

<ul>

<li><a href=\"project-new.tcl\">add a new project</a>

</ul>

[ad_footer]
"
