# View tickets in project
#
# project-top.tcl  by hqm@arsdigita.com June 1999
#
# form vars:

set_form_variables
# form vars:
# project_id
# 
# (these are all optional args which have defaults)
#
# filter conditions
#
# Assignments:
# view_assignment    { user unassigned all }

# Status
# view_status  { open closed deferred created_by_you }
#
# Creation time
# view_created { last_24 last_week last_month all}
#
#
# order_by       column name to sort table by 

set ctrlvars {view_assignment view_status view_created project_id}

set db [ticket_getdbhandle]

set user_id [ad_get_user_id]

if {[ticket_user_admin_p $db]} {
    ns_returnredirect "/ticket/admin/project-top.tcl?[export_url_vars project_id]"
    return
}


ReturnHeaders

set page_title "[database_to_tcl_string $db "select title
from ticket_projects where project_id = $project_id"] Tickets"
set navbar "[ad_context_bar_ws_or_index [list "/ticket/index.tcl" "Ticket Tracker"]  "One Project"]"

append page "[ad_header $page_title]

<h2>$page_title</h2>

$navbar

<hr>
"

# List of form vars used to select tickets to display

# Assignment filter conditions
#

if {![info exists view_assignment]} {
    # default to show issues assigned to $user_id
    set view_assignment all
}

# default to only your own assigned issues
if {![info exists view_status]} {
    set view_status open
}

# default to all time
if {![info exists view_created]} {
    set view_created all
}


switch $view_assignment {
    "user" { 
	set assignment_filter "and (exists (select msg_id from ticket_issue_assignments 
where ticket_issue_assignments.msg_id = ticket_issues.msg_id
and ticket_issue_assignments.user_id = $user_id)) " }

     "all" { set assignment_filter "" }
}

switch $view_status {
    "open" {set status_filter "and ((status <> 'closed') and (status <> 'deferred')) " }
    "deferred" {set status_filter "and ((status <> 'closed') or (status = 'deferred')) " }
    "closed" {set status_filter "" } # shows everything
}

switch $view_created {
   "last_24"   { set date_filter "and (posting_time > (sysdate - 1))" } 
   "last_week" { set date_filter "and (posting_time > (sysdate - 7)) " } 
   "last_month" { set date_filter "and (posting_time > (sysdate - 30)) " }
   "all" { set date_filter "" }
}

# Sort order of tickets by
if {![info exists order_by]} {
    set order_by "ticket_issues.msg_id"
} elseif {[string match "project*" $order_by]} {
    set order_by "project_title"
}


################################################################
# GUI ticket filter controls

# List of all the state vars we need to pass through these toggle switches
set filter_vars {view_assignment view_status view_created order_by project_id}


append page "<table border=0 cellspacing=0 cellpadding=0 width=100%>
<tr><th bgcolor=#ECECEC>Ticket Assignment</th>
<th bgcolor=#ECECEC>Status</th>
<th bgcolor=#ECECEC>Creation Time</th></tr>"


#### Assignment flags
# Show assigned to you 
append page "<tr><td align=center>\["

append page [ticket_control_vars view_assignment user $filter_vars "mine" "project-top.tcl"]
append page " | "
# Show all tickets 
append page [ticket_control_vars view_assignment all $filter_vars "everyone's" "project-top.tcl"]

#### Status flags
append page "\]</td>\n<td align=center>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\["

# Show open issues
append page [ticket_control_vars view_status open $filter_vars "active" "project-top.tcl"]
append page " | "
# Show deferred issues
append page [ticket_control_vars view_status deferred $filter_vars "+deferred" "project-top.tcl"]
append page " | "
# Show closed issues
append page [ticket_control_vars view_status closed $filter_vars "+closed" "project-top.tcl"]


#### Creation time filter
append page "\]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>\n<td align=center>\["

append page [ticket_control_vars view_created last_24 $filter_vars "last 24 hrs" "project-top.tcl"]
append page " | "
append page [ticket_control_vars view_created last_week $filter_vars "last week" "project-top.tcl"]
append page " | "
append page [ticket_control_vars view_created last_month $filter_vars "last month" "project-top.tcl"]
append page " | "
append page [ticket_control_vars view_created all $filter_vars "all" "project-top.tcl"]

append page "\]</td></tr></table><p>"

################################################################



set last_priority "starting"

set count 0

append page "<table border=0>
<tr>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order ticket_issues.msg_id $order_by]&[eval export_url_vars $ctrlvars]\">ID#</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order priority $order_by]&[eval export_url_vars $ctrlvars]\">Pri</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order ticket_type $order_by]&[eval export_url_vars $ctrlvars]\">Typ</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order email $order_by]&[eval export_url_vars $ctrlvars]\">Creator</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order status $order_by]&[eval export_url_vars $ctrlvars]\">Stat</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order severity $order_by]&[eval export_url_vars $ctrlvars]\">Sever</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order posting_time $order_by]&[eval export_url_vars $ctrlvars]\">Creat</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order modification_time $order_by]&[eval export_url_vars $ctrlvars]\">Mod</a></th>
<th align=left><a href=\"project-top.tcl?order_by=[toggle_order assigned_p $order_by]&[eval export_url_vars $ctrlvars]\">Asgn</a></th>"

if { $view_status == "closed" } {
    append page "<th align=left><a href=\"project-top.tcl?order_by=[toggle_order close_date $order_by]&[eval export_url_vars $ctrlvars]\">Closed</a></th>"
} else {
    append page "<th align=left><a href=\"project-top.tcl?order_by=[toggle_order deadline $order_by]&[eval export_url_vars $ctrlvars]\">Deadline</a></th>"
}

append page "<th align=left><a href=\"project-top.tcl?order_by=[toggle_order one_line $order_by]&[eval export_url_vars $ctrlvars]\">Subject</a></th>
"

append page "</tr>\n"

set last_project_title ""

set query "select 
 ticket_issues.msg_id,
 ticket_issues.ticket_type, 
 ticket_issues.one_line,
 ticket_issues.status,
 ticket_issues.severity,
 ticket_issues.posting_time,
 users.email,
 assigned_users.email as assigned_user_email,
 ticket_projects.title as project_title,
 ticket_projects.project_id,
 ticket_issues.priority, 
 to_char(ticket_issues.modification_time, 'mm/dd/yy') as modification_time,
 to_char(ticket_issues.posting_time, 'mm/dd/yy') as creation_time,
 to_char(ticket_issues.close_date, 'mm/dd/yy') as close_date,
 to_char(ticket_issues.deadline, 'mm/dd/yy') as deadline,
 to_char(sysdate - deadline) as pastdue,
 ticket_issue_assignments.active_p as assigned_p,
 ticket_issue_assignments.user_id as assigned_user_id,
 ticket_issues.public_p,
 ticket_priorities.name as priority_name
from ticket_issues, ticket_priorities, ticket_projects, users, ticket_issue_assignments, users assigned_users
where ticket_priorities.priority = ticket_issues.priority
and users.user_id = ticket_issues.user_id
and ticket_projects.project_id = ticket_issues.project_id
and ticket_issues.msg_id = ticket_issue_assignments.msg_id(+)
and ticket_issue_assignments.user_id = assigned_users.user_id(+)
and ticket_issues.project_id = $project_id
$assignment_filter
$status_filter
$date_filter
order by $order_by, ticket_issues.priority, ticket_issues.posting_time"

set selection [ns_db select $db $query]
set last_msg_id ""
set msg_ids {}

while { [ns_db getrow $db $selection] } {
    set_variables_after_query
    set cols {}

    if {$msg_id == $last_msg_id} {
	set assign $assigned_user_email
	regsub "@.*" $assign "" assign
	set cols [list "" "" "" "" "" "" "" "" "$assign" "" ""]
	
    } else {
	set last_msg_id $msg_id
	lappend msg_ids $msg_id
	
	lappend cols "<a href=\"issue-view.tcl?msg_id=$msg_id\">$msg_id</a>"
	lappend cols "P$priority"
	lappend cols "[string range $ticket_type 0 5]"
	regsub "@.*" $email "" email
	lappend cols "$email"
	if { [string compare $status "fixed waiting approval"] == 0 } {
	    lappend cols "<font color=#00ff00>(w approv)</font>"
	} elseif { [string compare $status "need clarification"] == 0 } {
	    lappend cols "<font color=#ff0000>nd clar</font>"
	} else {
	    lappend cols $status
	}
	lappend cols "$severity"
	lappend cols "$creation_time"
	lappend cols "$modification_time"
	
	if {$assigned_p == "t"} {
	    set assign $assigned_user_email
	    regsub "@.*" $assign "" assign
	    lappend cols "$assign"
	} else {
	    lappend cols ""
	}
	
	if {[info exists closed] && $view_closed == 1} {
	    lappend cols "$close_date" 
	} else {
	    if {$pastdue > 0} {
		lappend cols "<font color=red>$deadline</font>"
	    } else {
		lappend cols "$deadline"
	    }
	}
	
	lappend cols "<a href=\"issue-view.tcl?msg_id=$msg_id\">[clean_up_html $one_line]</a>"
	
	
	incr count
	if {($count % 2) == 0} {
	    set bgcolor "bgcolor=\#ECECEC"
	} else {
	    set bgcolor ""
	}
	
    }
    append page "<tr $bgcolor>"
    foreach col $cols {
	append page "<td>$col&nbsp;</td>\n"
    }
    append page "</tr>"    
}

if { $count == 0 } {
    append page "<tr><td colspan=10 align=center>-- No issues --</td></tr>"   
}

append page "</table>\n<p>"

append page "<ul>
<li><a href=\"issue-details.tcl?[export_url_vars msg_ids]&report_type=msgs_and_responses\">View issues above as report</a>
<p>
<li><a href=\"issue-new.tcl?project_id=$project_id\">Add a new issue.</a><p>
"

append page "</ul>"

# Look up owner of project
set selection [ns_db 1row $db  "select ticket_projects.*, 
users.first_names || ' ' || users.last_name as name from 
ticket_projects, users
where project_id=$project_id AND 
users.user_id=ticket_projects.customer_id
"]

set_variables_after_query


append page "
<H3>Project Information</H3>

<blockquote>
<table cellpadding=3>
<tr><th align=left>Project Owner</td><td>$name</td></tr>
<tr><th align=left>Project Title</td><td>$title</td></tr>
<tr><th align=left>Start Date</td><td>[util_AnsiDatetoPrettyDate $start_date]</td></tr>
<tr><th align=left>End Date</td><td>$end_date
"

if {![empty_string_p $end_date]} {
    append page "<a href=\"project-reopen.tcl?project_id=$project_id\"> (reopen)</a>"
}



append page "</td></tr>
</table>
</blockquote>
<p>
[ad_footer]
"
ns_write $page