set_form_variables 0

ReturnHeaders

set db [ns_db gethandle]

set_simple_user_information $db

todo_set_user_preferences $db $user_id

if {![info exists item_id_to_edit]} {
    set item_id_to_edit ""
}

validate_integer_or_null item_id_to_edit $item_id_to_edit

ns_write "[todo_header "[todo_system_name]"]
<h2>[todo_system_name]</h2>
[ad_context_bar_ws_or_index [todo_system_name]]
<hr><p>

<ul>
<li> <a href=new-list.tcl>Create</a> a new to-do list.<p>
</ul>
<p>
<center><table border=0 cellpadding=3>
<tr bgcolor=lightgrey><th width=50%>Lists You Own</th><th>Lists You Share</th></tr>
<tr>
<td valign=top>
<font size=-1><ul>"

foreach plugin_category [todo_get_personal_plugins_and_categories $db $user_id] {
    set plugin [lindex $plugin_category 0]
    set category_id [lindex $plugin_category 1]
    set category [lindex $plugin_category 2]
    ns_write "<li> <a href=one-plugin-list.tcl?[export_url_vars plugin category category_id]>$plugin:$category</a>\n"
}

ns_write "</ul></font></td><td valign=top>
<ul><font size=-1>"

set list_of_other_categories [todo_get_other_plugins_and_categories $db $user_id]

if {[llength $list_of_other_categories] > 5} {
    ns_write "You have [llength $list_of_other_categories] shared lists,<br>
    which is too many to display on this screen.<p> 
    Please follow through to your <a href=todo-shared-lists.tcl>shared list page</a>."
} else {
    foreach plugin_category $list_of_other_categories {
	set plugin [lindex $plugin_category 0]
	set category_id [lindex $plugin_category 1]
	set category [lindex $plugin_category 2]
	ns_write "<li> <a href=one-plugin-list.tcl?[export_url_vars plugin category category_id]>$plugin:$category</a>\n"
    }
}


ns_write "</font></ul>
</td></tr>
</table></center>
<p>"

set overdue_html [todo_plugin_get_html_by_sql $db [todo_all_plugins_sql $db $user_id "\$due_date < sysdate() and same_day_p(\$due_date, sysdate(), $personal_midnight)='f'" index.tcl $old_item_expire "" "open"] index.tcl [todo_general_plugin_list_of_headers] $item_id_to_edit]

set today_html [todo_plugin_get_html_by_sql $db [todo_all_plugins_sql $db $user_id "same_day_p(\$due_date, sysdate(), $personal_midnight)='t'" index.tcl $old_item_expire "" [todo_view_open_items $separate_completed_items_p]] index.tcl [todo_general_plugin_list_of_headers] $item_id_to_edit]

set tomorrow_html [todo_plugin_get_html_by_sql $db [todo_all_plugins_sql $db $user_id "same_day_p(\$due_date, sysdate() + timespan_days(1), $personal_midnight)='t'" index.tcl $old_item_expire "" [todo_view_open_items $separate_completed_items_p]] index.tcl [todo_general_plugin_list_of_headers] $item_id_to_edit]

if {$overdue_html != ""} {
ns_write "
<h3>Overdue</h3>
<table>
[todo_list_html_header [todo_general_plugin_list_of_headers]]
$overdue_html
</table>
"
}

set tabs "[todo_openclosed_tabs [todo_view_open_items $separate_completed_items_p]]"

if {$tabs != ""} {
    append tabs "<br>"
}

ns_write "<h3>Today's Things To Do</h3>"

if {$today_html != "" } {
ns_write "
$tabs
<table>
[todo_list_html_header [todo_general_plugin_list_of_headers]]
$today_html
</table>
"
} else {
    ns_write "no items"
}

ns_write "<h3>Tomorrow's Things To Do</h3>"

if {$tomorrow_html != ""} {
ns_write "
$tabs
<table>
[todo_list_html_header [todo_general_plugin_list_of_headers]]
$tomorrow_html
</table>
"
} else {
    ns_write "no items"
}

ns_write "<p>
[todo_footer]
"
