set_the_usual_form_variables
# list_id priority due_date item_details
# or maybe n_days

validate_integer list_id $list_id

if {![info exists n_days]} {
    # get the due date out of there
    ns_dbformvalue [ns_getform] due_date date due_date
} else {
    validate_integer n_days $n_days
}

set user_id [ad_get_user_id]

set db [ns_db gethandle]

if {![info exists item_id]} {
    set item_id [database_to_tcl_string $db "select todo_item_id_sequence.nextval from dual"]
}

if {![user_can_access_list_p $db $user_id $list_id]} {
    todo_return_access_complaint
    return
}

if {[info exists n_days]} {
    if {$n_days != ""} {
	set due_date_sql "sysdate()+$n_days"
    } else {
	set due_date_sql "NULL"
    }
} else {
    set due_date_sql "'$due_date'"
}


if {[catch {
    ns_db dml $db "insert into todo_items (item_id, list_id, priority, creation_date, due_date, item_details, assigned_by) VALUES ($item_id, $list_id, $priority, sysdate(), $due_date_sql, '$QQitem_details', $user_id)"
} errmsg]} {
    #
    # do nothing
} else {
    # Email if necessary
    todo_email $db $item_id "assigned"
}

ns_returnredirect "one-list.tcl?[export_url_vars list_id]"