set_the_usual_form_variables
# item_id

validate_integer item_id $item_id

set db [ns_db gethandle]

set_simple_user_information $db 

set list_id [database_to_tcl_string $db "select list_id from todo_items where item_id=$item_id"]

if {![user_can_access_list_p $db $user_id $list_id]} {
    todo_return_access_complaint
    return
}

set selection [ns_db 1row $db "select priority, creation_date, due_date, completion_date, item_details, assigned_by as assigned_by_user_id from todo_items where item_id=$item_id"]
set_variables_after_query

set assigned_by [database_to_tcl_string_or_null $db "select first_names || ' ' || last_name from users where user_id=[db_postgres_null_sql $assigned_by_user_id]"]

ReturnHeaders

ns_write "[todo_header "Item Details"]
<h2>Item Details</h2>
<hr><p>
<table noborder>
<tr>
<th align=left>Assigned By:</th>
<td>$assigned_by</td>
</tr>
<tr>
<th align=left>Due:</th>
<td>[util_AnsiDatetoPrettyDate $due_date]</td>
</tr>
<tr>
<th align=left>Details:</th>
<td>$item_details</td>
</tr>
</table>
<p>

[todo_footer]
"