set_the_usual_form_variables
# list_id
# possibly item_id_to_edit

validate_integer list_id $list_id

## Push things back to the plug-in system
ns_returnredirect "one-plugin-list.tcl?plugin=todo&category_id=$list_id"
return

set db [ns_db gethandle]

set_simple_user_information $db

# Check access
if {![user_can_access_list_p $db $user_id $list_id]} {
    todo_return_access_complaint
    return
}

proc one_item_form {submit_tag} {
    return "
<tr>
<td>[make_html_select priority {1 2 3 4 5}]</td>
<td>[make_html_select n_days {{{} {no due date}} {0 Today} {1 Tomorrow} {7 {in a week}} {15 {in two weeks}} {30 {in a month}}}]</td>
<td><INPUT TYPE=text name=item_details size=50></td>
<td><INPUT TYPE=submit value=$submit_tag></td>
</tr>
"
}

ReturnHeaders

set selection [ns_db 1row $db "select list_name, list_details, due_date from todo_lists where list_id=$list_id"]
set_variables_after_query

ns_write "[todo_header "One list: $list_name"]
<h2>$list_name</h2>
one of the to-do lists in your <a href=index.tcl>workspace</a>.
<hr><p>
"

todo_set_user_preferences $db $user_id

set sql "select item_id, first_names as assigned_by_first_names, list_id, priority, creation_date, pretty_relative_date(due_date,$personal_midnight) as pretty_relative_due_date, todo_days_from_pretty(pretty_relative_date(due_date,$personal_midnight)) as n_days, completion_date, substr(item_details,0,80) as short_details, item_details from todo_items , users where (todo_items.assigned_by=users.user_id or (todo_items.assigned_by is null and users.user_id=$user_id)) and list_id=$list_id and (completion_date is NULL OR (completion_date+$old_item_expire)::datetime>=sysdate()) $sort_by"

set extra_rows "<FORM METHOD=POST action=new-item-2.tcl>
[export_form_vars list_id]
[todo_one_item_form add]
</FORM>"

if {![info exists item_id_to_edit]} {
    set item_id_to_edit ""
}

validate_integer_or_null item_id_to_edit $item_id_to_edit

ns_write "[todo_list_html $db $sql one-list.tcl?list_id=$list_id [todo_specific_list_of_headers] $extra_rows $item_id_to_edit [todo_view_open_items $separate_completed_items_p]]"

ns_write "<p>
You can also <a href=new-item.tcl?[export_url_vars list_id]>add a detailed item</a>.<p>"

# ownership check
set check [database_to_tcl_string $db "select count(*) from todo_lists where user_id=$user_id and list_id=$list_id"]

if {$check} {
ns_write "<p> 
Collaboration:
<ul>
<li> <a href=new-permission.tcl?[export_url_vars list_id]>Add a collaborator</a>.
<p>
"

set selection [ns_db select $db "select user_id, first_names, last_name from users where user_id in (select user_id from todo_list_user_map where list_id=$list_id)"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<li> \[ <A href=delete-permission.tcl?[export_url_vars list_id user_id]>remove</a> \] $first_names $last_name\n"
}

ns_write "<p>"

set selection [ns_db select $db "select group_name, group_id from user_groups where group_id in (select user_group_id from todo_list_user_group_map where list_id=$list_id)"]

while {[ns_db getrow $db $selection]} {
    set_variables_after_query

    ns_write "<li> Group: $group_name\n"
}

ns_write "</ul>
<p>
You may choose to <a href=list-delete.tcl?[export_url_vars list_id]>delete</a> this list.<p>
"
} else {
    set selection [ns_db 1row $db "select first_names, last_name, email from users where user_id=(select user_id from todo_lists where list_id=$list_id)"]
    set_variables_after_query

    ns_write "<p>This list belongs to $first_names $last_name ($email).<p>"
}

ns_write "

[todo_footer]"

