# outline-adjust-2.tcl,v 3.0 2000/02/06 03:55:03 ron Exp
# File:        outline-adjust-2.tcl
# Date:        28 Nov 1999
# Author:      Jon Salz <jsalz@mit.edu>
# Description: Saves changes made to the outline.
# Inputs:      presentation_id, context_break_after, include_in_outline

set_the_usual_form_variables

validate_integer presentation_id $presentation_id

set db [ns_db gethandle]
set user_id [ad_maybe_redirect_for_registration]
wp_check_authorization $db $presentation_id $user_id "write"

set context_break_after [util_GetCheckboxValues [ns_getform] context_break_after -1]
set include_in_outline [util_GetCheckboxValues [ns_getform] include_in_outline -1]

foreach i $context_break_after {
    wp_check_numeric $i
}
foreach i $include_in_outline {
    wp_check_numeric $i
}

# All in one DML! Yeah, baby!

# DRB: it's easy in Postgres, with real booleans...

ns_db dml $db "
    update wp_slides
    set context_break_after_p = slide_id in ([join $context_break_after ","]),
        include_in_outline_p = slide_id in ([join $include_in_outline ","])
    where presentation_id = $presentation_id
"

ns_returnredirect "presentation-top.tcl?presentation_id=$presentation_id"
